
var WelcomeLayer = cc.Layer.extend({

    _welcomepicpath:null,

    ctor: function (welcomepicpath) {
        this._super();
        this._welcomepicpath = welcomepicpath;
        this.initUI();
    },

    onEnter: function () {
        this._super();
    },

    initUI: function() {
        var size = cc.winSize;
        var bg = new ccui.ImageView(this._welcomepicpath);
        bg.setPosition(size.width / 2, size.height / 2);
        this.addChild(bg);
    },

});

var WelcomeScene = cc.Scene.extend({

    _welcomepicpath:null,

    ctor: function (welcomepicpath) {
        this._super();
        this._welcomepicpath = welcomepicpath;
    },
    onEnter: function () {
        this._super();
        this.layer = new WelcomeLayer(this._welcomepicpath);
        this.addChild(this.layer);
        this.runAction(new cc.Sequence(new cc.DelayTime(4),new cc.CallFunc(function () {
            cc.director.runScene(new SigninScene());
        })));
    },
});
