/**
 * Created by junji on 2017/1/26.
 */

/**
 * Created by junji on 2017/1/23.
 */

var CreateRoomConfirmDialog = cc.LayerColor.extend({

    _listener:null,

    ctor: function(roomName, totalPlayerNum, selectedRoleList, isEncrypt, password) {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(170);       //透明度

        this._initCreateRoomConfirmDialog(roomName, totalPlayerNum, selectedRoleList, isEncrypt, password);

        return true;
    },

    onEnter: function()
    {
        this._super();
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initCreateRoomConfirmDialog: function(roomName, totalPlayerNum, selectedRoleList, isEncrypt, password)
    {
        var _this = this;
        //背景

        var bg = new ccui.ImageView(res.YesOrNoDialogBg_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.director.getVisibleSize().width*0.5, cc.director.getVisibleSize().height*0.5);
        bg.setScale9Enabled(true);
        bg.setContentSize(cc.director.getVisibleSize().width*0.83, 490 + Math.ceil(selectedRoleList.length/3)*45);
        this.addChild(bg, 0, 101);

        var titleBg = new ccui.ImageView(res.DialogTitleBg_png);
        titleBg.setAnchorPoint(0.5, 0.5);
        titleBg.setScale(1.1);
        titleBg.setPosition(bg.width*0.5, bg.height);
        bg.addChild(titleBg);

        var titleText = new ccui.Text("确认信息", "Arial", 30);
        titleText.setTextColor(cc.color(251, 228, 178));
        titleText.setAnchorPoint(0.5, 0.5);
        titleText.setPosition(titleBg.width*0.5, titleBg.height*0.5);
        titleBg.addChild(titleText);

        var nameSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        nameSubtitleBg.setAnchorPoint(0, 0.5);
        nameSubtitleBg.setPosition(45, bg.height - 90);
        bg.addChild(nameSubtitleBg);

        var roomNameTitleLabel = new ccui.Text("房间名", "Arial", 30);
        roomNameTitleLabel.setAnchorPoint(0, 0.5);
        roomNameTitleLabel.setPosition(10, nameSubtitleBg.height/2);
        nameSubtitleBg.addChild(roomNameTitleLabel);

        var roomNameLabel = new ccui.Text(roomName, "Arial", 29);
        roomNameLabel.setAnchorPoint(0, 0.5);
        roomNameLabel.setColor(cc.color(253,204,102));
        roomNameLabel.setPosition(80, bg.height - 140);
        bg.addChild(roomNameLabel);

        var passwordSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        passwordSubtitleBg.setAnchorPoint(0, 0.5);
        passwordSubtitleBg.setPosition(45, bg.height - 190);
        bg.addChild(passwordSubtitleBg);

        var passwordTitleLabel = new ccui.Text("是否加密", "Arial", 30);
        passwordTitleLabel.setAnchorPoint(0, 0.5);
        passwordTitleLabel.setPosition(10, passwordSubtitleBg.height/2);
        passwordSubtitleBg.addChild(passwordTitleLabel);

        var passwordLabel = new ccui.Text("否", "Arial", 29);
        if(isEncrypt == 1) {
            passwordLabel.setString("是      密码为:" + password);
        }
        passwordLabel.setAnchorPoint(0, 0.5);
        passwordLabel.setColor(cc.color(253,204,102));
        passwordLabel.setPosition(80, bg.height - 240);
        bg.addChild(passwordLabel);

        var roleSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        roleSubtitleBg.setAnchorPoint(0, 0.5);
        roleSubtitleBg.setPosition(45, bg.height - 290);
        bg.addChild(roleSubtitleBg);

        var roleTitleLabel = new ccui.Text("角色信息", "Arial", 30);
        roleTitleLabel.setAnchorPoint(0, 0.5);
        roleTitleLabel.setPosition(10, roleSubtitleBg.height/2);
        roleSubtitleBg.addChild(roleTitleLabel);

        var totalNumLabel = new ccui.Text("总人数: "+totalPlayerNum, "Arial", 29);
        totalNumLabel.setAnchorPoint(0, 0.5);
        totalNumLabel.setColor(cc.color(253,204,102));
        totalNumLabel.setPosition(80, bg.height - 340);
        bg.addChild(totalNumLabel);

        for (var i = 0; i < selectedRoleList.length; i++) {
            var label = new ccui.Text(RoleMap.get(selectedRoleList[i].roleId)+"×"+selectedRoleList[i].roleNum, "Arial", 29);
            label.setAnchorPoint(0, 0.5);
            label.setColor(cc.color(253,204,102));
            label.setPosition(80 + (i%3)*180, bg.height - 380 - Math.floor(i/3)*45);
            bg.addChild(label);
        }

        var confirmButton = new ccui.Button(res.IdJoinRoom_png, res.IdJoinRoomDown_png, "");
        confirmButton.setAnchorPoint(0, 0);
        confirmButton.setPosition(50, 30);
        confirmButton.setScale(1.1);
        confirmButton.addClickEventListener(function () {
            var confirmSkinRoomDialog = new CommonDialog(DialogType.ConfirmSkinRoomDialog, [roomName, totalPlayerNum, selectedRoleList, isEncrypt, password, "GameRoomConfigStatistics", "CustomGame"]);
            confirmSkinRoomDialog.setTag(DialogType.ConfirmSkinRoomDialog);
            confirmSkinRoomDialog.popup();
            // MqttHelper.getInstance().createRoom(roomName, totalPlayerNum, selectedRoleList, isEncrypt, password);
            // ClickRecod("GameRoomConfigStatistics", "CustomGame");
            // var loadingDialog = new LoadingDialog();
            // loadingDialog.setTag(997001);
            // loadingDialog.popup();
            _this.hidden();
            cc.director.getRunningScene().removeChildByTag(DialogType.CreateRoomSecond);
        });
        bg.addChild(confirmButton);

        var confirmLabel = new ccui.ImageView(res.CommonConfirmLabel_png);
        confirmLabel.setPosition(confirmButton.width/2, confirmButton.height/2);
        confirmButton.addChild(confirmLabel);

        var cancelButton = new ccui.Button(res.QuickJoinRoom_png, res.QuickJoinRoomDown_png, "");
        cancelButton.setAnchorPoint(1, 0);
        cancelButton.setPosition(bg.width - 50, 30);
        cancelButton.setScale(1.1);
        cancelButton.addClickEventListener(function () {
            _this.hidden();
        });
        bg.addChild(cancelButton);

        var cancelButtonLabel = new ccui.ImageView(res.CancelLabel_png);
        cancelButtonLabel.setAnchorPoint(0.5, 0.5);
        cancelButtonLabel.setPosition(cancelButton.width/2, cancelButton.height/2);
        cancelButton.addChild(cancelButtonLabel);

        this.setVisible(false);     //默认设置为不可见
    },

    //弹出
    popup: function()
    {
        cc.director.getRunningScene().addChild(this, 100);
        this.setVisible(true);
        this._listener.setSwallowTouches(true);

        var bg = this.getChildByTag(101);
        bg.setScale(0);
        var scaleTo1 = new cc.ScaleTo(0.1, 1.25);
        var scaleTo2 = new cc.ScaleTo(0.1, 1);
        var actionArray = new Array();
        actionArray.push(scaleTo1);
        actionArray.push(scaleTo2);
        var sequence = new cc.Sequence(actionArray);
        bg.runAction(sequence);
    },

    //隐藏
    hidden: function()
    {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
        this.removeFromParent(true);
    },

    onExit: function()
    {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});