/**
 * Created by junji on 2017/1/23.
 */

var PropIntroDialog = cc.LayerColor.extend({

    _listener:null,

    ctor: function(roleId, title, picurl) {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(140);       //透明度
        this._initDialog(roleId, title, picurl);

        return true;
    },

    onEnter: function()
    {
        this._super();
        var _this = this;
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                _this.hidden();
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initDialog: function(propId, title, picurl)
    {
        //背景
        var card;
        if (picurl != "" && picurl != null && picurl != undefined && picurl.length > 0) {
            card = new ccui.ImageView(picurl);
        } else {
            card = new ccui.ImageView(SkinMap.get(propId)[0]);
        }
        card.setAnchorPoint(0.5, 0.5);

        var bg = new ccui.ImageView(res.YesOrNoDialogBg_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.director.getVisibleSize().width*0.5, cc.director.getVisibleSize().height*0.5);
        bg.setScale9Enabled(true);
        bg.setContentSize(cc.visibleRect.width * 0.6, cc.director.getVisibleSize().height*0.4);
        this.addChild(bg, 0, 101);

        card.setPosition(bg.width/2, bg.height/2);
        bg.addChild(card);

        var titleBg = new ccui.ImageView(res.DialogTitleBg_png);
        titleBg.setAnchorPoint(0.5, 0.5);
        titleBg.setScale(1.1);
        titleBg.setPosition(bg.width*0.5, bg.height);
        bg.addChild(titleBg);

        var titleText;
        if (title != "" && title != null && title != undefined && title.length > 0) {
            titleText = new ccui.Text(title, "Arial", 25);
        } else {
            titleText = new ccui.Text(SkinMap.get(propId)[1], "Arial", 25);
        }
        titleText.setTextColor(cc.color(251, 228, 178));
        titleText.setAnchorPoint(0.5, 0.5);
        titleText.setPosition(titleBg.width*0.5, titleBg.height*0.5);
        titleBg.addChild(titleText);

        // var messageContent = new cc.LabelTTF("","Arial", 25);
        // messageContent.boundingWidth = bg.width * 0.4;
        // messageContent.boundingHeight = 0;
        // messageContent.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        // messageContent.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        // messageContent.setAnchorPoint(0, 0.5);
        // messageContent.setPosition(30 + card.width, bg.height * 0.5);
        // messageContent.setString("我是一个非常完美的皮肤，我很好看，又很便宜，穿上我一定能万众瞩目，在战局中所向披靡！！！！");
        // bg.addChild(messageContent);

        this.setVisible(false);     //默认设置为不可见
    },

    //弹出
    popup: function()
    {
        cc.director.getRunningScene().addChild(this);
        this.setVisible(true);
    },

    //隐藏
    hidden: function()
    {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
        this.removeFromParent(true);
    },

    onExit: function()
    {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});