/**
 * Created by junji on 2017/1/27.
 */

var BuyDiamondApi = cc.Class.extend({
    ctor: function () {
    },

    preBuyDiamond:function (skuId, skuPrice, channel, callBackName,successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.skuId = skuId;
        params.skuPrice = skuPrice;
        params.channel = channel;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/shop/buyDiamond";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/buyDiamond";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    },

    pullOrderStatus:function (orderId, callBackName, successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.orderId = orderId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/shop/pollOrderStatus";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/pollOrderStatus";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    },

    applePayReceiveNotify:function (orderId, detail, callBackName, successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.orderId = orderId;
        params.detail = "O1UaBEh9PVJzJwrF83rR8VZnxYjU9Fgg";
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            //do nothing
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/applePayReceiveNotify";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    }
});
