/**
 * Created by gexiao on 2016/11/3.
 */

var callBackDict;

var HttpUtil = cc.Class.extend({

    ctor: function () {
        callBackDict = new Dictionary();
    },

    send: function (params, url, path, successCallback, resumeCallback, failedCallback) {
        var xhr = cc.loader.getXMLHttpRequest();
        xhr.open(HttpMethod.POST, url + path, true);
        xhr.setRequestHeader("Content-Type", ContentType.CONTENT_TYPE_JSON);

        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4) {
                if (xhr.status >= 200 && xhr.status <= 207) {

                    //cc.log("gexiao response:"+xhr.responseText);
                    var jsonObject = JSON.parse(xhr.responseText);

                    if (jsonObject.retCode != 'undefined') {

                        if (jsonObject.retCode > 0) {

                            if (jsonObject.retCode == 1) {
                                successCallback(jsonObject.retBody);
                            } else if (jsonObject.retCode == 2) {
                                resumeCallback(jsonObject.retBody);
                            }

                        } else {
                            failedCallback(jsonObject.retCode);
                        }

                    } else {
                        cc.log("failed request!!!");
                        failedCallback(StatusCode.NETWORK_ERROR);
                    }
                } else {
                    cc.log("failed request!!!");
                    failedCallback(StatusCode.NETWORK_ERROR);
                }
            }
        };

        var postData = JSON.stringify(params);
        xhr.send(postData);

    },
    
    sendWithApi: function (params, url, path, successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }
        var identifier = new Date().getTime();
        callBackDict.put(path + identifier + "success", successCallback);
        callBackDict.put(path + identifier + "resume", resumeCallback);
        callBackDict.put(path + identifier + "failed", failedCallback);
        var callBackName = "sendWithApiCallback";
        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/shop/getProductList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName, identifier);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/getProductList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:identifier:", address, path, jsonBody, callBackName, identifier);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    },
    
    requestDiamond:function (callBackName,successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }
        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/shop/getProductList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/getProductList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    },

    requestProp:function (callBackName,successCallback, resumeCallback, failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }
        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/shop/getPropList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/shop/getPropList";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/rank/rankingList",successCallback,resumeCallback,failedCallback);
        }
    },

});

function sendWithApiCallback(responseString) {
    if(responseString == "" || responseString == null || responseString == undefined) {
        ToastUtil.systemToastInMiddle("请求超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        var identifier = responseObj.identifier;
        var path = responseObj.path;
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                if (identifier.length > 0 && path.length > 0) {
                    var successCallback = callBackDict.get(path + identifier + "success")
                    successCallback(responseObj.retBody);
                }
            } else if (responseObj.retCode == 2) {
                if (identifier.length > 0 && path.length > 0) {
                    var resumeCallback = callBackDict.get(path + identifier + "resume")
                    resumeCallback(responseObj.retBody);
                }
            }
        } else {
            if (identifier.length > 0 && path.length > 0) {
                var failedCallback = callBackDict.get(path + identifier + "failed")
                failedCallback(responseObj.retCode);
            }
        }
    }
}

//自定义字典对象
function Dictionary() {
    this.data = new Array();

    this.put = function(key,value){
        this.data[key] = value;
    };

    this.get = function(key){
        return this.data[key];
    };

    this.remove = function(key){
        this.data[key] = null;
    };

    this.isEmpty = function(){
        return this.data.length == 0;
    };

    this.size = function(){
        return this.data.length;
    };
}
