/**
 * Created by gexiao on 2016/11/4.
 */
var CommonData = cc.Class.extend({

    //客户端版本号
    _clientVersion: null,

    //协议版本号
    _protocalVersion: null,

    //经度
    _longitude: 0.0,

    //纬度
    _latitude: 0.0,

    //系统版本号
    _osVersion: null,

    //操作系统类型
    _osType: null,

    //厂商
    _vendor:null,

    //渠道
    _channel:null,

    //屏幕宽度分辨率
    _resolutionWidth:0,

    //屏幕高度分辨率
    _resolutionHeight:0,

    ctor: function () {
    },

    getClientVersion: function() {
        return "1.6.0";
    },

    getProtocalVersion: function () {
        return "1.0.0";
    },

    getLongitude: function () {
        return this._longitude;
    },

    getLatitude: function () {
        return this._latitude;
    },

    getOsVersion: function () {
        return "4.4";
    },

    getOsType: function () {
        return "Android";
    },

    getVendor: function () {
        return "Xiaomi";
    },

    getChannel: function () {
        return "Xiaomi";
    },

    getResolutionWidth:function () {
        return 600;
    },
    
    getResolutionHeight:function () {
        return 800;
    }
});

CommonData.shareCommonData = null;
CommonData.firstUseCommonData = true;

CommonData.getInstance = function () {

    if (CommonData.firstUseCommonData) {
        CommonData.firstUseCommonData = false;
        CommonData.shareCommonData = new CommonData();
    }
    return CommonData.shareCommonData;
};
