/**
 * Created by gexiao on 2016/11/2.
 */
var UserData = cc.Class.extend({

    _userId: 0,

    _nickname : null,

    _goldenCoin : 0,

    _diamond : 0,

    _cup : 0,

    _sex : 0,

    _vipLevel : -1,

    _mvpCount : 0,

    _totalRank : 0,

    _winningProbability : 0,

    _escapeRate : 0,

    _openId : "",

    _unionId : "",

    _userName : "",

    _password : "",

    _currentSkin : -1,

    _currentVoice : -1,

    _hasNewMail : -1,

    _hasNewTask : -1,

    _tencentIMSig : null,

    ctor: function () {
        cc.log("UserData ctor");
    },

    parseFromObj: function (obj) {
        this._userId = obj.userId;
        this._nickname = obj.nickname;
        // this._hp = obj.hp;
        // this._diamond = obj.diamond;
        // this._cup = obj.cup;
        this._sex = obj.sex;
        // this._winningProbability = obj.winningProbability;
        // this._escapeRate = obj.escapeRate;
        this._tencentIMSig = obj.tencentIMSig;
    },

    parse: function (jsonString) {
        var obj = JSON.parse(jsonString);
        this._userId = obj.userId;
        // this._nickname = obj.nickname;
        // this._hp = obj.hp;
        // this._diamond = obj.diamond;
        // this._cup = obj.cup;
        this._sex = obj.sex;
        // this._winningProbability = obj.winningProbability;
        // this._escapeRate = obj.escapeRate;
        this._tencentIMSig = obj.tencentIMSig;
    },

    clear:function () {
        this._userId = 0;
        this._nickname = null;
        this._goldenCoin = 0;
        this._diamond=0;
        this._cup=0;
        this._sex=0;
        this._vipLevel=-1;
        this._mvpCount=0;
        this._totalRank=0;
        this._winningProbability=0;
        this._escapeRate=0;
        this._openId="";
        this._unionId="";
        this._userName="";
        this._password="";
        this._currentSkin=-1;
        this._currentVoice=-1;
        this._hasNewMail=-1;
        this._hasNewTask=-1;
        this._tencentIMSig = null;
    },
});

UserData.sharedUserData = null;
UserData.firstUseUserData = true;

UserData.getInstance = function () {
    if (UserData.firstUseUserData) {
        UserData.firstUseUserData = false;
        UserData.sharedUserData = new UserData();
    }
    return UserData.sharedUserData;
};


