/**
 * Created by fanfeifan on 2017/1/9.
 */
var homePageLayer;

var HomePageLayer = cc.Layer.extend({

    ctor: function () {
        this._super();
        this.initBackground();

        return true;
    },

    onEnter:function () {
        this._super();
        var personalApi = new PersonalPageApi();
        personalApi.getPersonInfo(DataManager.getInstance().getUserData()._userId, "homeInfoResponse",function () {

        }, function () {

        }, function () {

        });

        var loadingDialog = new LoadingDialog();
        loadingDialog.setTag(997001);
        loadingDialog.popup();
    },

    initBackground: function () {
        var bgLayer = new ccui.ImageView(res.homeTopBg_png);
        bgLayer.setScale9Enabled(true);
        bgLayer.setCapInsets(cc.rect(300, 270, 3, 3));
        bgLayer.width = cc.winSize.width;
        bgLayer.height = cc.winSize.height;
        bgLayer.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.addChild(bgLayer);
        var topBar = new ccui.ImageView(res.RoomTopBar_png);
        topBar.setScale9Enabled(true);
        topBar.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height-topBar.height/2));
        this.addChild(topBar);

        // 设置,背包
        /*var settingBtn = new ccui.Button(res.settingBtnBg_png, "", "");
         settingBtn.setPosition(cc.visibleRect.left.x+settingBtn.width/2, cc.visibleRect.top.y-settingBtn.height/2);
         settingBtn.addClickEventListener(function () {

         });
         this.addChild(settingBtn);*/

        var settingButtonBg = new ccui.Button(res.TopLeftButtonBg_png, "");
        settingButtonBg.setPosition(0, cc.winSize.height);
        settingButtonBg.setAnchorPoint(0,1);
        settingButtonBg.addClickEventListener(function () {
            var settingDialog = new SettingDialog();
            settingDialog.popup();
        });
        this.addChild(settingButtonBg);

        var settingLabel = new ccui.ImageView(res.settingLabel_png);
        settingLabel.setPosition(settingButtonBg.width/2 - 5, settingButtonBg.height/2);
        settingButtonBg.addChild(settingLabel);

        var bagBtn = new ccui.Button(res.TopRightButtonBg_png, "");
        bagBtn.setPosition(cc.winSize.width, cc.winSize.height);
        bagBtn.setAnchorPoint(1,1);
        bagBtn.addClickEventListener(function () {
            cc.director.runScene(new BagScene());
        });
        this.addChild(bagBtn);

        var bagLabel = new ccui.ImageView(res.bagLabelBg_png);
        bagLabel.setPosition(bagBtn.width/2 + 5, bagBtn.height/2);
        bagBtn.addChild(bagLabel);

        var tabMenuLayer = new TabMenuLayer();
        tabMenuLayer.setAnchorPoint(cc.p(0,0));
        tabMenuLayer.setPosition(cc.p(0, 0));
        this.addChild(tabMenuLayer,10);
        tabMenuLayer.getChildByName("personButton").setScale(1.1);

        //var bagLabel = new ccui.ImageView(res.bagLabelBg_png);
        //bagLabel.setPosition(cc.p(bagBtn.width/2,bagBtn.height/2));
        //bagBtn.addChild(bagLabel);

        // 个人主页
        var pageLabel = new ccui.ImageView(res.homepageLabel_png);
        pageLabel.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height-pageLabel.height/2-cc.winSize.height*0.02));
        this.addChild(pageLabel);

        var mainList = new ccui.ListView();
        this.addChild(mainList);
        mainList.setName("mainList");
        mainList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        mainList.setContentSize(BaseWindowConf.WIDTH, cc.winSize.height * 0.85);
        mainList.setAnchorPoint(0.5, 0);
        mainList.setScrollBarEnabled(false);
        mainList.setBounceEnabled(true);
        mainList.setTouchEnabled(true);
        mainList.setPosition(cc.winSize.width/2, 80);

        var item1 = new ccui.Layout();
        item1.setTouchEnabled(true);
        item1.setContentSize(BaseWindowConf.WIDTH, 435);

        // 添加中间四个显示值
        var awardLayer = new ccui.ImageView(res.awardCupBg_png);
        awardLayer.setPosition(cc.p(cc.winSize.width*0.3, item1.height - 40));
        item1.addChild(awardLayer);
        var awardCup = new ccui.ImageView(res.awardCup_png);
        awardCup.setPosition(0, awardLayer.height/2);
        awardLayer.addChild(awardCup);
        // var awardJia = new ccui.ImageView(res.jia_png);
        // awardJia.setPosition(awardLayer.width,awardLayer.height/2);
        // awardLayer.addChild(awardJia);
        awardLayer.setName("awardLayer");
        var awardLabel = cc.LabelTTF('1223',"Arial",20);
        awardLabel.setName("awardLabel");
        awardLabel.setPosition(cc.p(awardLayer.width/2,awardLayer.height/2));
        awardLayer.addChild(awardLabel);

        var diamondLayer = new ccui.ImageView(res.diamondBg_png);
        diamondLayer.setPosition(cc.p(cc.winSize.width/2+cc.winSize.width*0.2,item1.height - 40));
        item1.addChild(diamondLayer);
        var diamond = new ccui.ImageView(res.diamond_png);
        diamond.setPosition(diamondLayer.width, diamondLayer.height/2);
        diamondLayer.addChild(diamond);
        var diamondJia = new ccui.Button(res.jia_png, "");
        diamondJia.setPosition(0,diamondLayer.height/2);
        diamondJia.addClickEventListener(function () {
            cc.director.runScene(new ShopScene(ShopType.Diamond));
        });
        diamondLayer.addChild(diamondJia);
        diamondLayer.setName("diamondLayer");
        var diamondLabel = cc.LabelTTF('1223',"Arial",20);
        diamondLabel.setName("diamondLabel");
        diamondLabel.setPosition(cc.p(diamondLayer.width/2,diamondLayer.height/2));
        diamondLayer.addChild(diamondLabel);

        var energyLayer = new ccui.ImageView(res.energyBg_png);
        energyLayer.setPosition(cc.p(cc.winSize.width*0.3,item1.height - 100));
        item1.addChild(energyLayer);
        var energy = new ccui.ImageView(res.HomepageVIPLabel_png);
        energy.setPosition(20, energyLayer.height/2);
        energyLayer.addChild(energy);
        var vipText = new ccui.Text("", "Arial", 22);
        vipText.setPosition(10 + energy.width, energyLayer.height/2);
        vipText.setName("vipText");
        energyLayer.addChild(vipText);
        // var energyJia = new ccui.ImageView(res.jia_png);
        // energyJia.setPosition(energyLayer.width,energyLayer.height/2);
        // energyLayer.addChild(energyJia);
        energyLayer.setName("energyLayer");
        // var energyLabel = cc.LabelTTF('1223',"Arial",20);
        // energyLabel.setName("energyLabel");
        // energyLabel.setPosition(cc.p(energyLayer.width/2,energyLayer.height/2));
        // energyLayer.addChild(energyLabel);

        var presentLayer = new ccui.ImageView(res.presentBg_png);
        presentLayer.setPosition(cc.p(cc.winSize.width/2+cc.winSize.width*0.2,item1.height - 100));
        item1.addChild(presentLayer);
        var present = new ccui.ImageView(res.GoldCoin_png);
        present.setScale(1.2);
        present.setPosition(presentLayer.width, presentLayer.height/2);
        presentLayer.addChild(present);
        var presentJia = new ccui.Button(res.jia_png, "");
        presentJia.setPosition(0,presentLayer.height/2);
        presentJia.addClickEventListener(function () {
            cc.director.runScene(new ShopScene(ShopType.Prop));
        });
        presentLayer.addChild(presentJia);
        presentLayer.setName("presentLayer");
        var presentLabel = cc.LabelTTF('1223',"Arial",20);
        presentLabel.setName("presentLabel");
        presentLabel.setPosition(cc.p(presentLayer.width/2,presentLayer.height/2));
        presentLayer.addChild(presentLabel);

        //  var avatar = new ccui.ImageView(res.avatarBg_png);
        var avatarBg = new ccui.ImageView(res.AvatarBg_png);
        avatarBg.setPosition(cc.p(cc.winSize.width/2,item1.height - 70));
        item1.addChild(avatarBg);

        var avatar = new ccui.ImageView(res.NormalMaleAvatar_png);
        if(DataManager.getInstance().getUserData()._currentSkin != -1) {
            avatar.loadTexture(AvatarMap.get(DataManager.getInstance().getUserData()._currentSkin)[1]);
        }
        avatar.setPosition(avatarBg.width/2, avatarBg.height/2);
        avatar.setName("avatar");
        avatar.setScale(0.9);
        avatarBg.addChild(avatar);

        var nickNameLabel = new ccui.ImageView(res.NicknameLabel_png);
        nickNameLabel.setPosition(cc.p(cc.winSize.width*0.28,item1.height - 160));
        item1.addChild(nickNameLabel);

        var nickname = cc.LabelTTF('大尊哥',"Arial",24);
        nickname.setName("nickname");
        nickname.setColor(cc.color(110, 183, 32));
        nickname.setAnchorPoint(0, 0.5);
        nickname.setPosition(cc.p(cc.winSize.width*0.28 + 60,item1.height - 160));
        item1.addChild(nickname);

        var idLabel = new ccui.ImageView(res.IdLabel_png);
        idLabel.setPosition(cc.p(cc.winSize.width/2+cc.winSize.width*0.12,item1.height - 160));
        item1.addChild(idLabel);

        var userId = cc.LabelTTF('1223',"Arial",24);
        userId.setName("userId");
        userId.setColor(cc.color(110, 183, 32));
        userId.setAnchorPoint(0, 0.5);
        userId.setPosition(cc.p(cc.winSize.width/2+cc.winSize.width*0.12 + 50,item1.height - 160));
        item1.addChild(userId);

        var gradeLabel = new ccui.ImageView(res.HomePageGradeLabel_png);
        gradeLabel.setAnchorPoint(0.5, 0.5);
        gradeLabel.setPosition(cc.winSize.width/2+cc.winSize.width*0.12, item1.height - 200);
        item1.addChild(gradeLabel);

        var gradeText = new ccui.Text("", "Arial", 24);
        gradeText.setName("gradeText");
        gradeText.setColor(cc.color(110, 183, 32));
        gradeText.setAnchorPoint(0, 0.5);
        gradeText.setPosition(cc.winSize.width/2+cc.winSize.width*0.12 + 50, item1.height - 200);
        item1.addChild(gradeText);

        var charmLabel = new ccui.ImageView(res.HomePageCharmValueLabel_png);
        charmLabel.setPosition(cc.winSize.width*0.28, item1.height - 200);
        item1.addChild(charmLabel);

        var charmText = new ccui.Text("0", "Arial", 24);
        charmText.setPosition(cc.winSize.width*0.28 + 60, item1.height - 200);
        charmText.setAnchorPoint(0, 0.5);
        charmText.setName("charmText");
        charmText.setColor(cc.color(110, 183, 32));
        item1.addChild(charmText);

        var item2 = new ccui.Layout();
        item2.setTouchEnabled(true);
        item2.setContentSize(BaseWindowConf.WIDTH, 290);

        // 添加个人皮肤及雷达图
        var personBg = new ccui.ImageView(res.personBg_png);
        personBg.setScale9Enabled(true);
        personBg.setName("personBg");
        personBg.setContentSize(BaseWindowConf.WIDTH*0.9,cc.winSize.height*0.35);
        personBg.setPosition(cc.p(cc.winSize.width/2,item2.height - 5));
        item2.addChild(personBg);

        var personBg2 = new ccui.ImageView(res.personBg2_png);
        personBg2.setScale9Enabled(true);
        personBg2.setContentSize(personBg.width/2*0.95,personBg.height*0.92);
        personBg2.setPosition(cc.p(personBg.width/4+13,personBg.height/2));
        personBg.addChild(personBg2);

        var personDi = new ccui.ImageView(res.personDi_png);
        personDi.setPosition(personBg2.width*0.5, personBg2.height*0.12);
        personBg2.addChild(personDi);

        var person = new ccui.ImageView(res.WolfFemale_png);
        if(DataManager.getInstance().getUserData()._currentSkin != -1) {
            person.loadTexture(SkinMap.get(DataManager.getInstance().getUserData()._currentSkin)[0]);
        }
        person.setScale(0.87);
        person.setPosition(cc.p(personBg2.width*0.5, personBg2.height*0.5 + 20));
        personBg2.addChild(person);

        var leida = new ccui.ImageView(res.leida_png);
        leida.setPosition(cc.p(personBg.width*0.75,personBg.height/2));
        personBg.addChild(leida);
        leida.setScale9Enabled(true);
        leida.setName("leida");
        leida.setScale(0.95,0.95);

        // var leida2 = new ccui.ImageView(res.leida2_png);
        // leida2.setPosition(cc.p(leida.width/2,leida.height/2));
        // leida.addChild(leida2);

        // 添加雷达的属性
        var attr1 = new cc.LabelTTF('好人能力', "Arial", 22);
        attr1.setPosition(cc.p(leida.width*0.2,leida.height*1.1));
        attr1.setColor(cc.color(252,227,179));
        leida.addChild(attr1);

        var attr2 = new cc.LabelTTF('狼人能力', "Arial", 22);
        attr2.setPosition(cc.p(leida.width*0.8,leida.height*1.1));
        attr2.setColor(cc.color(252,227,179));
        leida.addChild(attr2);

        var attr3 = new cc.LabelTTF('土豪', "Arial", 22);
        attr3.setPosition(cc.p(leida.width*1.1,leida.height*0.5));
        attr3.setColor(cc.color(252,227,179));
        leida.addChild(attr3);

        var attr4 = new cc.LabelTTF('离线率', "Arial", 22);
        attr4.setPosition(cc.p(leida.width*0.8,-leida.height*0.1));
        attr4.setColor(cc.color(252,227,179));
        leida.addChild(attr4);

        var attr5 = new cc.LabelTTF('贴脸率', "Arial", 22);
        attr5.setPosition(cc.p(leida.width*0.2,-leida.height*0.1));
        attr5.setColor(cc.color(252,227,179));
        leida.addChild(attr5);

        var attr6 = new cc.LabelTTF('能力值', "Arial", 22);
        attr6.setPosition(cc.p(-leida.width*0.15,leida.height*0.5));
        attr6.setColor(cc.color(252,227,179));
        leida.addChild(attr6);

        var item3 = new ccui.Layout();
        item3.setTouchEnabled(true);
        item3.setContentSize(BaseWindowConf.WIDTH, 35);

        // 添加粉丝,关注
        // var fanBtn = new ccui.Button(res.fanBtnBg_png, "", "");
        // fanBtn.setPosition(cc.winSize.width/2-cc.winSize.width*0.2, item3.height - 5);
        // fanBtn.addClickEventListener(function () {
        //     ToastUtil.showToastInMiddle("即将开放，敬请期待～", 2.0);
        // });
        // fanBtn.setAnchorPoint(cc.p(0.5,0.5));
        // item3.addChild(fanBtn);
        // var fanLabel = new ccui.ImageView(res.fanLabel_png);
        // fanLabel.setPosition(cc.p(fanBtn.width/2,fanBtn.height/2));
        // fanLabel.setAnchorPoint(cc.p(0.5,0.5));
        // fanBtn.addChild(fanLabel);
        //
        // var followBtn = new ccui.Button(res.followBtnBg_png, "", "");
        // followBtn.setPosition(cc.winSize.width/2+cc.winSize.width*0.2, fanBtn.y);
        // followBtn.addClickEventListener(function () {
        //     ToastUtil.showToastInMiddle("即将开放，敬请期待～", 2.0);
        // });
        //
        // item3.addChild(followBtn);
        // var followLabel = new ccui.ImageView(res.followLabel_png);
        // followLabel.setPosition(cc.p(followBtn.width/2,followBtn.height/2));
        // followBtn.addChild(followLabel);

        var homeLittleTitle = new ccui.ImageView(res.HomepageLittlePage_png);
        homeLittleTitle.setPosition(cc.winSize.width/2, item3.height - 10);
        homeLittleTitle.setName("homeLittleTitle");
        item3.addChild(homeLittleTitle);

        var totalWinRate = cc.LabelTTF('总胜率:10%',"Arial",25);
        totalWinRate.setName("totalWinRate");
        totalWinRate.setColor(cc.color(255, 204, 66));
        totalWinRate.setAnchorPoint(0, 0.5);
        totalWinRate.setPosition(20, homeLittleTitle.height/2 + 3);
        homeLittleTitle.addChild(totalWinRate);

        var totalWinAndLostTimes = cc.LabelTTF('10胜10负',"Arial",25);
        totalWinAndLostTimes.setName("totalWinAndLoseTimes");
        totalWinAndLostTimes.setColor(cc.color(255, 204, 66));
        totalWinAndLostTimes.setAnchorPoint(0.5, 0.5);
        totalWinAndLostTimes.setPosition(homeLittleTitle.width/2, homeLittleTitle.height/2 + 3);
        homeLittleTitle.addChild(totalWinAndLostTimes);

        var totalRank = cc.LabelTTF('排名:10000',"Arial",25);
        totalRank.setName("totalRank");
        totalRank.setColor(cc.color(255, 204, 66));
        totalRank.setAnchorPoint(1, 0.5);
        totalRank.setPosition(homeLittleTitle.width - 20, homeLittleTitle.height/2 + 3);
        homeLittleTitle.addChild(totalRank);

        mainList.pushBackCustomItem(item1);
        mainList.pushBackCustomItem(item2);
        mainList.pushBackCustomItem(item3);

        for (var i = 0 ; i < 15; i++) {
            var item = new ccui.Layout();
            item.setTouchEnabled(true);
            item.setContentSize(BaseWindowConf.WIDTH, 65);

            var container = new ccui.ImageView(res.homeRecordBg_png);
            container.setName("container");
            container.setScale9Enabled(true);
            container.setContentSize(BaseWindowConf.WIDTH*0.9, 55);
            container.setAnchorPoint(0.5,0.5);
            container.setPosition(item.width/2,item.height/2);

            var label1 = cc.LabelTTF('狼人',"Arial",30);
            label1.setPosition(cc.p(container.width*0.15,container.height*0.5));
            label1.setName("role");
            container.addChild(label1);

            var label2 = cc.LabelTTF('12胜6负',"Arial",30);
            label2.setPosition(cc.p(container.width*0.5,container.height*0.5));
            label2.setName("winAndLose");
            container.addChild(label2);

            var label4 = cc.LabelTTF('200名',"Arial",30);
            label4.setPosition(cc.p(container.width*0.85,container.height*0.5));
            label4.setName("winRate");
            container.addChild(label4);

            item.addChild(container);

            mainList.pushBackCustomItem(item);
        }

       // this.addRecordList();

       // this.drawLeida([90, 50, 40, 30, 60, 70]);
    },

    refreshUI:function (data) {
        var mainList = homePageLayer.getChildByName("mainList");
        var item1 = mainList.getItem(0);
        DataManager.getInstance().getUserData()._cup = data.cup;
        DataManager.getInstance().getUserData()._diamond = data.diamond;
        DataManager.getInstance().getUserData()._goldenCoin = data.coin;
        DataManager.getInstance().getUserData()._vipLevel = data.vipLevel;
        item1.getChildByName("awardLayer").getChildByName("awardLabel").setString(data.cup);
        item1.getChildByName("diamondLayer").getChildByName("diamondLabel").setString(data.diamond);
        item1.getChildByName("presentLayer").getChildByName("presentLabel").setString(data.coin);
        item1.getChildByName("energyLayer").getChildByName("vipText").setString(data.vipLevel);
        item1.getChildByName("nickname").setString(data.nickName);
        item1.getChildByName("gradeText").setString(data.grade);
        item1.getChildByName("userId").setString(data.userId);
        item1.getChildByName("charmText").setString(data.charmValue);

        var item2 = mainList.getItem(1);
        homePageLayer.drawLeida([data.richIndex*0.88, data.wolfAbility*0.88,
                data.goodManAbility*0.88, data.ability*0.88,
                data.faceRate*0.88, data.offlineRate*0.88],
            item2.getChildByName("personBg"));

        var item3 = mainList.getItem(2);
        var homeLittleTitle = item3.getChildByName("homeLittleTitle");
        if(data.totalRank > 10000) {
            homeLittleTitle.getChildByName("totalRank").setString("排名:10000+");
        } else {
            homeLittleTitle.getChildByName("totalRank").setString("排名:" + data.totalRank);
        }

        homeLittleTitle.getChildByName("totalWinAndLoseTimes").setString(data.totalWinTimes+"胜"+data.totalLoseTimes+"负");
        var winRate = "";
        if(data.totalWinTimes == 0) {
            winRate = "0";
        } else {
            if(data.totalLoseTimes == 0) {
                winRate = "100";
            } else {
                winRate = "" + Math.round(100*data.totalWinTimes/(data.totalLoseTimes+data.totalWinTimes));
            }
        }
        homeLittleTitle.getChildByName("totalWinRate").setString("总胜率:"+winRate+"%");

        for(var i = 0; i < data.detailList.length; i++) {
            var item = mainList.getItem(i+3);
            if(item != null && item != undefined) {
                item.getChildByName("container").getChildByName("role").setString(RoleMap.get(data.detailList[i].role));
                item.getChildByName("container").getChildByName("winAndLose").setString(data.detailList[i].winTimes + "胜/" + data.detailList[i].loseTimes + "负");
                var winRate = 0;
                if ((data.detailList[i].winTimes + data.detailList[i].loseTimes) != 0) {
                    if (data.detailList[i].loseTimes == 0)
                        winRate = 100;
                    else {
                        winRate = Math.round(data.detailList[i].winTimes * 100 / (data.detailList[i].winTimes + data.detailList[i].loseTimes));
                    }
                }

                item.getChildByName("container").getChildByName("winRate").setString("胜率:" + winRate + "%");
            }
        }
    },

    drawLeida:function (data, personBg) {
        var params = [[1, 0],[0.5, 0.866025],[-0.5, 0.866025],[-1, 0],[-0.5, -0.866025],[0.5, -0.866025]];
        var colors = [cc.color(196,161,143),cc.color(211,182,164),cc.color(171,127,112),
                      cc.color(152,106,91),cc.color(128,80,68),cc.color(162,118,104)];
        var x0 = personBg.getChildByName("leida").x;
        var y0 = personBg.getChildByName("leida").y;
        var points = new Array();
        for(var i = 0; i < data.length; i++) {
            points.push([x0 + data[i] * params[i][0], y0 + data[i] * params[i][1]]);
        }
        var draw= new cc.DrawNode();
        personBg.addChild(draw,10);
        for(var i = 0; i < data.length; i++) {
            var vertices;
            if(i+1 >= data.length) {
                vertices = [cc.p(x0, y0), cc.p(points[i][0], points[i][1]), cc.p(points[0][0], points[0][1])];
            } else {
                vertices = [cc.p(x0, y0), cc.p(points[i][0], points[i][1]), cc.p(points[i + 1][0], points[i + 1][1])];
            }
            draw.drawPoly(vertices, colors[i], 1, colors[i]);
        }
    },

    // 添加下方个人记录历史
    addRecordList: function() {
        this.recordList = new ccui.ListView();
        this.recordList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.recordList.setTouchEnabled(true);
        this.recordList.setBounceEnabled(true);
        this.recordList.setBackGroundImage(res.homeScoreListBg_png);
        this.recordList.setBackGroundImageScale9Enabled(true);
        this.recordList.setContentSize(cc.size(BaseWindowConf.WIDTH*0.9, cc.winSize.height*0.3));
        this.recordList.setPosition(cc.winSize.width/2, cc.winSize.height*0.15);
        this.recordList.setAnchorPoint(0.5, 0.5);
       // this.recordList.addEventListener(this.selectedRecordItemEvent, this);
        this.recordList.setItemsMargin(10);
        this.recordList.setGravity(ccui.ListView.GRAVITY_CENTER_VERTICAL);
        //this.recordList.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.recordList.setScrollBarEnabled(false);
        this.addChild(this.recordList);

        for(var i = 0; i < 30; ++i) {
            var item = this.addOneRecord(cc.winSize.width*0.9);
            this.recordList.pushBackCustomItem(item);
        }
    },

    // 添加一条个人记录
    addOneRecord: function(width) {
        var item = new ccui.Layout();
        item.setTouchEnabled(true);
        item.setLayoutType(ccui.Layout.LINEAR_VERTICAL);

        var container = new ccui.ImageView(res.homeRecordBg_png);
        container.setScale9Enabled(true);
        container.width = width;
        container.setAnchorPoint(0.5,0.5);

        // player = new cc.LabelTTF('大尊哥', "Arial", 20);
        // player.setColor(cc.color(214,39,39));
        var label1 = cc.LabelTTF('狼人',"Arial",30);
        label1.setPosition(cc.p(container.width*0.1,container.height*0.5));
        container.addChild(label1);

        var label2 = cc.LabelTTF('12胜6负',"Arial",30);
        label2.setPosition(cc.p(container.width*0.4,container.height*0.5));
        container.addChild(label2);

        var label3 = cc.LabelTTF('80名',"Arial",30);
        label3.setPosition(cc.p(container.width*0.65,container.height*0.5));
        container.addChild(label3);

        var label4 = cc.LabelTTF('200名',"Arial",30);
        label4.setPosition(cc.p(container.width*0.9,container.height*0.5));
        container.addChild(label4);

        item.setContentSize(container.getContentSize());
        container.setPosition(item.width/2,item.height/2);
        item.addChild(container);
        return item;
    },

    // selectedRecordItemEvent: function(sender, type) {
    //     switch (type) {
    //         case ccui.ListView.EVENT_SELECTED_ITEM:
    //             var listViewEx = sender;
    //             var item = listViewEx.getItem(listViewEx.getCurSelectedIndex());
    //             cc.log("select child index = " + item.getTag());
    //             break;
    //         case ccui.ListView.EVENT_SLIDEBALL_UP:
    //             cc.log("up");
    //             break;
    //         case ccui.ListView.EVENT_SLIDEBALL_DOWN:
    //             cc.log("down");
    //         default:
    //             break;
    //     }
    // }
});

function homeInfoSuccess(retBody) {
    cc.log("success");
    homePageLayer.refreshUI(retBody);
};

function homeInfoFailed(retCode) {
    cc.log(retCode);
    var errorString = "未知错误";
    if(retCode == -2000) {
        errorString = "用户名不存在或者密码不正确";
    } else if(retCode == -2001) {
        errorString = "用户名已经存在";
    } else if (retCode == -2002) {
        errorString = "房间密码错误";
    }
    ToastUtil.showToast(errorString, 2.0);
};

function homeInfoResume(retBody) {
    cc.log(retBody);
};

function homeInfoResponse(responseString) {
    // sendAliLog("rankListResponse", "info", responseString);
    cc.director.getRunningScene().removeChildByTag(997001);
    if(responseString == "" || responseString == null || responseString == undefined) {
        ToastUtil.systemToastInMiddle("请求超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                homeInfoSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                homeInfoResume(responseObj.retBody);
            }
        } else {
            homeInfoFailed(responseObj.retCode);
        }
    }
};

var HomeScene = cc.Scene.extend({

    _backListener:null,

    ctor:function () {
        this._super();
        this._backListener = cc.eventManager.addListener({
            event: cc.EventListener.KEYBOARD,
            onKeyReleased: function(keyCode, event) {
                if(keyCode == cc.KEY.back) {
                    cc.log("jijun android back");
                    var quitAppConfirmDialog = new CommonDialog(DialogType.QuitAppConfrimDialog, -1);
                    quitAppConfirmDialog.setTag(DialogType.QuitAppConfrimDialog);
                    quitAppConfirmDialog.popup();
                } else if(keyCode == cc.KEY.menu) {
                    cc.log("jijun android menu");
                }
            }
        }, this);
    },

    onEnter: function () {
        this._super();

        homePageLayer = new HomePageLayer();
        homePageLayer.retain();
        this.addChild(homePageLayer);
    },

    onExit:function () {
        this._super();
        homePageLayer.release();
        cc.eventManager.removeListener(this._backListener);
    }
});
