/**
 * Created by fanfeifan on 2017/1/14.
 */

var BuyDiamondLayer = cc.Layer.extend({

    _data:null,
    _isiostest:null,

    ctor: function () {
        this._super();
        this.initBackground();
        return true;
    },

    initBackground: function() {
        // 背景
        this.background = ccui.ImageView(res.ShopBack2_png);
        this.background.setScale9Enabled(true);
        this.background.setContentSize(cc.size(BaseWindowConf.WIDTH*0.85,BaseWindowConf.HEIGHT*0.74));
        this.background.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2-30));
        this.addChild(this.background);
        this.loadDiamondList();
    },

    addDiamondItem: function(index) {
        var _this = this;
        var item = new ccui.Layout();
        item.setTouchEnabled(true);
        var container = new cc.Node();
        container.setAnchorPoint(0.5, 0.5);
        container.setContentSize(cc.size(this.diamondList.width, cc.winSize.height * 0.226));
        // 展示台
        var jiazi = ccui.ImageView(res.ShopJiazi_png);
        jiazi.setPosition(container.width / 2, 0);
        container.addChild(jiazi);

        var DiamondBg1 = ccui.Button(res.ShopDiamondBg_png, "");
        DiamondBg1.setPosition(container.width * 0.27, container.height / 2);
        DiamondBg1.setTag(index*2);
        DiamondBg1.addClickEventListener(function () {
            if (_this._isiostest == 1 && cc.sys.os === cc.sys.OS_IOS) {
                var buyDiamondApi = new BuyDiamondApi();
                buyDiamondApi.preBuyDiamond(_this._data[this.getTag()].skuid, _this._data[this.getTag()].price, 1, "buyDiamondResponse", function () {
                }, function () {
                }, function () {
                });
            } else {
                var buyDialog = new BuyDialog(DialogType.BuyDiamond, _this._data[this.getTag()].skuid, _this._data[this.getTag()].price, "");
                buyDialog.setTag(DialogType.BuyDiamond);
                buyDialog.popup();
            }
        });
        container.addChild(DiamondBg1);

        var diamond1 = ccui.ImageView(this._data[index*2].picurl);
        if(index == 0 || index == 1) {
            diamond1.setPosition(DiamondBg1.width / 2, DiamondBg1.height / 2 + 20);
        } else {
            diamond1.setPosition(DiamondBg1.width / 2, DiamondBg1.height / 2);
        }
        DiamondBg1.addChild(diamond1);

        // 显示赠送信息
        if(this._data[index * 2].presentres.length > 0) {
            var present1 = ccui.ImageView(this._data[index * 2].presentres);
            present1.setPosition(DiamondBg1.width / 2, DiamondBg1.height / 2 - 50);
            present1.setScale(1.2);
            DiamondBg1.addChild(present1);
        } else {
            // 显示充值另送
            var presentLabel1 = new cc.LabelTTF(this._data[index*2].present, "Arial", 22);
            presentLabel1.setPosition(DiamondBg1.width/2, 45);
            presentLabel1.setColor(cc.color(243,216,108));
            DiamondBg1.addChild(presentLabel1);
        }

        // 显示小钻石
        var smallDiamond1 = ccui.ImageView(res.ShopSmallDiamond_png);
        if(index == 0) {
            smallDiamond1.setPosition(DiamondBg1.width / 2 - 40, DiamondBg1.height * 0.84);
        } else {
            smallDiamond1.setPosition(DiamondBg1.width / 2 - 25, DiamondBg1.height * 0.84);
        }
        DiamondBg1.addChild(smallDiamond1);
        var smallLabel1 = new cc.LabelTTF(this._data[index*2].amount, "Arial", 21);
        smallLabel1.setColor(cc.color(229, 146, 55));
        if(index == 0) {
            smallLabel1.setPosition(DiamondBg1.width / 2 + 20, smallDiamond1.y);
        } else {
            smallLabel1.setPosition(DiamondBg1.width / 2 + 20, smallDiamond1.y);
        }
        DiamondBg1.addChild(smallLabel1);

        if (index <= (this._data.length / 2 - 1)) {
            var DiamondBg2 = ccui.Button(res.ShopDiamondBg_png, "");
            DiamondBg2.setPosition(container.width * 0.73, container.height / 2);
            DiamondBg2.setTag(index*2+1);
            DiamondBg2.addClickEventListener(function () {
                if (_this._isiostest == 1 && cc.sys.os === cc.sys.OS_IOS) {
                    var buyDiamondApi = new BuyDiamondApi();
                    buyDiamondApi.preBuyDiamond(_this._data[this.getTag()].skuid, _this._data[this.getTag()].price, 1, "buyDiamondResponse", function () {
                    }, function () {
                    }, function () {
                    });
                } else {
                    var buyDialog = new BuyDialog(DialogType.BuyDiamond, _this._data[this.getTag()].skuid, _this._data[this.getTag()].price, "");
                    buyDialog.setTag(DialogType.BuyDiamond);
                    buyDialog.popup();
                }
            });
            container.addChild(DiamondBg2);

            var diamond2 = ccui.ImageView(this._data[index*2+1].picurl);
            diamond2.setPosition(DiamondBg2.width / 2, DiamondBg2.height / 2);
            DiamondBg2.addChild(diamond2);

            // 显示小钻石
            var smallDiamond2 = ccui.ImageView(res.ShopSmallDiamond_png);
            smallDiamond2.setPosition(DiamondBg2.width / 2 - 25, DiamondBg2.height * 0.84);
            DiamondBg2.addChild(smallDiamond2);
            var smallLabel2 = new cc.LabelTTF(this._data[index*2+1].amount, "Arial", 21);
            smallLabel2.setColor(cc.color(229, 146, 55));
            smallLabel2.setPosition(DiamondBg2.width / 2 + 20, smallDiamond2.y);
            DiamondBg2.addChild(smallLabel2);

            // 显示赠送信息
            if(this._data[index * 2 + 1].presentres.length > 0) {
                var present1 = ccui.ImageView(this._data[index * 2 + 1].presentres);
                present1.setPosition(DiamondBg1.width / 2, DiamondBg1.height / 2 - 50);
                present1.setScale(1.2);
                DiamondBg1.addChild(present1);
            } else {
                // 显示充值另送
                var presentLabel2 = new cc.LabelTTF(this._data[index*2 + 1].present, "Arial", 22);
                presentLabel2.setPosition(DiamondBg2.width/2, 45);
                presentLabel2.setColor(cc.color(243,216,108));
                DiamondBg2.addChild(presentLabel2);
            }
        }

        // 购买钻石
        var buyBtn1 = new ccui.Button(res.ShopBuyNormal_png,res.ShopBuyDown_png,"");
        buyBtn1.setPosition(cc.p(jiazi.width*0.27+5,jiazi.height/2+20));
        buyBtn1.setTag(index*2);
        buyBtn1.addClickEventListener(function () {
            if (_this._isiostest == 1 && cc.sys.os === cc.sys.OS_IOS) {
                var buyDiamondApi = new BuyDiamondApi();
                buyDiamondApi.preBuyDiamond(_this._data[this.getTag()].skuid, _this._data[this.getTag()].price, 1, "buyDiamondResponse", function () {
                }, function () {
                }, function () {
                });
            } else {
                var buyDialog = new BuyDialog(DialogType.BuyDiamond, _this._data[this.getTag()].skuid, _this._data[this.getTag()].price, "");
                buyDialog.setTag(DialogType.BuyDiamond);
                buyDialog.popup();
            }
        });
        jiazi.addChild(buyBtn1);
        var buyLabel1 = new cc.LabelTTF("$"+this._data[index*2].price+"RMB", "Arial", 30);
        buyLabel1.setColor(cc.color(238,224,189));
        buyLabel1.setPosition(buyBtn1.width/2,buyBtn1.height/2);
        buyBtn1.addChild(buyLabel1);

        if(index <= (this._data.length / 2 - 1)) {
            var buyBtn2 = new ccui.Button(res.ShopBuyNormal_png, res.ShopBuyDown_png, "");
            buyBtn2.setPosition(cc.p(jiazi.width * 0.73+5, jiazi.height / 2 + 20));
            buyBtn2.setTag(index*2+1);
            buyBtn2.addClickEventListener(function () {
                if (_this._isiostest == 1 && cc.sys.os === cc.sys.OS_IOS) {
                    var buyDiamondApi = new BuyDiamondApi();
                    buyDiamondApi.preBuyDiamond(_this._data[this.getTag()].skuid, _this._data[this.getTag()].price, 1, "buyDiamondResponse", function () {
                    }, function () {
                    }, function () {
                    });
                } else {
                    var buyDialog = new BuyDialog(DialogType.BuyDiamond, _this._data[this.getTag()].skuid, _this._data[this.getTag()].price, "");
                    buyDialog.setTag(DialogType.BuyDiamond);
                    buyDialog.popup();
                }
            });
            jiazi.addChild(buyBtn2);
            var buyLabel2 = new cc.LabelTTF("$"+this._data[index*2+1].price+"RMB", "Arial", 30);
            buyLabel2.setColor(cc.color(238, 224, 189));
            buyLabel2.setPosition(buyBtn2.width / 2, buyBtn2.height / 2);
            buyBtn2.addChild(buyLabel2);
        }

        item.setContentSize(container.getContentSize());
        container.setPosition(item.width/2,item.height/2);
        item.addChild(container);
        return item;
    },

    reloadDiamondListData: function (data) {
        this._data = eval(data).productlist;
        this._isiostest = eval(data).isiostest;
        for(var i = 0; i <= this._data.length / 2; ++i) {
            var item = this.addDiamondItem(i);
            this.diamondList.pushBackCustomItem(item);
        }
    },

    // 添加购买页面
    loadDiamondList: function() {
        this.diamondList = new ccui.ListView();
        this.diamondList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.diamondList.setTouchEnabled(true);
        this.diamondList.setBounceEnabled(true);
        this.diamondList.setContentSize(cc.size(this.background.width, this.background.height));
        this.diamondList.setPosition(this.background.width/2, this.background.height/2);
        this.diamondList.setAnchorPoint(0.5, 0.5);
        this.diamondList.setItemsMargin(10);
        this.diamondList.addEventListener(this.selectedDiamondItemEvent, this);
        //diamondList.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.diamondList.setItemsMargin(0);
        this.diamondList.setScrollBarEnabled(false);
        this.background.addChild(this.diamondList);

    },

    selectedDiamondItemEvent: function(sender, type) {
        switch (type) {
            case ccui.ListView.EVENT_SELECTED_ITEM:
                var listViewEx = sender;
                var item = listViewEx.getItem(listViewEx.getCurSelectedIndex());
                cc.log("select child index = " + item.getTag());
                break;
            case ccui.ListView.EVENT_SLIDEBALL_UP:
                cc.log("up");
                break;
            case ccui.ListView.EVENT_SLIDEBALL_DOWN:
                cc.log("down");
            default:
                break;
        }
    }
});

