/**
 * Created by fanfeifan on 2017/1/14.
 */

var BuyPropLayer = cc.Layer.extend({

    _skinlist:null,
    _voicelist:null,
    _goldlist:null,

    ctor: function () {
        this._super();
        this.initBackground();
        return true;
    },

    initBackground: function() {
        // 背景
        this.background = ccui.ImageView(res.ShopBack2_png);
        this.background.setScale9Enabled(true);
        this.background.setContentSize(cc.size(BaseWindowConf.WIDTH*0.85,BaseWindowConf.HEIGHT*0.74));
        this.background.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2-30));
        this.addChild(this.background);

        this.loadPropList();
    },

    addPropItem: function(type, index) {
        var item = new ccui.Layout();
        item.setTouchEnabled(true);
        var _this = this;
        var container = new cc.Node();
        //cc.rect()
        container.setAnchorPoint(0.5,0.5);
        container.setContentSize(cc.size(this.propList.width,cc.winSize.height*0.226));
        // 展示台
        var jiazi = ccui.ImageView(res.ShopJiazi_png);
        jiazi.setPosition(container.width/2,0);
        container.addChild(jiazi);

        var sourceData;
        if (type == 0) {
            sourceData = this._skinlist;
        } else if (type == 1) {
            sourceData = this._voicelist;
        } else if (type == 2) {
            sourceData = this._goldlist;
        }
        var propBg1;
        if (sourceData.length > index * 3) {
            propBg1 = ccui.Button(res.ShopPropItemBg_png, "", "");
            propBg1.setPosition(container.width*0.2,container.height/2);
            propBg1.myindex = index * 3;
            propBg1.mytype = type;
            propBg1.addClickEventListener(function () {
                var index = this.myindex;
                var type = this.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                if (type == 0 && sourceData.length > index) {
                    var propIntroDialog = new PropIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].picurl);
                    propIntroDialog.popup();
                } else if (type == 1) {
                    var voiceIntroDialog = new VoiceIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg1);

            var prop1 = ccui.ImageView(sourceData[index*3].picurl);
            if(type == 0) {
                prop1.setScale(0.32);
            }
            prop1.setPosition(propBg1.width/2,propBg1.height/2);
            propBg1.addChild(prop1);
            if(type == 2) {
                var littleCoin = new ccui.ImageView(res.GoldCoin_png);
                littleCoin.setScale(0.8);
                littleCoin.setPosition(propBg1.width/2 - 28, propBg1.height - 20);
                propBg1.addChild(littleCoin);

                var littleCoinText = new ccui.Text(((this._goldlist[index*3].diamondAmount * 10) + ""), "Arial", 22);
                littleCoinText.setColor(cc.color(229, 146, 55));
                littleCoinText.setPosition(propBg1.width/2 + 20, propBg1.height - 20);
                propBg1.addChild(littleCoinText);
            }
        }

        var propBg2;
        if (sourceData.length > index * 3 + 1) {
            propBg2 = ccui.Button(res.ShopPropItemBg_png, "", "");
            propBg2.myindex = index * 3 + 1;
            propBg2.mytype = type;
            propBg2.setPosition(container.width * 0.5, container.height / 2);
            propBg2.addClickEventListener(function () {
                var index = this.myindex;
                var type = this.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                if (type == 0 && sourceData.length > index) {
                    var propIntroDialog = new PropIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].picurl);
                    propIntroDialog.popup();
                } else if (type == 1) {
                    var voiceIntroDialog = new VoiceIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg2);

            var prop2 = ccui.ImageView(sourceData[index*3+1].picurl);
            if(type == 0) {
                prop2.setScale(0.32);
            }
            prop2.setPosition(propBg2.width / 2, propBg2.height / 2);
            propBg2.addChild(prop2);
            if(type == 2) {
                var littleCoin = new ccui.ImageView(res.GoldCoin_png);
                littleCoin.setScale(0.8);
                littleCoin.setPosition(propBg2.width/2 - 28, propBg2.height - 20);
                propBg2.addChild(littleCoin);

                var littleCoinText = new ccui.Text(((sourceData[index*3+1].diamondAmount * 10) + ""), "Arial", 22);
                littleCoinText.setColor(cc.color(229, 146, 55));
                littleCoinText.setPosition(propBg2.width/2 + 20, propBg2.height - 20);
                propBg2.addChild(littleCoinText);
            }
        }

        var propBg3;
        if (sourceData.length > index * 3 + 2) {
            propBg3 = ccui.Button(res.ShopPropItemBg_png, "", "");
            propBg3.setPosition(container.width * 0.8, container.height / 2);
            propBg3.myindex = index * 3 + 2;
            propBg3.mytype = type;
            propBg3.addClickEventListener(function () {
                var index = this.myindex;
                var type = this.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                if (type == 0 && sourceData.length > index) {
                    var propIntroDialog = new PropIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].picurl);
                    propIntroDialog.popup();
                } else if (type == 1) {
                    var voiceIntroDialog = new VoiceIntroDialog(sourceData[index].skuId, sourceData[index].skuName, sourceData[index].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg3);

            var prop3 = ccui.ImageView(sourceData[index*3+2].picurl);
            if (type == 0) {
                prop3.setScale(0.32);
            }
            prop3.setPosition(propBg3.width / 2, propBg3.height / 2);
            propBg3.addChild(prop3);
            if(type == 2) {
                var littleCoin = new ccui.ImageView(res.GoldCoin_png);
                littleCoin.setScale(0.8);
                littleCoin.setPosition(propBg3.width/2 - 28, propBg3.height - 20);
                propBg3.addChild(littleCoin);

                var littleCoinText = new ccui.Text(((sourceData[index*3+2].diamondAmount * 10) + ""), "Arial", 22);
                littleCoinText.setColor(cc.color(229, 146, 55));
                littleCoinText.setPosition(propBg3.width/2 + 20, propBg3.height - 20);
                propBg3.addChild(littleCoinText);
            }
        }

        if(sourceData.length > index*3) {
            // 购买钻石
            var buyBtn1 = new ccui.Button(res.ShopBuyPropItemBtn_png,"","");
            buyBtn1.setPosition(cc.p(jiazi.width*0.2,jiazi.height/2+20));
            buyBtn1.addClickEventListener(function () {
                var index = propBg1.myindex;
                var type = propBg1.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                var buyDialog = new BuyDialog(DialogType.BuyProp, sourceData[index].skuId, sourceData[index].diamondAmount, sourceData[index].coinAmount);
                buyDialog.setTag(DialogType.BuyProp);
                buyDialog.popup();
            });
            jiazi.addChild(buyBtn1);
            var buyLabel1 = new cc.LabelTTF('20', "Arial", 30);
            var diamondAmount = sourceData[index*3].diamondAmount;
            var coinAmount = sourceData[index*3].coinAmount;
            if (diamondAmount > 0) {
                buyLabel1.setString(diamondAmount);
            } else {
                buyLabel1.setString(coinAmount);
            }
            buyLabel1.setColor(cc.color(238,224,189));
            buyLabel1.setPosition(buyBtn1.width/2+15,buyBtn1.height/2);
            buyBtn1.addChild(buyLabel1);
            var diamond1 = new ccui.ImageView(res.diamond_png);
            if(diamondAmount > 0) {
                diamond1.setScale(0.7,0.7);
            } else {
                diamond1.loadTexture(res.GoldCoin_png);
            }
            diamond1.setPosition(buyBtn1.width*0.3,buyBtn1.height*0.5);
            buyBtn1.addChild(diamond1);
        }

        if (sourceData.length > index*3 + 1) {
            var buyBtn2 = new ccui.Button(res.ShopBuyPropItemBtn_png, "", "");
            buyBtn2.setPosition(cc.p(jiazi.width * 0.5, jiazi.height / 2 + 20));
            buyBtn2.addClickEventListener(function () {
                var index = propBg2.myindex;
                var type = propBg2.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                var buyDialog = new BuyDialog(DialogType.BuyProp, sourceData[index].skuId, sourceData[index].diamondAmount, sourceData[index].coinAmount);
                buyDialog.setTag(DialogType.BuyProp);
                buyDialog.popup();
            });
            jiazi.addChild(buyBtn2);
            var buyLabel2 = new cc.LabelTTF('20', "Arial", 30);
            var diamondAmount = sourceData[index*3 + 1].diamondAmount;
            var coinAmount = sourceData[index*3 + 1].coinAmount;
            if (diamondAmount > 0) {
                buyLabel2.setString(diamondAmount);
            } else {
                buyLabel2.setString(coinAmount);
            }
            buyLabel2.setColor(cc.color(238, 224, 189));
            buyLabel2.setPosition(buyBtn2.width / 2 + 15, buyBtn2.height / 2);
            buyBtn2.addChild(buyLabel2);
            var diamond2 = new ccui.ImageView(res.diamond_png);
            if(diamondAmount > 0) {
                diamond2.setScale(0.7, 0.7);
            } else {
                diamond2.loadTexture(res.GoldCoin_png);
            }
            diamond2.setPosition(buyBtn2.width * 0.3, buyBtn2.height * 0.5);
            buyBtn2.addChild(diamond2);
        }

        if(sourceData.length > index*3 + 2) {
            var buyBtn3 = new ccui.Button(res.ShopBuyPropItemBtn_png, "", "");
            buyBtn3.setPosition(cc.p(jiazi.width * 0.8, jiazi.height / 2 + 20));
            buyBtn3.addClickEventListener(function () {
                var index = propBg3.myindex;
                var type = propBg3.mytype;
                var sourceData;
                if (type == 0) {
                    sourceData = _this._skinlist;
                } else if (type == 1) {
                    sourceData = _this._voicelist;
                } else if (type == 2) {
                    sourceData = _this._goldlist;
                }
                var buyDialog = new BuyDialog(DialogType.BuyProp, sourceData[index].skuId, sourceData[index].diamondAmount, sourceData[index].coinAmount);
                buyDialog.setTag(DialogType.BuyProp);
                buyDialog.popup();
            });
            jiazi.addChild(buyBtn3);
            var buyLabel3 = new cc.LabelTTF('20', "Arial", 30);
            var diamondAmount = sourceData[index*3 + 2].diamondAmount;
            var coinAmount = sourceData[index*3 + 2].coinAmount;
            if (diamondAmount > 0) {
                buyLabel3.setString(diamondAmount);
            } else {
                buyLabel3.setString(coinAmount);
            }
            buyLabel3.setColor(cc.color(238, 224, 189));
            buyLabel3.setPosition(buyBtn3.width / 2 + 15, buyBtn3.height / 2);
            buyBtn3.addChild(buyLabel3);
            var diamond3 = new ccui.ImageView(res.diamond_png);
            if(diamondAmount > 0) {
                diamond3.setScale(0.7, 0.7);
            } else {
                diamond3.loadTexture(res.GoldCoin_png);
            }
            diamond3.setPosition(buyBtn3.width * 0.3, buyBtn3.height * 0.5);
            buyBtn3.addChild(diamond3);
        }

        item.setContentSize(container.getContentSize());
        container.setPosition(item.width/2,item.height/2 + 70);
        item.addChild(container);
        return item;
    },

    // 添加购买页面
    loadPropList: function() {
        this.propList = new ccui.ListView();
        this.propList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.propList.setTouchEnabled(true);
        this.propList.setBounceEnabled(true);
        this.propList.setContentSize(cc.size(this.background.width, this.background.height));
        this.propList.setPosition(this.background.width/2, this.background.height/2);
        this.propList.setAnchorPoint(0.5, 0.5);
        //this.propList.setItemsMargin(30);
        //this.propList.addEventListener(this.selectedDiamondItemEvent, this);
        //this.propList.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.propList.setItemsMargin(0);
        this.propList.setScrollBarEnabled(false);
        this.background.addChild(this.propList);
    },

    // 添加类型页
    addPropTypeItem: function(index) {
        var item = new ccui.Layout();
        item.setTouchEnabled(true);

        var container = new cc.Node();
        container.setAnchorPoint(0.5,0.5);
        container.setContentSize(cc.size(this.propList.width,cc.winSize.height*0.1));

        var propTitleBg = ccui.ImageView(res.ShopPropTitle);
        propTitleBg.setPosition(container.width/2,container.height/2);
        container.addChild(propTitleBg);

        var propTypeList = [res.ShopPropType1, res.ShopPropType2, res.ShopGoldenCoinTitle_png];
        var type = ccui.ImageView(propTypeList[index]);
        type.setAnchorPoint(0.5,0.5);
        type.setPosition(propTitleBg.width/2,propTitleBg.height/2);
        propTitleBg.addChild(type);

        item.setContentSize(container.getContentSize());
        var lp1 = new ccui.LinearLayoutParameter();
        lp1.setGravity(ccui.LinearLayoutParameter.CENTER_VERTICAL);
        lp1.setMargin(new ccui.Margin(0, 0, 0, 0));
        item.setLayoutParameter(lp1);

        container.setPosition(item.width/2,item.height/2);
        item.addChild(container);
        return item;
    },

    selectedDiamondItemEvent: function(sender, type) {
        switch (type) {
            case ccui.ListView.EVENT_SELECTED_ITEM:
                var listViewEx = sender;
                var item = listViewEx.getItem(listViewEx.getCurSelectedIndex());
                cc.log("select child index = " + item.getTag());
                break;
            case ccui.ListView.EVENT_SLIDEBALL_UP:
                cc.log("up");
                break;
            case ccui.ListView.EVENT_SLIDEBALL_DOWN:
                cc.log("down");
            default:
                break;
        }
    },

// 添加可左右滑动的item
    addHorizontalScrollItem: function(type) {
        var rows = 2;
        var pages = 2;

        var pageView = new ccui.PageView();
        pageView.pages = pages;
        pageView.setTouchEnabled(true);
        pageView.setContentSize(cc.size(this.propList.width,cc.winSize.height*0.226*rows));

        for (var i = 0; i < pages; ++i) {
            var item = new ccui.Layout();
            item.setContentSize(cc.size(pageView.width,pageView.height));
            var params = new ccui.LinearLayoutParameter();
            params.setMargin(new ccui.Margin(0,10,0,10));
            item.setLayoutParameter(params);
            item.setAnchorPoint(cc.p(0.5,0.5));
            for (var j = 0; j < rows; ++j) {
                var layout = this.addPropItem(type, i * rows + j);
                var y;
                if (j == rows - 1) {
                    y = 20;
                } else {
                    y = item.height * (rows - j - 1) * 1.0 / rows;
                }
                layout.setPosition(cc.p(0, y));
                item.addChild(layout);
            }
            pageView.insertPage(item, i);
        }
        pageView.setCurrentPageIndex(0);
        pageView.addEventListener(this.pageViewEvent, this);
        return pageView;
    },

    reloadPropListData: function (data) {
        this._skinlist = eval(data).skinlist;
        this._voicelist = eval(data).voicelist;
        this._goldlist = eval(data).goldlist;

        //皮肤
        var item = new ccui.Layout();
        var horizontalScrollItem = this.addHorizontalScrollItem(0);
        horizontalScrollItem.setAnchorPoint(0.5, 0.5);
        item.setContentSize(horizontalScrollItem.getContentSize());
        horizontalScrollItem.setPosition(item.width/2, item.height/2);
        item.addChild(horizontalScrollItem);

        this.leftPage = ccui.ImageView(res.BagLeft_png);
        this.leftPage.setPosition(20, item.height/2);
        this.leftPage.setVisible(false);
        item.addChild(this.leftPage);
        this.rightPage = ccui.ImageView(res.BagRight_png);
        this.rightPage.setPosition(item.width - 20, item.height/2);
        item.addChild(this.rightPage);

        var item1 = this.addPropTypeItem(0);
        this.propList.pushBackCustomItem(item1);
        this.propList.pushBackCustomItem(item);

        //语音包
        item = this.addPropItem(1, 0);
        item1 = this.addPropTypeItem(1);
        this.propList.pushBackCustomItem(item1);
        this.propList.pushBackCustomItem(item);

        //买金币
        item = new ccui.Layout();
        item.setContentSize(this.propList.width,cc.winSize.height*0.226*2);

        var layout1 = this.addPropItem(2, 0);
        layout1.setAnchorPoint(0.5,1);
        var layout2 = this.addPropItem(2, 1);
        layout2.setAnchorPoint(0.5,0);

        layout1.setPosition(item.width/2, item.height);
        layout2.setPosition(item.width/2, 20);

        item.addChild(layout1);
        item.addChild(layout2);

        item1 = this.addPropTypeItem(2);
        this.propList.pushBackCustomItem(item1);
        this.propList.pushBackCustomItem(item);

    },

    pageViewEvent: function (sender, type) {
        switch (type) {
            case ccui.PageView.EVENT_TURNING:
                var pageView = sender;
                var pageIndex = pageView.getCurrentPageIndex().valueOf()-0;
                cc.log('page='+pageIndex);
                if (pageIndex == 0) {
                    this.leftPage.visible = false;
                    this.rightPage.visible = true;
                } else if (pageIndex == pageView.pages - 1) {
                    this.rightPage.visible = false;
                    this.leftPage.visible = true;
                } else {
                    this.rightPage.visible = true;
                    this.leftPage.visible = true;
                }
                //this._topDisplayLabel.setString("page = " + (pageView.getCurPageIndex().valueOf()-0 + 1));
                break;
            default:
                break;
        }
    },
})