/**
 * Created by junji on 2017/2/7.
 */

var Tutorial4 = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.setContentSize(cc.size(BaseWindowConf.WIDTH, BaseWindowConf.HEIGHT));
        this.initBackground();
        return true;
    },

    initBackground: function() {
        var base = new TutorialBaseLayer();
        base.setPosition(0,0);
        this.addChild(base);

        this.listview = new ccui.ListView();
        this.listview.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listview.setTouchEnabled(true);
        this.listview.setBounceEnabled(true);
        this.listview.setContentSize(cc.size(this.width*0.9, BaseWindowConf.HEIGHT*0.64));
        this.listview.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.listview.setAnchorPoint(0.5, 0.5);
        //this.listview.addEventListener(this.selectedDiamondItemEvent, this);
        //this.listview.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.listview.setItemsMargin(0);
        this.listview.setScrollBarEnabled(false);
        //this.listview.setBounceEnabled(false);
        this.addChild(this.listview);

        var layout = new ccui.Layout();
        var introduction = new cc.LabelTTF('每位玩家初始奖杯数为1300，每局胜负获取的奖杯规则跟玩家自身水平和玩家对弈预期胜率有关。' +
            '\n玩家阶数和奖杯数对应关系如下：'+
            '\n全民狼人杀0阶对应积分<0' +
            '\n全民狼人杀0.5阶对应积分0-1100' +
            '\n全民狼人杀1阶玩家对应积分1100-1300' +
            '\n全民狼人杀1.5阶玩家对应积分1300-1400' +
            '\n全民狼人杀2阶玩家对应积分1400-1500' +
            '\n全民狼人杀2.5阶玩家对应积分1500-1700' +
            '\n全民狼人杀3阶玩家对应积分1700-2000' +
            '\n全民狼人杀3.5阶玩家对应积分2000-2200' +
            '\n全民狼人杀4阶玩家对应积分2200-2400' +
            '\n全民狼人杀4.5阶玩家对应积分2400-2600' +
            '\n全民狼人杀5阶玩家对应积分>2600',
            "Arial", 30);
        introduction.boundingWidth = this.listview.width*0.8;
        introduction.boundingHeight = 0;
        introduction.setColor(cc.color(94,36,22));
        introduction.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        introduction.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        introduction.setAnchorPoint(0.5, 1);
        layout.setContentSize(cc.size(this.listview.width,introduction.height + 20));
        introduction.setPosition(layout.width/2,layout.height - 30);
        layout.addChild(introduction);
        this.listview.pushBackCustomItem(layout);

    },

})