/**
 * Created by junji on 2017/2/7.
 */

var Tutorial5 = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.setContentSize(cc.size(BaseWindowConf.WIDTH, BaseWindowConf.HEIGHT));
        this.initBackground();
        return true;
    },

    initBackground: function() {
        var base = new TutorialBaseLayer();
        base.setPosition(0,0);
        this.addChild(base);

        this.listview = new ccui.ListView();
        this.listview.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listview.setTouchEnabled(true);
        this.listview.setBounceEnabled(true);
        this.listview.setContentSize(cc.size(this.width*0.9, BaseWindowConf.HEIGHT*0.64));
        this.listview.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.listview.setAnchorPoint(0.5, 0.5);
        //this.listview.addEventListener(this.selectedDiamondItemEvent, this);
        //this.listview.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.listview.setItemsMargin(0);
        this.listview.setScrollBarEnabled(false);
        //this.listview.setBounceEnabled(false);
        this.addChild(this.listview);

        var layout = new ccui.Layout();
        var introduction = new cc.LabelTTF('金水：预言家预言后宣布某一人为好人阵营' +
                        '\n银水：女巫宣布拯救了某一即将死亡的人，并且认为其实好人阵营' +
                        '\n退水：参与竞选的玩家放弃参与竞选' +
                        '\n聊爆：狼人阵营的角色由于发言状态较差或者逻辑矛盾暴露了自己的狼人身份' +
                        '\n警上：第一回合竞选警长的人' +
                        '\n警下：没有参与竞选警长的人' +
                        '\n警徽流：预言家或“预言家”当选警长后指定自己验人的顺序，若验到好人则在死后交与警徽，若是狼人则选择撕掉警徽' +
                        '\n深水狼：从始至终一直未暴露身份的狼人' +
                        '\n绑票：除了情侣形成一个团队之外，狼人是最容易抱团的群体，狼人一些情况下可以一起站队票死好人' +
                        '\n身份不做好：通常说狼人是差的身份，平民是一般的身份，神牌是好的身份' +
                        '\n悍跳：狼人谎称自己是真预言家想拿警徽' +
                        '\n自刀：狼人选择杀死自己达到骗女巫解药或其他不可告人的秘密' +
                        '\n扛推：某位好人玩家发言不过关遭到怀疑后被公投出局',
            "Arial", 30);
        introduction.boundingWidth = this.listview.width*0.8;
        introduction.boundingHeight = 0;
        introduction.setColor(cc.color(94,36,22));
        introduction.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        introduction.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        introduction.setAnchorPoint(0.5, 1);
        layout.setContentSize(cc.size(this.listview.width,introduction.height + 20));
        introduction.setPosition(layout.width/2,layout.height - 30);
        layout.addChild(introduction);
        this.listview.pushBackCustomItem(layout);

    },

})