/**
 * Created by junji on 2016/11/24.
 */
Queue = cc.Class.extend({

    elements:null,

    ctor:function () {
        this.elements = new Array();
    },

    push:function (ele) {
        if (ele.length == 0) {
            return -1
        };
        this.elements.push(ele);
        return this.elements.length;
    },

    shift:function () {
        if (this.elements.length <= 0) {
            return null
        };
        return this.elements.shift();
    },

    sortWithSequenceId:function () {
        this.elements.sort(function (a,b) {
            return a.sequenceId -  b.sequenceId;
        });
    },

    clear:function () {
        this.elements = new Array();
    },

    size:function () {
        return this.elements.length;
    },

    isEmpty:function () {
        if (this.elements.length > 0) {
            return false;
        } else {
            return true;
        }
    },
});