var layer;

var HelloWorldLayer = cc.Layer.extend({
    sprite: null,
    ctor: function () {
        //////////////////////////////
        // 1. super init first
        this._super();

        /////////////////////////////
        // 2. add a menu item with "X" image, which is clicked to quit the program
        //    you may modify it.
        // ask the window size
        var size = cc.winSize;

        /////////////////////////////
        // 3. add your codes below...
        // add a label shows "Hello World"
        // create and initialize a label
        var helloLabel = new cc.LabelTTF("Hello World", "Arial", 38);
        // position the label on the center of the screen
        helloLabel.x = size.width / 2;
        helloLabel.y = size.height / 2 + 200;
        helloLabel.setName("helloLabel");
        // add the label as a child to this layer
        this.addChild(helloLabel, 5);

        // add "HelloWorld" splash screen"
        this.sprite = new cc.Sprite(res.HelloWorld_png);
        this.sprite.attr({
            x: size.width / 2,
            y: size.height / 2
        });
        this.addChild(this.sprite, 0);

        var normal9SpriteBg=new cc.Scale9Sprite(res.EditBoxBg_png);
        var editBox = new cc.EditBox(cc.size(200,50), normal9SpriteBg);
        editBox.setPosition(size.width/2, size.height/2);
        editBox.setFontSize(20);
        this.addChild(editBox, 2);

        var normal9SpriteBg1=new cc.Scale9Sprite(res.EditBoxBg1_png);
        var editBox1 = new cc.EditBox(cc.size(200,50), normal9SpriteBg1);
        editBox1.setPosition(size.width/2, 3*size.height/4);
        editBox1.setFontSize(20);
        this.addChild(editBox1, 2);

        var button = new ccui.Button(res.Test1_png, res.Test2_png);
        button.setTitleText("init agora");
        button.setPosition(size.width/4, size.height/4);
        button.addClickEventListener(function(){
            cc.log("jijun init agora");
            // if(cc.sys.os === cc.sys.OS_ANDROID) {
            //     jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AgoraUtil", "initWorkerThread", "()V");
            // } else if (cc.sys.os === cc.sys.OS_IOS) {
            //     jsb.reflection.callStaticMethod("AgoraUtil", "loadAgoraKit");
            // } else {
            //     mqttInit(DataManager.getInstance().getUserData()._userId);
            //     mqttConnect();
            // }

            var gestureChooseDialog = new ModalDialogueBox(DialogType.GestureChoose);
            gestureChooseDialog.setTag(DialogType.GestureChoose);
            gestureChooseDialog.popup();

            // var aa = 100/0;
            // cc.log(100/0 + "");
        });
        this.addChild(button, 2);

        var button1 = new ccui.Button(res.Test3_png, res.Test4_png);
        button1.setTitleText("jijun join room");
        button1.setPosition(2*size.width/4, size.height/4);
        button1.addClickEventListener(function(){
             cc.log("join room, channel is");

            // if(cc.sys.os === cc.sys.OS_ANDROID) {
            //     jsb.reflection.callStaticMethod("org/cocos2dx/javascript/AppActivity", "WXShareWebpageToFriend", "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V",
            //         "http://www.quanminsha.cn", "我在10000房间", "房间号是10000，密码是10000，快来一起玩", "");
            // } else if (cc.sys.os === cc.sys.OS_IOS) {
            //     jsb.reflection.callStaticMethod("WXLoginUtil", "WXShareWebpageToFriendWithUrl:Title:Description:Image:",
            //         "http://www.quanminsha.cn", "我在10000房间", "房间号是10000，密码是10000，快来一起玩", "res/systemAvatar.png");
            // }

            var test = 100 - undefined;
            cc.log("test " + test);

            // var uid = Number(editBox1.getString());
            // if(cc.sys.os === cc.sys.OS_ANDROID) {
            //     //jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AgoraUtil", "joinChannel", "()V");
            //     jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AgoraUtil", "joinChannel", "(Ljava/lang/String;II)V", editBox.getString(), uid, 1);
            // } else if (cc.sys.os === cc.sys.OS_IOS) {
            //     jsb.reflection.callStaticMethod("AgoraUtil", "joinChannel:with:", editBox.getString(), uid);
            // } else {
            //     //sendMessage();
            //     // var hallApi = new HallApi();
            //     // hallApi.getHallInfo(10001,2,function (data) {
            //     //     cc.log(data);
            //     // }, function (data) {
            //     //     cc.log(data);
            //     // }, function (data) {
            //     //     cc.log(data);
            //     // });
            //     unsubscribeMqttTopic("/p2p/CID_DISPATCHER@@@ClientID_10001/", function (response) {
            //
            //     }, function (response) {
            //
            //     });
            //   //  mqtt.unsubscribe(topic+"/p2p/CID_DISPATCHER@@@ClientID_10001/");
            // }
            // initMqtt();
        });
        this.addChild(button1, 2);

        var button2 = new ccui.Button(res.Test3_png, res.Test4_png);
        button2.setTitleText("create room");
        button2.setPosition(3*size.width/4, size.height/4);
        button2.addClickEventListener(function(){
            cc.log("join room, channel is : " + editBox.getString() + " uis is : " + editBox1.getString());
            var uid = Number(editBox1.getString());
            if(cc.sys.os === cc.sys.OS_ANDROID) {
                jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AgoraUtil", "joinChannel", "(Ljava/lang/String;I)V", editBox.getString(), uid);
            } else if (cc.sys.os === cc.sys.OS_IOS) {
                jsb.reflection.callStaticMethod("AgoraUtil", "joinChannel:with:", editBox.getString(), uid);
            } else {
                createRoom();
            }
        });
        this.addChild(button2, 2);

        var cardSprite = new CardSprite(res.CreateRoom_png, res.QuickJoinRoom_png, 0.8);
        this.addChild(cardSprite);
        cardSprite.setPosition(100,100);
        cardSprite.openCard();


        var draw= new cc.DrawNode();
        this.addChild(draw,10);
        var vertices3 = [cc.p(100, 200), cc.p(60, 230), cc.p(80, 200)];
        draw.drawPoly(vertices3, cc.color(0, 255, 255, 50), 2, cc.color(255, 0, 255, 255));


        /*
         var httpUtil = new HttpUtil();

         var map = new Object();
         map.name = "gexiao";
         map.password = "123456";
         */

        // var userApi = new UserApi();
        //
        // userApi.signin("gexiao", "123456", function (data) {
        //     cc.log(data);
        // }, function (data) {
        //
        // }, function (retCode) {
        //     cc.log("retCode:" + retCode);
        // });

        //cc.log("CryptoJS HmacSHA1:"+CryptoJS.HmacSHA1("CID_DISPATCHER", "eBIEvOzF21eTthFKSrUxT2x0kB4cMH").toString(CryptoJS.enc.Base64));

        /*
         httpUtil.send(map,Config.HTTP_HOST,"/user/sign",function (data) {

         },function (data) {

         },function (retCode) {
         cc.log("retCode:"+retCode);
         });*/

        //cc.log("map data:"+map.test);
        /*
         var xhr = cc.loader.getXMLHttpRequest();
         xhr.open("POST","http://127.0.0.1:6754/user/signin/",true);
         xhr.setRequestHeader("Content-Type","application/json");

         xhr.onreadystatechange = function () {
         if (xhr.readyState == 4 && (xhr.status >= 200 && xhr.status <= 207)) {

         cc.log("gexiao response:"+xhr.responseText);
         }
         };

         xhr.send('{"userName":"gexiao","password":"123456"}');
         */
        return true;
    }
});

var HelloWorldScene = cc.Scene.extend({
    ctor:function () {
        this._super();
        layer = new HelloWorldLayer();
        layer.retain();
    },

    onEnter: function () {
        this._super();

        // test sort
        var myQueue = new Queue();
        var obj1 = new Object();
        obj1.sequenceId = 2;
        obj1.aa = "123";
        var obj2 = new Object();
        obj2.sequenceId = 1;
        obj2.aa = "1f3";
        var obj3 = new Object();
        obj3.sequenceId = 5;
        obj3.aa = "1af3";
        var obj4 = new Object();
        obj4.sequenceId = 4;
        obj4.aa = "sdk";
        myQueue.push(obj1);
        myQueue.push(obj2);
        myQueue.push(obj3);
        myQueue.push(obj4);
        cc.log(myQueue.elements);
        myQueue.sortWithSequenceId();
        cc.log(myQueue.elements );
        var bbb = new Array();
        cc.log("" + (bbb instanceof Array));
        this.addChild(layer);


        // var test = '[{"result":"本局无玩家出局","voteResultList":[{"targetUserSeatNumber":-1,"voteUserSeatNumberList":[1,2,3]}],"cmd":"showVoteResultPush","priority":1,"sequenceId":1488631631782},{"timeProcess":5,"period":3,"cmd":"slideBarSystemMessagePush","priority":1,"sequenceId":1488631631783,"messageContent":"1、2、3号弃票\n本局无玩家出局"},{"narratorCode":1045,"cmd":"playNarratorPush","priority":1,"sequenceId":1488631631784},{"microphoneEnable":false,"earphoneEnable":false,"cmd":"voiceControlPush","priority":1,"sequenceId":1488631631785},{"narratorCode":1001,"cmd":"playNarratorPush","priority":1,"sequenceId":1488631631786},{"effectCode":1001,"cmd":"playEffectPush","priority":-1,"sequenceId":1488631631787},{"cmd":"clockCountDownPush","textHint":"第3夜 等待睁眼玩家操作","priority":1,"countDownTime":45,"sequenceId":1488631631788},{"narratorCode":1029,"cmd":"playNarratorPush","priority":1,"sequenceId":1488631631789}]';
        // cc.log("test1");
        // JSON.parse(test);
        // cc.log("test2");

        this.scheduleUpdate();

    },

    onExit:function () {
        this._super();
        layer.release();
    },

    update:function (delta) {
        var test = (100 - undefined) > 50;

        cc.log("test 1");
        for(var i = 0; i < undefined; i++) {
            cc.log("test undefine" + i);
        }

        cc.log("test 2");
        for(var i = 0; i < null; i ++) {
            cc.log("test null" + i);
        }

        cc.log("test 3");
    }

});

function testUpdate(time) {
    layer.getChildByName("helloLabel").setString("" + time);
    cc.log("testUpdate");
    cc.audioEngine.playEffect(AudioMap.get(1001)[1], false);

    setTimeout(function () {
        jsb.reflection.callStaticMethod("org/cocos2dx/javascript/AppActivity",
            "testtest",
            "()V");
    }, 2000);
};

// var mqtt;
// var reconnectTimeout = 2000;

// function MQTTconnect() {
//     // if(mqtt != null) {
//     //     mqtt.disconnect();
//     // }
//     mqtt = new Paho.MQTT.Client(
//         host,//MQTT域名
//         port,//WebSocket端口
//         clientId//客户端ClientId
//     );
//     var options = {
//         timeout: 3,
//         onSuccess: onConnect,
//         onFailure: function (message) {
//             setTimeout(MQTTconnect, reconnectTimeout);
//         }
//     };
//     mqtt.onConnectionLost = onConnectionLost;
//     mqtt.onMessageArrived = onMessageArrived;
//     if (username != null) {
//         options.userName = username;
//         options.password = password;
//     }
//     mqtt.connect(options);
//
//     cc.log("mqtt connect");
// }

// function onConnect() {
//     // Connection succeeded; subscribe to our topic
//     cc.log("onConnect " + topic + "/p2p/CID_DISPATCHER@@@ClientID_10001/");
//     mqtt.subscribe(topic+"/p2p/CID_DISPATCHER@@@ClientID_10001/", {qos: 2});
// //    mqtt.subscribe(topic+"/room100000/", {qos: 0});
// }

// function sendMessage() {
//     message = new Paho.MQTT.Message("Hello mqtt!!");//set body
//     message.destinationName = topic+"/notice/";// set topic
//     mqtt.send(message);
// }


//
// function onConnectionLost(response) {
//     setTimeout(MQTTconnect, reconnectTimeout);
// };

// function onMessageArrived(message) {
//     var topic1 = message.destinationName;
//     var payload = message.payloadString;
//     cc.log("recv msg : " + topic1 + "   " + payload);
//     var obj1 = JSON.parse(payload);
//
//     if(obj1.cmd === "joinRoomResponse") {
//         cc.log(topic + "/room" + obj1.roomId + "/");
//         mqtt.subscribe(topic + "/room" + obj1.roomId + "/", {qos: 2});
//     }
//    // if(obj1.cmd === "joinRoomResponse") {
//    //     cc.log(topic + "/room" + obj1.roomId + "/");
//    //     mqtt.subscribe(topic + "/room" + obj1.roomId + "/", {qos: 2});
//    // }
// };

//MQTTconnect();

