/**
 * Created by junji on 2017/1/25.
 */

var CreateRoomDialog = cc.LayerColor.extend({

    _listener:null,
    _selected:0,

    ctor: function() {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(140);       //透明度
        this._initCreateRoomDialog();

        return true;
    },

    onEnter: function()
    {
        this._super();
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initCreateRoomDialog: function()
    {
        var _this = this;
        //背景
        var bg = new ccui.ImageView(res.CommonDialogBg_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.director.getVisibleSize().width*0.5, cc.director.getVisibleSize().height*0.5);
        bg.setScale9Enabled(true);
        bg.setContentSize(720, 1160);
        this.addChild(bg, 0, 101);

        var titleBg = new ccui.ImageView(res.DialogTitle2_png);
        titleBg.setAnchorPoint(0.5, 0.5);
        titleBg.setScale(1.1);
        titleBg.setPosition(bg.width*0.5, bg.height - 20);
        bg.addChild(titleBg);

        var titleText = new ccui.ImageView(res.CreateRoomLabel_png);
        titleText.setAnchorPoint(0.5, 0.5);
        titleText.setPosition(titleBg.width*0.5, titleBg.height*0.5 + 20);
        titleBg.addChild(titleText);

        var innerBg = new ccui.ImageView(res.DialogBg2_png);
        bg.addChild(innerBg);
        innerBg.setName("innerBg");
        innerBg.setScale9Enabled(true)
        innerBg.setContentSize(665, 950);
        innerBg.setAnchorPoint(0.5, 1);
        innerBg.setPosition(bg.width/2, bg.height - 80);

        var button1 = new ccui.Button(res.CreateRoom1_png, res.CreateRoom1_png, "");
        button1.setPosition(0.5, 1);
        button1.setTag(100);
        button1.setPosition(innerBg.width/2, innerBg.height - 110);
        button1.addClickEventListener(function () {
            _this._selected = 1;
            _this.drawSelected(innerBg, this.getTag());
        });
        innerBg.addChild(button1);

        var button2 = new ccui.Button(res.CreateRoom2_png, res.CreateRoom2_png, "");
        button2.setPosition(0.5, 1);
        button2.setTag(101);
        button2.setPosition(innerBg.width/2, innerBg.height - button1.height - 100);
        button2.addClickEventListener(function () {
            _this._selected = 2;
            _this.drawSelected(innerBg, this.getTag());
        });
        innerBg.addChild(button2);

        var button3 = new ccui.Button(res.CreateRoom3_png, res.CreateRoom3_png, "");
        button3.setPosition(0.5, 1);
        button3.setTag(102);
        button3.setPosition(innerBg.width/2, innerBg.height - button1.height*2 - 90);
        button3.addClickEventListener(function () {
            _this._selected = 3;
            _this.drawSelected(innerBg, this.getTag());
        });
        innerBg.addChild(button3);

        var button4 = new ccui.Button(res.CreateRoom4_png, res.CreateRoom4_png, "");
        button4.setPosition(0.5, 1);
        button4.setTag(103);
        button4.setPosition(innerBg.width/2, innerBg.height - button1.height*3 - 80);
        button4.addClickEventListener(function () {
            _this._selected = 4;
            _this.drawSelected(innerBg, this.getTag());
        });
        innerBg.addChild(button4);

        var button5 = new ccui.Button(res.CreateRoom5_png, res.CreateRoom5_png, "");
        button5.setPosition(0.5, 1);
        button5.setTag(104);
        button5.setPosition(innerBg.width/2, innerBg.height - button1.height*4 - 70);
        button5.addClickEventListener(function () {
            _this._selected = 5;
            _this.drawSelected(innerBg, this.getTag());
        });
        innerBg.addChild(button5);

        var confirmButton = new ccui.Button(res.IdJoinRoom_png, res.IdJoinRoomDown_png);
        confirmButton.setPosition(bg.width/2, 70);
        confirmButton.setScale(1.1);
        confirmButton.addClickEventListener(function () {
            if(_this._selected == 0) {
                ToastUtil.showToast("请选择要创建的房间类型", 2.0);
            } else if (_this._selected == 1) {
                var confirmSkinRoomDialog = new CommonDialog(DialogType.ConfirmSkinRoomDialog, ["9人标准局", 9, DefaultRoleList.RoleList9, 2, "", "GameRoomConfigStatistics", "StandardGame9"]);
                confirmSkinRoomDialog.setTag(DialogType.ConfirmSkinRoomDialog);
                confirmSkinRoomDialog.popup();
                // MqttHelper.getInstance().createRoom("9人标准局", 9, DefaultRoleList.RoleList9, 2, "");
                // ClickRecod("GameRoomConfigStatistics", "StandardGame9");
                // var loadingDialog = new LoadingDialog();
                // loadingDialog.setTag(997001);
                // loadingDialog.popup();
                _this.hidden();
            } else if (_this._selected == 2) {
                var confirmSkinRoomDialog = new CommonDialog(DialogType.ConfirmSkinRoomDialog, ["12人标准局", 12, DefaultRoleList.RoleList12, 2, "", "GameRoomConfigStatistics", "StandardGame12"]);
                confirmSkinRoomDialog.setTag(DialogType.ConfirmSkinRoomDialog);
                confirmSkinRoomDialog.popup();
                // MqttHelper.getInstance().createRoom("12人标准局", 12, DefaultRoleList.RoleList12, 2, "");
                // ClickRecod("GameRoomConfigStatistics", "StandardGame12");
                // var loadingDialog = new LoadingDialog();
                // loadingDialog.setTag(997001);
                // loadingDialog.popup();
                _this.hidden();
            } else if (_this._selected == 3) {
                var confirmSkinRoomDialog = new CommonDialog(DialogType.ConfirmSkinRoomDialog, ["白狼王守卫12人局", 12, DefaultRoleList.WhiteWolfRoleList12, 2, "", "GameRoomConfigStatistics", "BlwSwGame12"]);
                confirmSkinRoomDialog.setTag(DialogType.ConfirmSkinRoomDialog);
                confirmSkinRoomDialog.popup();
                // MqttHelper.getInstance().createRoom("白狼王守卫12人局", 12, DefaultRoleList.WhiteWolfRoleList12, 2, "");
                // ClickRecod("GameRoomConfigStatistics", "BlwSwGame12");
                // var loadingDialog = new LoadingDialog();
                // loadingDialog.setTag(997001);
                // loadingDialog.popup();
                _this.hidden();
            } else if (_this._selected == 4) {
                var confirmSkinRoomDialog = new CommonDialog(DialogType.ConfirmSkinRoomDialog, ["丘比特盗贼12人局", 12, DefaultRoleList.CupidRoleList12, 2, "", "GameRoomConfigStatistics", "QbtDz12"]);
                confirmSkinRoomDialog.setTag(DialogType.ConfirmSkinRoomDialog);
                confirmSkinRoomDialog.popup();
                // MqttHelper.getInstance().createRoom("丘比特盗贼12人局", 12, DefaultRoleList.CupidRoleList12, 2, "");
                // ClickRecod("GameRoomConfigStatistics", "QbtDz12");
                // var loadingDialog = new LoadingDialog();
                // loadingDialog.setTag(997001);
                // loadingDialog.popup();
                _this.hidden();
            } else if (_this._selected == 5) {
                var createRoomSecondDialog = new CreateRoomSecondDialog();
                createRoomSecondDialog.setTag(DialogType.CreateRoomSecond);
                createRoomSecondDialog.popup();
                _this.hidden();
            }
        });
        bg.addChild(confirmButton);

        var confirmLabel = new ccui.ImageView(res.CommonConfirmLabel_png);
        confirmLabel.setPosition(confirmButton.width/2, confirmButton.height/2);
        confirmLabel.setScale(1.1);
        confirmButton.addChild(confirmLabel);

        var closeButton = new ccui.Button(res.RedClose_png, res.RedClose_png, "");
        closeButton.setAnchorPoint(1, 1);
        closeButton.setPosition(bg.width, bg.height);
        closeButton.setContentSize(90, 90);
        closeButton.addClickEventListener(function () {
            _this.hidden();
        });
        bg.addChild(closeButton);

        this.setVisible(false);     //默认设置为不可见
    },

    drawSelected:function (parent, tagId) {
        for(var i = 100; i < 105; i++) {
            parent.getChildByTag(i).removeChildByTag(999);
        }
        var selectedItem = parent.getChildByTag(tagId);
        var selectedMark = new ccui.ImageView(res.CreateRoomItemSelected_png);
        selectedMark.setAnchorPoint(0.5, 0.5);
        selectedMark.setPosition(selectedItem.width/2, selectedItem.height/2);
        selectedMark.setTag(999);
        selectedItem.addChild(selectedMark);
    },

    //弹出
    popup: function()
    {
        cc.director.getRunningScene().addChild(this, 100);
        this.setVisible(true);
        this._listener.setSwallowTouches(true);

        var bg = this.getChildByTag(101);
        bg.setScale(0);
        var scaleTo1 = new cc.ScaleTo(0.1, 1.25);
        var scaleTo2 = new cc.ScaleTo(0.1, 1);
        var actionArray = new Array();
        actionArray.push(scaleTo1);
        actionArray.push(scaleTo2);
        var sequence = new cc.Sequence(actionArray);
        bg.runAction(sequence);
    },

    //隐藏
    hidden: function()
    {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
        this.removeFromParent(true);
    },

    onExit: function()
    {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});