/**
 * Created by junji on 2017/1/25.
 */

var CreateRoomSecondDialog = cc.LayerColor.extend({

    _listener:null,
    _selected:0,
    _wolfNum:1,
    _villagerNum:1,
    _isEncrypt:2,

    ctor: function() {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(140);       //透明度
        this._initCreateRoomDialog();

        return true;
    },

    onEnter: function()
    {
        this._super();
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initCreateRoomDialog: function()
    {
        var _this = this;
        //背景
        var bg = new ccui.ImageView(res.CommonDialogBg_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.director.getVisibleSize().width*0.5, cc.director.getVisibleSize().height*0.5);
        bg.setScale9Enabled(true);
        bg.setContentSize(700, 1150);
        this.addChild(bg, 0, 101);

        var titleBg = new ccui.ImageView(res.DialogTitle2_png);
        titleBg.setAnchorPoint(0.5, 0.5);
        titleBg.setScale(1.1);
        titleBg.setPosition(bg.width*0.5, bg.height - 20);
        bg.addChild(titleBg);

        var titleText = new ccui.ImageView(res.SelfConfLabel_png);
        titleText.setAnchorPoint(0.5, 0.5);
        titleText.setPosition(titleBg.width*0.5, titleBg.height*0.5 + 20);
        titleBg.addChild(titleText);

        var innerBg = new ccui.ImageView(res.CommonDialogInnerBg_png);
        bg.addChild(innerBg);
        innerBg.setScale9Enabled(true)
        innerBg.setContentSize(630, 940);
        innerBg.setAnchorPoint(0.5, 1);;
        innerBg.setPosition(bg.width/2, bg.height - 80);

        var roomNameLabel = cc.LabelTTF('房间名:',"Arial",30);
        roomNameLabel.setAnchorPoint(0, 0.5);
        roomNameLabel.setPosition(50, innerBg.height - 70);
        innerBg.addChild(roomNameLabel);

        var roomNameTextFieldBg =new cc.Scale9Sprite(res.CreateRoomSecondInput_png);
        roomNameTextFieldBg.setContentSize(385, 60);
        roomNameTextFieldBg.setAnchorPoint(1, 0.5);
        roomNameTextFieldBg.setPosition(innerBg.width - 45, innerBg.height - 70);
        innerBg.addChild(roomNameTextFieldBg);

        var roomNameTextField = new cc.EditBox(cc.size(365,50), new cc.Scale9Sprite(res.Transparency_50x50_png));
        roomNameTextField.setPosition(innerBg.width - 55, innerBg.height - 70);
        roomNameTextField.setAnchorPoint(1, 0.5);
        roomNameTextField.setFontSize(35);
        roomNameTextField.setMaxLength(6);
        roomNameTextField.setInputMode(cc.EDITBOX_INPUT_MODE_SINGLELINE);
        innerBg.addChild(roomNameTextField);

        var isEncryptLabel = new ccui.Text('是否加密:',"Arial",30);
        isEncryptLabel.setAnchorPoint(0, 0.5);
        isEncryptLabel.setPosition(50, innerBg.height - 150);
        innerBg.addChild(isEncryptLabel);

        var encryptCheckbox = new ccui.Button(res.CheckboxBg_png, res.CheckboxBg_png, "");
        encryptCheckbox.setAnchorPoint(0, 0.5);
        encryptCheckbox.setPosition(210, innerBg.height - 150);
        encryptCheckbox.addClickEventListener(function () {
            notEncryptCheckbox.removeChildByTag(9999);
            if(this.getChildByTag(9999) == null || this.getChildByTag(9999) == undefined) {
                var checkMark = new ccui.ImageView(res.CheckMark_png);
                checkMark.setAnchorPoint(0.5, 0.5);
                checkMark.setTag(9999);
                checkMark.setPosition(this.width / 2, this.height / 2);
                this.addChild(checkMark);
            }
            _this._isEncrypt = 1;
            passwordTextField.setVisible(true);
            passwordTextFieldBg.setVisible(true);
        });
        innerBg.addChild(encryptCheckbox);

        var yesLabel = new ccui.Text('是',"Arial",30);
        yesLabel.setAnchorPoint(0.5, 0.5);
        yesLabel.setColor(cc.color(253,204,102));
        yesLabel.setPosition(encryptCheckbox.width/2, encryptCheckbox.height/2);
        encryptCheckbox.addChild(yesLabel);

        var notEncryptCheckbox = new ccui.Button(res.CheckboxBg_png, res.CheckboxBg_png, "");
        notEncryptCheckbox.setAnchorPoint(0, 0.5);
        notEncryptCheckbox.setPosition(290, innerBg.height - 150);
        notEncryptCheckbox.addClickEventListener(function () {
            encryptCheckbox.removeChildByTag(9999);
            if(this.getChildByTag(9999) == null || this.getChildByTag(9999) == undefined) {
                var checkMark = new ccui.ImageView(res.CheckMark_png);
                checkMark.setAnchorPoint(0.5, 0.5);
                checkMark.setTag(9999);
                checkMark.setPosition(this.width / 2, this.height / 2);
                this.addChild(checkMark);
            }
            _this._isEncrypt = 2;
            passwordTextField.setString("");
            passwordTextField.setVisible(false);
            passwordTextFieldBg.setVisible(false);
        });
        innerBg.addChild(notEncryptCheckbox);

        var noLabel = cc.LabelTTF('否',"Arial",30);
        noLabel.setAnchorPoint(0.5, 0.5);
        noLabel.setColor(cc.color(253,204,102));
        noLabel.setPosition(notEncryptCheckbox.width/2, notEncryptCheckbox.height/2);
        notEncryptCheckbox.addChild(noLabel);

        var notEncryptCheckMark = new ccui.ImageView(res.CheckMark_png);
        notEncryptCheckMark.setAnchorPoint(0.5, 0.5);
        notEncryptCheckMark.setTag(9999);
        notEncryptCheckMark.setPosition(notEncryptCheckbox.width / 2, notEncryptCheckbox.height / 2);
        notEncryptCheckbox.addChild(notEncryptCheckMark);

        var passwordTextFieldBg =new cc.Scale9Sprite(res.CreateRoomSecondInput_png);
        passwordTextFieldBg.setPosition(innerBg.width - 45, innerBg.height - 150);
        passwordTextFieldBg.setAnchorPoint(1, 0.5);
        passwordTextFieldBg.setContentSize(215,60);
        passwordTextFieldBg.setVisible(false);
        innerBg.addChild(passwordTextFieldBg);

        var passwordTextField = new cc.EditBox(cc.size(195,50), new cc.Scale9Sprite(res.Transparency_50x50_png));
        passwordTextField.setPosition(innerBg.width - 55, innerBg.height - 150);
        passwordTextField.setAnchorPoint(1, 0.5);
        passwordTextField.setFontSize(30);
        passwordTextField.setVisible(false);
        passwordTextField.setInputMode(cc.EDITBOX_INPUT_MODE_SINGLELINE);
        passwordTextField.setPlaceHolder("请输入密码");
        passwordTextField.setPlaceholderFontSize(30);
        passwordTextField.setMaxLength(4);
        passwordTextField.setInputMode(cc.EDITBOX_INPUT_MODE_NUMERIC);
        passwordTextField.setPlaceholderFontColor(cc.color(229,134,42));
        innerBg.addChild(passwordTextField);

        var goldManSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        goldManSubtitleBg.setAnchorPoint(0, 0.5);
        goldManSubtitleBg.setPosition(45, innerBg.height - 230);
        innerBg.addChild(goldManSubtitleBg);

        var goldManTitleLabel = new ccui.Text("神民", "Arial", 30);
        goldManTitleLabel.setAnchorPoint(0, 0.5);
        goldManTitleLabel.setPosition(10, goldManSubtitleBg.height/2);
        goldManSubtitleBg.addChild(goldManTitleLabel);

        var goldManList =  [203, 208, 210, 211, 205, 212, 207, 206, 209];
        for (var i = 0; i < 3; i++) {
            for(var j = 0; j < 3; j++) {
                var checkbox = new ccui.Button(res.CheckboxBg_png);
                checkbox.setAnchorPoint(0, 0.5);
                checkbox.setTag(goldManList[i*3+j]);
                checkbox.setContentSize(90,70);
                checkbox.setPosition(95 + 190*j, innerBg.height - 300 - 80*i);
                innerBg.addChild(checkbox);
                checkbox.addClickEventListener(function () {
                    if(this.getChildByTag(9999) == null || this.getChildByTag(9999) == undefined) {
                        var checkMark = new ccui.ImageView(res.CheckMark_png);
                        checkMark.setAnchorPoint(0.5, 0.5);
                        checkMark.setTag(9999);
                        checkMark.setPosition(this.width / 2, this.height / 2);
                        this.addChild(checkMark);
                    } else {
                        this.removeChildByTag(9999);
                    }
                });
                var label = new ccui.Text(RoleMap.get(goldManList[i*3+j]), "Arial", 29);
                label.setAnchorPoint(0, 0.5);
                label.setColor(cc.color(253,204,102));
                label.setPosition(150 + 190*j, innerBg.height - 300 - 80*i);
                innerBg.addChild(label);
            }
        }

        var wolfSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        wolfSubtitleBg.setAnchorPoint(0, 0.5);
        wolfSubtitleBg.setPosition(45, innerBg.height - 530);
        innerBg.addChild(wolfSubtitleBg);

        var wolfTitleLabel = new ccui.Text("狼人", "Arial", 30);
        wolfTitleLabel.setAnchorPoint(0, 0.5);
        wolfTitleLabel.setPosition(10, wolfSubtitleBg.height/2);
        wolfSubtitleBg.addChild(wolfTitleLabel);

        var wolfText = new ccui.Text("狼人", "Arial", 29);
        wolfText.setAnchorPoint(0, 0.5);
        wolfText.setColor(cc.color(253,204,102));
        wolfText.setPosition(100, innerBg.height - 600);
        innerBg.addChild(wolfText);

        var wolfBg = new ccui.ImageView(res.CreateRoomSecondInput_png);
        wolfBg.setScale9Enabled(true);
        wolfBg.setContentSize(130, 60);
        wolfBg.setAnchorPoint(0.5,0.5);
        wolfBg.setPosition(270, innerBg.height - 600);
        innerBg.addChild(wolfBg);

        var wolfMinus = new ccui.Button(res.CreateRoomMinus_png, "", "");
        wolfMinus.setPosition(200, innerBg.height - 600);
        wolfMinus.setAnchorPoint(0.5, 0.5);
        wolfMinus.addClickEventListener(function () {
            if(_this._wolfNum <= 1) {
                ToastUtil.showToast("狼人数量至少为1", 1.0);
            } else {
                _this._wolfNum--;
                wolfNum.setString(_this._wolfNum+"");
            }
        });
        innerBg.addChild(wolfMinus);

        var wolfPlus = new ccui.Button(res.CreateRoomPlus_png, "", "");
        wolfPlus.setPosition(310, innerBg.height - 600);
        wolfPlus.setAnchorPoint(0.5, 0.5);
        wolfPlus.addClickEventListener(function () {
            if(_this._wolfNum >= 17) {
                ToastUtil.showToast("狼人数量已达上限", 1.0);
            } else {
                _this._wolfNum++;
                wolfNum.setString(_this._wolfNum+"");
            }
        });
        innerBg.addChild(wolfPlus);

        var wolfNum = new ccui.Text(_this._wolfNum + "", "Arial", 30);
        wolfNum.setColor(cc.color(110,183,32));
        wolfNum.setPosition(255, innerBg.height - 600);
        wolfNum.setAnchorPoint(0.5, 0.5);
        innerBg.addChild(wolfNum);

        var whiteWolfCheckbox = new ccui.Button(res.CheckboxBg_png);
        whiteWolfCheckbox.setAnchorPoint(0, 0.5);
        whiteWolfCheckbox.setTag(102);
        whiteWolfCheckbox.setPosition(395, innerBg.height - 600);
        whiteWolfCheckbox.addClickEventListener(function () {
            if(this.getChildByTag(9999) == null || this.getChildByTag(9999) == undefined) {
                var checkMark = new ccui.ImageView(res.CheckMark_png);
                checkMark.setAnchorPoint(0.5, 0.5);
                checkMark.setTag(9999);
                checkMark.setPosition(this.width / 2, this.height / 2);
                this.addChild(checkMark);
            } else {
                this.removeChildByTag(9999);
            }
        });
        innerBg.addChild(whiteWolfCheckbox);
        var whiteWolfLabel = new ccui.Text("白狼王", "Arial", 29);
        whiteWolfLabel.setAnchorPoint(0, 0.5);
        whiteWolfLabel.setColor(cc.color(253,204,102));
        whiteWolfLabel.setPosition(450, innerBg.height-600);
        innerBg.addChild(whiteWolfLabel);

        var villagerSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        villagerSubtitleBg.setAnchorPoint(0, 0.5);
        villagerSubtitleBg.setPosition(45, innerBg.height - 680);
        innerBg.addChild(villagerSubtitleBg);

        var villagerTitleLabel = new ccui.Text("村民", "Arial", 30);
        villagerTitleLabel.setAnchorPoint(0, 0.5);
        villagerTitleLabel.setPosition(10, villagerSubtitleBg.height/2);
        villagerSubtitleBg.addChild(villagerTitleLabel);

        var villagerText = new ccui.Text("村民", "Arial", 29);
        villagerText.setAnchorPoint(0, 0.5);
        villagerText.setColor(cc.color(253,204,102));
        villagerText.setPosition(100, innerBg.height - 740);
        innerBg.addChild(villagerText);

        var villagerBg = new ccui.ImageView(res.CreateRoomSecondInput_png);
        villagerBg.setScale9Enabled(true);
        villagerBg.setContentSize(130, 60);
        villagerBg.setAnchorPoint(0.5,0.5);
        villagerBg.setPosition(270, innerBg.height - 740);
        innerBg.addChild(villagerBg);

        var villagerMinus = new ccui.Button(res.CreateRoomMinus_png, "", "");
        villagerMinus.setPosition(200, innerBg.height - 740);
        villagerMinus.setAnchorPoint(0.5, 0.5);
        villagerMinus.addClickEventListener(function () {
            if(_this._villagerNum <= 1) {
                ToastUtil.showToast("村民数量至少为1", 1.0);
            } else {
                _this._villagerNum--;
                villagerNum.setString(_this._villagerNum+"");
            }
        });
        innerBg.addChild(villagerMinus);

        var villagerPlus = new ccui.Button(res.CreateRoomPlus_png, "", "");
        villagerPlus.setPosition(310, innerBg.height - 740);
        villagerPlus.setAnchorPoint(0.5, 0.5);
        villagerPlus.addClickEventListener(function () {
            if(_this._villagerNum >= 17) {
                ToastUtil.showToast("村民数量已达上限", 1.0);
            } else {
                _this._villagerNum++;
                villagerNum.setString(_this._villagerNum+"");
            }
        });
        innerBg.addChild(villagerPlus);

        var villagerNum = new ccui.Text("1", "Arial", 30);
        villagerNum.setColor(cc.color(110,183,32));
        villagerNum.setPosition(255, innerBg.height - 740);
        villagerNum.setAnchorPoint(0.5, 0.5);
        innerBg.addChild(villagerNum);

        var otherSubtitleBg = new ccui.ImageView(res.CreateRoomSubtitleBg_png);
        otherSubtitleBg.setAnchorPoint(0, 0.5);
        otherSubtitleBg.setPosition(45, innerBg.height - 810);
        innerBg.addChild(otherSubtitleBg);

        var otherTitleLabel = new ccui.Text("其他", "Arial", 30);
        otherTitleLabel.setAnchorPoint(0, 0.5);
        otherTitleLabel.setPosition(10, otherSubtitleBg.height/2);
        otherSubtitleBg.addChild(otherTitleLabel);

        var otherList =  [204, 202, 201];
        for (var i = 0; i < 3; i++) {
            var checkbox = new ccui.Button(res.CheckboxBg_png);
            checkbox.setAnchorPoint(0, 0.5);
            checkbox.setPosition(95 + 190*i, innerBg.height - 880);
            checkbox.setTag(otherList[i]);
            checkbox.addClickEventListener(function () {
                if(this.getChildByTag(9999) == null || this.getChildByTag(9999) == undefined) {
                    var checkMark = new ccui.ImageView(res.CheckMark_png);
                    checkMark.setAnchorPoint(0.5, 0.5);
                    checkMark.setTag(9999);
                    checkMark.setPosition(this.width / 2, this.height / 2);
                    this.addChild(checkMark);
                } else {
                    this.removeChildByTag(9999);
                }
            });
            innerBg.addChild(checkbox);
            var label = new ccui.Text(RoleMap.get(otherList[i]), "Arial", 29);
            label.setAnchorPoint(0, 0.5);
            label.setColor(cc.color(253,204,102));
            label.setPosition(150 + 190*i, innerBg.height - 880);
            innerBg.addChild(label);
        }

        var confirmButton = new ccui.Button(res.IdJoinRoom_png, res.IdJoinRoomDown_png);
        bg.addChild(confirmButton);
        confirmButton.setPosition(bg.width/2 - 150, 70);
        confirmButton.addClickEventListener(function () {
            var selectedGoldManList = new Array();
            for(var i = 0; i < goldManList.length; i++) {
                if(innerBg.getChildByTag(goldManList[i]).getChildByTag(9999) != null &&
                    innerBg.getChildByTag(goldManList[i]).getChildByTag(9999) != undefined) {
                    selectedGoldManList.push(goldManList[i]);
                }
            }
            var selectedOtherList = new Array();
            for(var i = 0; i < otherList.length; i++) {
                if(innerBg.getChildByTag(otherList[i]).getChildByTag(9999) != null &&
                    innerBg.getChildByTag(otherList[i]).getChildByTag(9999) != undefined) {
                    selectedOtherList.push(otherList[i]);
                }
            }
            var whiteWolfKingNum = 0;
            if(innerBg.getChildByTag(102).getChildByTag(9999) != null &&
                innerBg.getChildByTag(102).getChildByTag(9999) != undefined) {
                whiteWolfKingNum = 1;
            }
            var isRogueSelected = false;
            if(innerBg.getChildByTag(201).getChildByTag(9999) != null &&
                innerBg.getChildByTag(201).getChildByTag(9999) != undefined){
                isRogueSelected = true;
            }
            var totalSum = selectedOtherList.length + selectedGoldManList.length + _this._wolfNum + _this._villagerNum + whiteWolfKingNum;
            if(isRogueSelected) {
                totalSum -= 2;
            }
            if(_this._isEncrypt == 1 &&
                (passwordTextField.getString() == null || passwordTextField.getString() == undefined || passwordTextField.getString().length != 4)) {
                ToastUtil.showToast("密码不合法，需设置为4位数字",1.5);
            } else if(totalSum < 6 && SoftVersion == VersionConfig.RELEASE) {
                ToastUtil.showToast("参与人数至少为6人(如选择盗贼，需多选两个角色)", 2.0);
            } else if (totalSum > 16) {
                ToastUtil.showToast("参与人数最多为16人",1.5);
            } else {
                if(selectedGoldManList.length == 0){
                    ToastUtil.showToast("至少选择一张神牌",1.5);
                } else {
                    var selectedRoleList = new Array();
                    for(var i = 0; i < selectedGoldManList.length; i++){
                        var roleObj = new Object();
                        roleObj.roleId = selectedGoldManList[i];
                        roleObj.roleNum = 1;
                        selectedRoleList.push(roleObj);
                    }
                    for(var i = 0; i < selectedOtherList.length; i++){
                        var roleObj = new Object();
                        roleObj.roleId = selectedOtherList[i];
                        roleObj.roleNum = 1;
                        selectedRoleList.push(roleObj);
                    }
                    if(whiteWolfKingNum >= 1) {
                        var roleObj = new Object();
                        roleObj.roleId = 102;
                        roleObj.roleNum = whiteWolfKingNum;
                        selectedRoleList.push(roleObj);
                    }
                    var wolfObj = new Object();
                    wolfObj.roleId = 101;
                    wolfObj.roleNum = _this._wolfNum;
                    selectedRoleList.push(wolfObj);
                    var villagerObj = new Object();
                    villagerObj.roleId = 1;
                    villagerObj.roleNum = _this._villagerNum;
                    selectedRoleList.push(villagerObj);

                    var roomName = "自定义房间";
                    if(roomNameTextField.getString() != "" && roomNameTextField.getString() != null && roomNameTextField.getString() != undefined) {
                        roomName = roomNameTextField.getString();
                    }

                    var createRoomConfirmDialog = new CreateRoomConfirmDialog(roomName, totalSum, selectedRoleList, _this._isEncrypt, passwordTextField.getString());
                    createRoomConfirmDialog.popup();
                    //MqttHelper.getInstance().createRoom(roomName, totalSum, selectedRoleList, _this._isEncrypt, passwordTextField.getString());
                }
            }
        });

        var confirmButtonLabel = new ccui.ImageView(res.ConfirmLabel_png);
        confirmButtonLabel.setAnchorPoint(0.5, 0.5);
        confirmButtonLabel.setPosition(confirmButton.width/2, confirmButton.height/2);
        confirmButton.addChild(confirmButtonLabel);

        var cancelButton = new ccui.Button(res.CreateRoom_png, res.CreateRoomDown_png, "");
        cancelButton.setPosition(bg.width/2 + 150, 70);
        cancelButton.addClickEventListener(function () {
            _this.hidden();
        });
        bg.addChild(cancelButton);

        var cancelButtonLabel = new ccui.ImageView(res.CancelLabel_png);
        cancelButtonLabel.setAnchorPoint(0.5, 0.5);
        cancelButtonLabel.setPosition(cancelButton.width/2, cancelButton.height/2);
        cancelButton.addChild(cancelButtonLabel);

        var closeButton = new ccui.Button(res.RedClose_png, res.RedClose_png, "");
        closeButton.setAnchorPoint(1, 1);
        closeButton.setPosition(bg.width, bg.height);
        closeButton.setContentSize(90, 90);
        closeButton.addClickEventListener(function () {
            _this.hidden();
        });
        bg.addChild(closeButton);

        this.setVisible(false);     //默认设置为不可见
    },

    //弹出
    popup: function()
    {
        cc.director.getRunningScene().addChild(this, 100);
        this.setVisible(true);
        this._listener.setSwallowTouches(true);

        var bg = this.getChildByTag(101);
        bg.setScale(0);
        var scaleTo1 = new cc.ScaleTo(0.1, 1.25);
        var scaleTo2 = new cc.ScaleTo(0.1, 1);
        var actionArray = new Array();
        actionArray.push(scaleTo1);
        actionArray.push(scaleTo2);
        var sequence = new cc.Sequence(actionArray);
        bg.runAction(sequence);
    },

    //隐藏
    hidden: function()
    {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
        this.removeFromParent(true);
    },

    onExit: function()
    {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});
