
var LoadingDialog = cc.LayerColor.extend({

    _listener:null,

    ctor: function() {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(140);       //透明度
        this._initDialog();

        return true;
    },

    onEnter: function()
    {
        this._super();
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initDialog: function()
    {
        //背景
        var bg = new ccui.ImageView(res.LoadingOut_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.director.getVisibleSize().width*0.5, cc.director.getVisibleSize().height*0.5);
        this.addChild(bg, 0, 101);

        var inner = new ccui.ImageView(res.LoadingIn_png);
        inner.setAnchorPoint(0.5, 0.5);
        inner.setPosition(bg.width * 0.5, bg.height * 0.5);
        bg.addChild(inner);

        // if(textHint != null && textHint != undefined && textHint != "") {
        //     var text = new ccui.Text("支付结果确认中，请稍候...", "Arial", 35);
        //     text.setColor(cc.color(149,11,17));
        //     text.setPosition(cc.visibleRect.width/2, cc.visibleRect.height/2 - 150);
        //     this.addChild(text);
        // }

        var rotateBy = new cc.RotateBy(1.5, 360);
        inner.runAction(rotateBy.repeatForever());

        this.setVisible(false);     //默认设置为不可见
    },

    //弹出
    popup: function()
    {
        cc.director.getRunningScene().addChild(this, 100);
        this._listener.setSwallowTouches(true);
        this.setVisible(true);
    },

    //隐藏
    hidden: function()
    {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
    },

    onExit: function()
    {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});