/**
 * Created by junji on 2017/2/27.
 */

var PolicyDialog = cc.LayerColor.extend({

    _listener:null,

    ctor: function() {
        this._super(cc.color.BLACK);
        cc.log('jijun ctor');
        this.setOpacity(140);       //透明度
        this._initPolicyDialog();

        return true;
    },

    onEnter: function() {
        this._super();
        var _this = this;
        //监听器
        cc.log("jijun onenter");
        this._listener = new cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        });

        //添加触摸监听
        cc.eventManager.addListener(this._listener, this);
    },

    //初始化对话框
    _initPolicyDialog: function() {
        var _this = this;
        //背景
        var bg = new ccui.ImageView(res.CommonDialogBg_png);
        bg.setAnchorPoint(0.5, 0.5);
        bg.setPosition(cc.winSize.width*0.5, cc.winSize.height*0.5);
        bg.setScale9Enabled(true);
        bg.setContentSize(680, 1000);
        this.addChild(bg, 0, 101);

        var titleBg = new ccui.ImageView(res.DialogTitleBg_png);
        titleBg.setAnchorPoint(0.5, 0.5);
        titleBg.setScale(1.1);
        titleBg.setPosition(bg.width*0.5, bg.height);
        bg.addChild(titleBg);

        var titleText = new ccui.Text("隐私政策", "Arial", 30);
        titleText.setTextColor(cc.color(251, 228, 178));
        titleText.setAnchorPoint(0.5, 0.5);
        titleText.setPosition(titleBg.width*0.5, titleBg.height*0.5);
        titleBg.addChild(titleText);

        var innerBg = new ccui.ImageView(res.CommonDialogInnerBg_png);
        innerBg.setScale9Enabled(true);
        innerBg.setContentSize(600, 800);
        innerBg.setAnchorPoint(0.5, 1);
        innerBg.setPosition(bg.width/2, bg.height - 70);
        bg.addChild(innerBg);

        var contentListView = new ccui.ListView();
        contentListView.setDirection(ccui.ScrollView.DIR_VERTICAL);
        contentListView.setTouchEnabled(true);
        contentListView.setBounceEnabled(true);
        contentListView.setAnchorPoint(0.5, 0.5);
        contentListView.setPosition(innerBg.width*0.5, innerBg.height * 0.5);
        contentListView.setContentSize(innerBg.width, innerBg.height - 20);
        innerBg.addChild(contentListView);

        var messageContent = new cc.LabelTTF("    为切实保护全民狼人杀Online客户端用户隐私权，优化用户体验，我们根据现行法规及政策，制定本《个人信息保护政策》。本《个人信息保护政策》将详细说明全民狼人杀Online客户端在获取、管理及保护用户个人信息方面的政策及措施。本《个人信息保护政策》适用于全民狼人杀Online客户端向您提供的所有服务。\n" +
        "\n个人信息的收集：\n" +
        "    您已知悉且同意，在您注册全民狼人杀Online客户端账号或使用全民狼人杀Online客户端提供的服务时，全民狼人杀Online将记录您提供的相关个人信息，如：姓名、手机号码等，上述个人信息是您获得全民狼人杀Online客户端提供的服务的基础。同时，基于优化用户体验的目的，全民狼人杀Online客户端会收集您在战局中的胜负信息、积分信息、MVP值信息以及您的充值信息，以便进行全局排名，并向您发放排名奖励。\n" +
		"\n个人信息的管理：\n" +
        "    为了向您提供更好的服务和产品，全民狼人杀Online客户端会在下述情形使用您的个人信息：\n" +
		"    1、 根据相关法律法规的要求；\n" +
        "    2、 根据您的授权；\n" +
        "    未经您本人允许， 全民狼人杀Online客户端不会向任何第三方披露您的个人信息，下列情况除外：\n" +
        "    1、 全民狼人杀Online客户端已经取得您或您监护人的授权；\n" +
        "    2、 司法机关或行政机关给予法定程序要求全民狼人杀Online披露的；\n" +
        "    3、 全民狼人杀Online客户端为维护自身合法权益而向用户提起诉讼或仲裁时；\n" +
        "    4、 法律法规规定的其他情形。\n" +
        "\n个人信息的保护：\n" +
        "    全民狼人杀Online客户端将尽一切努力保护其获得的用户个人信息。为防止用户个人信息在意外的、未经授权的情况下被非法访问、复制、修改、传送、遗失、破坏、处理或使用，全民狼人杀Online客户端已经并将继续采取以下措施保护您的个人信息：\n" +
        "    1、 以适当的方式对用户的个人信息进行加密处理；\n" +
        "    2、 在适当的位置使用密码对用户个人信息进行保护；\n" +
        "    3、 限制对用户个人信息的访问；\n" +
        "    4、 其他的合理措施。\n" +
        "    同时，用户个人应采取积极措施保证个人信息安全，如定期修改账号密码，不将自己的账号密码等个人信息透露给他人。\n" +
        "\n个人信息的访问：\n" +
        "    当您完成全民狼人杀Online客户端的账号申请后，您可以查阅或修改您提交给全民狼人杀Online客户端的个人信息。一般情况下，您可随时浏览、修改自己提交的信息，但出于安全性和身份识别的考虑，您可能无法修改申请开通全民狼人杀Online账号时提供的某些初始信息以及验证信息。\n" +
        "\n对未成年人个人信息的特别保护：\n" +
        "    全民狼人杀Online客户端用户群体不包括未成年人，若有特殊情况，出现未成年人使用全民狼人杀Online客户端，我们将根据国家相关法律法规及本《个人信息保护政策》的规定保护未成年人的个人信息。","Arial", 25);
        messageContent.boundingWidth = 550;
        messageContent.boundingHeight = 0;
        messageContent.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        messageContent.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        messageContent.setAnchorPoint(0.5, 1);

        var itemLayout = new ccui.Layout();
        itemLayout.setContentSize(600, messageContent.height);
        messageContent.setPosition(itemLayout.width/2, itemLayout.height - 10);
        itemLayout.addChild(messageContent);

        contentListView.pushBackCustomItem(itemLayout);

        var confirmButton = new ccui.Button(res.CreateRoom_png, res.CreateRoomDown_png);
        confirmButton.setPosition(bg.width/2, 70);
        confirmButton.addClickEventListener(function () {
            _this.hidden();
        });
        bg.addChild(confirmButton);

        var confirmLabel = new ccui.ImageView(res.CommonConfirmLabel_png);
        confirmLabel.setPosition(confirmButton.width/2, confirmButton.height/2);
        confirmButton.addChild(confirmLabel);

        var closeButton = new ccui.Button(res.RedClose_png, res.RedClose_png);
        closeButton.setPosition(bg.width - 30, bg.height - 30);
        bg.addChild(closeButton);
        closeButton.addClickEventListener(function () {
            _this.hidden();
        });

        this.setVisible(false);     //默认设置为不可见
    },

    //弹出
    popup: function() {
        cc.director.getRunningScene().addChild(this);
        this._listener.setSwallowTouches(true);
        this.setVisible(true);
    },

    //隐藏
    hidden: function() {
        this.setVisible(false);
        this._listener.setSwallowTouches(false);
        this.removeFromParent(true);
    },

    onExit: function() {
        this._super();
        cc.log("onexit");
        //移除触摸监听
        cc.eventManager.removeListener(this._listener);
    },

    cleanup:function () {
        this._super();
        cc.log("cleanup");
    },
});