/**
 * Created by junji on 2017/1/30.
 */

var BackPackApi = cc.Class.extend({
    ctor: function () {
    },

    lookup:function (userId, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/backpack/lookup";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/backpack/lookup";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/hall/getHallInfo",successCallback,resumeCallback,failedCallback);
        }
    },

    useTool:function (toolType, toolCode, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.toolType = toolType;
        params.toolCode = toolCode;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/backpack/useTool";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/backpack/useTool";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/hall/getHallInfo",successCallback,resumeCallback,failedCallback);
        }
    },

    getEquippedTools:function (callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/backpack/getEquippedTools";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/backpack/getEquippedTools";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/hall/getHallInfo",successCallback,resumeCallback,failedCallback);
        }
    },
});
