/**
 * Created by junji on 2016/11/14.
 */
var HallApi = cc.Class.extend({
    ctor: function () {
    },

    getHallInfo:function (userId, roomclassid,roomState,callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.roomState = roomState;
        cc.log("roomclassid=" + roomclassid);
        params.roomclassid = roomclassid;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/hall/getHallInfo";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/hall/getHallInfo";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/hall/getHallInfo",successCallback,resumeCallback,failedCallback);
        }
    },
    
    verifyPassword:function (roomId,roomPassword, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.userId = DataManager.getInstance().getUserData()._userId;
        params.roomId = roomId;
        params.password = roomPassword;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/hall/verifyPassword";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/hall/verifyPassword";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params,Config.HTTP_HALL_HOST,"/hall/verifyPassword",successCallback,resumeCallback,failedCallback);
        }
    }
});
