/**
 * Created by gexiao on 2016/11/4.
 */
var UserApi = cc.Class.extend({

    ctor: function () {
    },

    signin:function (userName,password, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.userName = userName;
        params.password = password;
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.longitude = DataManager.getInstance().getCommonData().getLongitude();
        params.latitude = DataManager.getInstance().getCommonData().getLatitude();
        params.osVersion = DataManager.getInstance().getCommonData().getOsVersion();
        params.osType = DataManager.getInstance().getCommonData().getOsType();
        params.vendor = DataManager.getInstance().getCommonData().getVendor();
        params.channel = DataManager.getInstance().getCommonData().getChannel();
        params.resolutionWidth = DataManager.getInstance().getCommonData().getResolutionWidth();
        params.resolutionHeight = DataManager.getInstance().getCommonData().getResolutionHeight();
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }
        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                cc.log("login js VersionConfig.RELEASE ");
                address = "https://api.lyingmanonline.com";
            }
            var path = "/user/signin";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if (cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                cc.log("login js VersionConfig.RELEASE ");
                address = "api.lyingmanonline.com";
            }
            var path = "/user/signin";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params, Config.HTTP_HOST, "/user/signin", successCallback, resumeCallback, failedCallback);
        }
    },

    signup:function (userName,password,nickname,sex,verificationCode, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.userName = userName;
        params.password = password;
        params.nickname = nickname;
        params.sex = sex;
        params.verificationCode = verificationCode;
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.longitude = DataManager.getInstance().getCommonData().getLongitude();
        params.latitude = DataManager.getInstance().getCommonData().getLatitude();
        params.osVersion = DataManager.getInstance().getCommonData().getOsVersion();
        params.osType = DataManager.getInstance().getCommonData().getOsType();
        params.vendor = DataManager.getInstance().getCommonData().getVendor();
        params.channel = DataManager.getInstance().getCommonData().getChannel();
        params.resolutionWidth = DataManager.getInstance().getCommonData().getResolutionWidth();
        params.resolutionHeight = DataManager.getInstance().getCommonData().getResolutionHeight();
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/user/signup";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if(cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/user/signup";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params, Config.HTTP_HOST, "/user/signup", successCallback, resumeCallback, failedCallback);
        }
    },

    sendVerificationCode:function (phoneNumber, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.phoneNumber = phoneNumber;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/user/sendVerificationCode";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if(cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/user/sendVerificationCode";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params, Config.HTTP_HOST, "/user/signup", successCallback, resumeCallback, failedCallback);
        }
    },

    thirdPartyLogin:function (openid, unionid, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.openid = openid;
        params.unionid = unionid;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/user/thirdPartyLogin";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if(cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/user/thirdPartyLogin";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params, Config.HTTP_HOST, "/user/signup", successCallback, resumeCallback, failedCallback);
        }
    },

    signupByThirdParty:function (openid, unionid, accountType, nickname, sex, callBackName,successCallback,resumeCallback,failedCallback) {
        var params = new Object();
        params.clientVersion = DataManager.getInstance().getCommonData().getClientVersion();
        params.protocalVersion = DataManager.getInstance().getCommonData().getProtocalVersion();
        params.openid = openid;
        params.unionid = unionid;
        params.accountType = accountType;
        params.nickname = nickname;
        params.sex = sex;
        if (cc.sys.os === cc.sys.OS_IOS) {
            params.isios = 1;
        }

        if(cc.sys.os === cc.sys.OS_ANDROID) {
            var address = "http://test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "https://api.lyingmanonline.com";
            }
            var path = "/user/signupByThirdParty";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("org/cocos2dx/javascript/Util/AliGatewayUtil", "asynPostRequest"
                , "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", address, path, jsonBody, callBackName);
        } else if(cc.sys.os === cc.sys.OS_IOS) {
            var address = "test.lyingmanonline.com";
            if(SoftVersion == VersionConfig.RELEASE || 1) {
                address = "api.lyingmanonline.com";
            }
            var path = "/user/signupByThirdParty";
            var jsonBody = JSON.stringify(params);
            jsb.reflection.callStaticMethod("AliGatewayUtil", "asynPostRequest:path:jsonBody:callBack:", address, path, jsonBody, callBackName);
        } else {
            var httpUtil = new HttpUtil();
            httpUtil.send(params, Config.HTTP_HOST, "/user/signup", successCallback, resumeCallback, failedCallback);
        }
    }
});
