/**
 * Created by gexiao on 2016/11/3.
 */
var DataManager = cc.Class.extend({

    _userData: null,

    _commonData:null,

    _HallRoomData: null,

    _currentRoomData: null,

    _worldMessageData : null,

    _resumeData : null,

    ctor: function () {
        this._userData = UserData.getInstance();
        this._commonData = CommonData.getInstance();
        this._HallRoomData = HallRoomData.getInstance();
        this._currentRoomData = CurrentRoomData.getInstance();
        this._worldMessageData =  WorldMessageData.getInstance();
        this._resumeData = ResumeData.getInstance();
    },

    getUserData: function () {
      return this._userData;
    },

    getCommonData: function () {
        return this._commonData;
    },

    getHallRoomData:function () {
        return this._HallRoomData;
    },

    getCurrentRoomData:function () {
        return this._currentRoomData;
    },

    getWorldMessageData:function () {
        return this._worldMessageData;
    },

    getResumeData:function () {
        return this._resumeData;
    },
});

DataManager.shareDataManager = null;
DataManager.firstUseDataManager = true;

DataManager.getInstance = function () {

    if (DataManager.firstUseDataManager) {
        DataManager.firstUseDataManager = false;
        DataManager.shareDataManager = new DataManager();
    }
    return DataManager.shareDataManager;
};
