/**
 * Created by junji on 2017/2/5.
 */

var ResumeData = cc.Class.extend({
    //客户端版本号
    _resume: null,

    ctor: function () {
    },

    parseData:function (resumeData) {
        this._resume = resumeData;

        DataManager.getInstance().getCurrentRoomData()._onLookerNum = resumeData.roomState.onLookerNum;
        DataManager.getInstance().getCurrentRoomData()._roomId = resumeData.roomState.roomId;
        DataManager.getInstance().getCurrentRoomData()._roomName = resumeData.roomState.roomName;
        DataManager.getInstance().getCurrentRoomData()._totalPlayerNum = resumeData.roomState.totalPlayerNum;
        DataManager.getInstance().getCurrentRoomData()._roleConf = resumeData.roomState.roleConfList;
        DataManager.getInstance().getCurrentRoomData()._timeProcess = resumeData.timeProcess;
        DataManager.getInstance().getCurrentRoomData()._guardLastSelect = resumeData.lastSelect;
        DataManager.getInstance().getCurrentRoomData()._gagLastSelect = resumeData.lastSelect;
        DataManager.getInstance().getCurrentRoomData()._password = resumeData.password;
        DataManager.getInstance().getCurrentRoomData()._currentPlayerMap = new Map();
        DataManager.getInstance().getCurrentRoomData()._isOnLooker = true;

        for(var i = 0; i < resumeData.userList.length; i++) {
            var resumePlayerInfo = resumeData.userList[i];
            var currentPlayerInfo = new Object();
            if(resumePlayerInfo.currentCard == 1002) {
                currentPlayerInfo.currentCard = "res/1000.png";
            } else if (resumePlayerInfo.currentCard == -1) {
                currentPlayerInfo.currentCard = res.Beimian_png;
            } else {
                currentPlayerInfo.currentCard = "res/" + resumePlayerInfo.currentCard + ".png";
            }
            currentPlayerInfo.deathType = resumePlayerInfo.deathType;
            currentPlayerInfo.userId = resumePlayerInfo.userId;
            if(currentPlayerInfo.userId == DataManager.getInstance().getUserData()._userId) {
                DataManager.getInstance().getCurrentRoomData()._mySeatNumber = resumePlayerInfo.seatNumber;
                DataManager.getInstance().getCurrentRoomData()._myRole = resumePlayerInfo.currentCard;
                DataManager.getInstance().getCurrentRoomData()._isOnLooker = false;
            }
            currentPlayerInfo.nickname = resumePlayerInfo.nickName;
            currentPlayerInfo.sex = resumePlayerInfo.sex;
            currentPlayerInfo.seatNumber = resumePlayerInfo.seatNumber;
            currentPlayerInfo.prepareState = 1;
            currentPlayerInfo.cup = resumePlayerInfo.cup;
            currentPlayerInfo.offlineState = resumePlayerInfo.offlineState;
            currentPlayerInfo.skin = resumePlayerInfo.skin;
            currentPlayerInfo.stateIconList = resumePlayerInfo.stateIconList;
            currentPlayerInfo.isSpeaking = resumePlayerInfo.isSpeaking;
            DataManager.getInstance().getCurrentRoomData()._currentPlayerMap.put(currentPlayerInfo.seatNumber, currentPlayerInfo);
        }
    },
});

ResumeData.shareResumeData = null;
ResumeData.firstUseResumeData = true;

ResumeData.getInstance = function () {
    if (ResumeData.firstUseResumeData) {
        ResumeData.firstUseResumeData = false;
        ResumeData.shareResumeData = new ResumeData();
    }
    return ResumeData.shareResumeData;
};
