/**
 * Created by junji on 2017/2/4.
 */

var WorldMessageData = cc.Class.extend({

    _data: null,

    ctor: function () {
        cc.log("WorldMessageData ctor");
        this._data = new FixedLengthQueue(100);
    },

    addMessage:function (message) {
        this._data.push(message);
    },

    get:function (index) {
        return this._data.get(index);
    },

    getLength:function () {
        return this._data.size();
    },

    clear:function () {
        this._data = new FixedLengthQueue(100);
    },
});

WorldMessageData.sharedWorldMessageData = null;
WorldMessageData.firstUseWorldMessageData = true;

WorldMessageData.getInstance = function () {
    if (WorldMessageData.firstUseWorldMessageData) {
        WorldMessageData.firstUseWorldMessageData = false;
        WorldMessageData.sharedWorldMessageData = new WorldMessageData();
    }
    return WorldMessageData.sharedWorldMessageData;
};