/**
 * Created by junji on 2016/11/15.
 */

var hallApi;
var hallBgLayer;
var hallLayer;
var hallMenuLayer;
var hallSlideDialog;

var createRoomSendFlag = false;
var joinRoomSendFlag = false;
var quickJoinRoomSendFlag = false;
var createRoomSendTime = 0;
var joinRoomSendTime = 0;
var quickJoinRoomSendTime = 0;
var newUnStartVisbleFlag = true;

var _gcloudvoice = null;

var HallBgLayer = cc.Layer.extend({

    ctor:function() {
        this._super();

        var bg = new cc.Sprite(res.HallBg_png);
        this.addChild(bg);
        bg.setPosition(cc.winSize.width/2, cc.winSize.height/2);

        /*var bottomBar = new ccui.ImageView(res.BottomBar_png);
         bottomBar.setScale9Enabled(true);
         this.addChild(bottomBar);
         bottomBar.setPosition(0,0);
         bottomBar.setAnchorPoint(0,0);
         bottomBar.setContentSize(cc.director.getVisibleSize().width, 87);*/

        var tabMenuLayer = new TabMenuLayer();
        tabMenuLayer.setAnchorPoint(cc.p(0,0));
        tabMenuLayer.setPosition(0, 0);
        this.addChild(tabMenuLayer);
        tabMenuLayer.getChildByName("hallButton").setScale(1.1);

        var topBar = new ccui.ImageView(res.TopBar_png);
        this.addChild(topBar);
        topBar.setAnchorPoint(0.5,1);
        topBar.setPosition(cc.winSize.width/2, cc.winSize.height);

        var goldenCoinBg = new ccui.ImageView(res.HallinputBg_png);
        goldenCoinBg.setPosition(245, cc.winSize.height - 28);
        this.addChild(goldenCoinBg);

        var diamondBg = new ccui.ImageView(res.HallinputBg_png);
        diamondBg.setPosition(435, cc.winSize.height - 28);
        this.addChild(diamondBg);

        var cupBg = new ccui.ImageView(res.HallinputBg_png);
        cupBg.setPosition(310, cc.winSize.height - 85);
        this.addChild(cupBg);

        var avatar = new ccui.ImageView(res.CircleAvtarNormalFemale_png);
        if(DataManager.getInstance().getUserData()._currentSkin != -1) {
            avatar.loadTexture(AvatarMap.get(DataManager.getInstance().getUserData()._currentSkin)[0]);
        }
        avatar.setAnchorPoint(0.5, 0.5);
        avatar.setScale(1.1);
        avatar.setPosition(61, cc.winSize.height - 63);
        avatar.setName("avatar");
        this.addChild(avatar);

        var zhezhao = new ccui.ImageView(res.Zhezhao_png);
        zhezhao.setAnchorPoint(0.5, 1);
        zhezhao.setScale9Enabled(true);
        zhezhao.setContentSize(BaseWindowConf.WIDTH, 45);
        zhezhao.setPosition(cc.winSize.width/2, cc.winSize.height - topBar.height + 20);
        this.addChild(zhezhao);

        var wechat = new ccui.Text("官方公众号:quanminsha", "Arial", 22);
        if(SoftVersion == VersionConfig.BETA) {
            wechat.setString("Beta测试版");
        }
        wechat.setAnchorPoint(0.5, 0.5);
        wechat.setPosition(cc.winSize.width/2 - 150, zhezhao.height/2);
        zhezhao.addChild(wechat);

        var qq = new ccui.Text("官方QQ1群:542640823", "Arial", 22);
        qq.setAnchorPoint(0.5, 0.5);
        qq.setPosition(cc.winSize.width/2 + 150, zhezhao.height/2);
        zhezhao.addChild(qq);

        var goldCoinIcon = new cc.Sprite(res.HallGoldenCoin_png);
        this.addChild(goldCoinIcon);
        goldCoinIcon.setPosition(175, cc.winSize.height-25);
        goldCoinIcon.setAnchorPoint(0.5,0.5);

        var diamondIcon = new cc.Sprite(res.Diamond_png);
        diamondIcon.setScale(1.1);
        this.addChild(diamondIcon);
        diamondIcon.setPosition(cc.winSize.width*300/640 + 10, cc.winSize.height-25);
        diamondIcon.setAnchorPoint(0.5,0.5);

        var cupIcon = new ccui.ImageView(res.HallCup_png);
        this.addChild(cupIcon);
        cupIcon.setAnchorPoint(0.5, 0.5);
        cupIcon.setPosition(cc.winSize.width * 252/750, cc.winSize.height - 85);

        return true;
    }
});

var HallLayer  = cc.Layer.extend({
    _spawnCount: 8,
    _totalCount: 0,
    _bufferZone: 500,
    _updateInterval: 0.01,
    _updateTimer: 0,
    _lastContentPosY: 0,
    _reuseItemOffset: 0,
    _initializeListSize: false,
    _spacing:20,
    _currentRoomListState:RoomState.UNSTART,
    _currentRoomClassId:1,
    _freshSate:0,

    ctor:function () {
        this._super();

        var _this = this;

        // Create the list view
        this.listView = new ccui.ListView();
        this.listView.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listView.setTouchEnabled(true);
        this.listView.setBounceEnabled(true);
        this.listView.setContentSize(cc.size(BaseWindowConf.WIDTH, 855));
        this.listView.setPosition(cc.winSize.width/2, cc.winSize.height/2);
        this.listView.setAnchorPoint(0.5, 0.5);
        this.listView.setItemsMargin(this._spacing);
        this.listView.addEventListener(this.selectedItemEvent, this);
        this.listView.setScrollBarEnabled(false);
        this.listView.setGravity(ccui.ListView.GRAVITY_CENTER_VERTICAL);
        this.addChild(this.listView);

        hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, 1, RoomState.UNSTART , "getHallInfoResponse",function(data){
            cc.log(data);
            cc.director.getRunningScene().removeChildByTag(997001);
            DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
            _this._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
            _this.listView.removeAllItems();
            _this.refreshListViewContent();
            _this.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
            _this.scheduleUpdate();
        }, function (data) {
            cc.director.getRunningScene().removeChildByTag(997001);
            cc.log(data);
        }, function (data) {
            cc.director.getRunningScene().removeChildByTag(997001);
            cc.log(data);
        });

        var loadingDialog = new LoadingDialog();
        loadingDialog.setTag(997001);
        loadingDialog.popup();

        // this.refreshListViewContent();
        //
        this.scheduleUpdate();

        return true;
    },

    refreshListViewContent: function () {
        var default_item = this.initModel();
        // set model
        this.listView.setItemModel(default_item);
        // set all items layout gravity
        for (var i = 0; i < this._totalCount; ++i) {
            if (i < this._spawnCount) {
                // 注意 这部分逻辑必须放在一个函数里写 否则会出现前面的item点击后出现的tag内容一样
                this.addItem(i, default_item.clone());
            }
        }

        this._itemTemplateHeight = default_item.getContentSize().height;
        this._reuseItemOffset = (this._itemTemplateHeight + this._spacing) * this._spawnCount;
        this._lastContentPosY = 0;
        this._updateTimer = 0;

        this.listView.jumpToTop();
    },

    resizeInnerContainer: function () {
        this.listView.forceDoLayout();
        var totalHeight = this._itemTemplateHeight * this._totalCount + (this._totalCount - 1) * this._spacing;
        if(totalHeight >= this.listView.height) {
            this.listView.getInnerContainer().setContentSize(cc.size(this.listView.getInnerContainerSize().width, totalHeight));
        } else {
            this.listView.getInnerContainer().setContentSize(cc.size(this.listView.getInnerContainerSize().width, this.listView.height));
        }
        this.listView.jumpToTop();
    },

    addItem: function (i, item) {
        cc.log("additem " + i);
        this.refreshItem(i, item);
        this.listView.pushBackCustomItem(item);
    },

    initModel: function () {
        // create model
        var default_roomBg = new ccui.Button();
        default_roomBg.setName("roomBg");
        default_roomBg.setTouchEnabled(true);
        default_roomBg.loadTextures(res.RoomBg_png, res.RoomBg_png, "");

        var default_roleList = new ccui.ListView();
        default_roleList.setName("roleList");
        default_roleList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        default_roleList.setBounceEnabled(true);
        default_roleList.setContentSize(cc.size(default_roomBg.width-30, default_roomBg.height-105));
        // default_roleList.setPropagateTouchEvents(false);
        default_roleList.setScrollBarEnabled(false);
        default_roleList.setTouchEnabled(false);

        var default_roomNumber = new ccui.Text("房间123456", "Arial", 20);
        default_roomNumber.setTextColor(cc.color(225, 189, 115));
        default_roomNumber.setName("roomNumber");
        default_roomNumber.setPosition(default_roomBg.width/2, default_roomBg.height - 25);
        default_roomBg.addChild(default_roomNumber);

        var default_lock = new ccui.ImageView(res.Lock_png);
        default_lock.setName("lock");
        default_lock.setPosition(default_roomBg.width - 12, default_roomBg.height - 34);
        default_roomBg.addChild(default_lock);

        var lp0 = new ccui.LinearLayoutParameter();
        lp0.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp0.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_wolfIcon = new ccui.ImageView(res.Wolf_png);
        default_wolfIcon.setName("wolfIcon");
        default_wolfIcon.setLayoutParameter(lp0);
        var default_wolfText = new ccui.Text("狼人*4  白狼王\n狼美人  白狼王\n狼兄  狼弟", "Arial", 17);
        default_wolfText.setTextColor(cc.color(73, 27, 1));
        default_wolfText.setName("wolfText");
        var default_wolfLayout = new ccui.Layout();
        default_wolfLayout.setName("wolfLayout");
        default_wolfLayout.setContentSize(cc.size(default_roleList.width, 65));
        default_wolfLayout.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_wolfLayout.addChild(default_wolfIcon);
        default_wolfLayout.addChild(default_wolfText);

        var lp9 = new ccui.LinearLayoutParameter();
        lp9.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp9.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_goldIcon = new ccui.ImageView(res.Gold_png);
        default_goldIcon.setLayoutParameter(lp9);
        default_goldIcon.setName("goldIcon");
        var default_goldText = new ccui.Text("预言家  熊\n盗贼 猎人\n丘比特  女巫", "Arial", 17);
        default_goldText.setTextColor(cc.color(73, 27, 1));
        default_goldText.setName("goldText");
        var default_goldLayout = new ccui.Layout();
        default_goldLayout.setName("goldLayout");
        default_goldLayout.setContentSize(cc.size(default_roleList.width, 65));
        default_goldLayout.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_goldLayout.addChild(default_goldIcon);
        default_goldLayout.addChild(default_goldText);

        var lp5 = new ccui.LinearLayoutParameter();
        lp5.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp5.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_otherIcon = new ccui.ImageView(res.Other_png);
        default_otherIcon.setLayoutParameter(lp5);
        default_otherIcon.setName("otherIcon");
        var default_otherText = new ccui.Text("村民*4", "Arial", 17);
        default_otherText.setTextColor(cc.color(73, 27, 1));
        default_otherText.setName("otherText");
        var default_otherLayout = new ccui.Layout();
        default_otherLayout.setName("otherLayout");
        default_otherLayout.setContentSize(cc.size(default_roleList.width, 25));
        default_otherLayout.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_otherLayout.addChild(default_otherIcon);
        default_otherLayout.addChild(default_otherText);

        default_roleList.pushBackCustomItem(default_wolfLayout);
        default_roleList.pushBackCustomItem(default_goldLayout);
        default_roleList.pushBackCustomItem(default_otherLayout);

        var default_roomBg1 = new ccui.Button();
        default_roomBg1.setName("roomBg1");
        default_roomBg1.setTouchEnabled(true);
        default_roomBg1.loadTextures(res.RoomBg_png, res.RoomBg_png, "");

        var default_roleList1 = new ccui.ListView();
        default_roleList1.setName("roleList1");
        default_roleList1.setDirection(ccui.ScrollView.DIR_VERTICAL);
        default_roleList1.setBounceEnabled(false);
        default_roleList1.setContentSize(cc.size(default_roomBg1.width-30, default_roomBg1.height-105));
        // default_roleList1.setPropagateTouchEvents(false);
        default_roleList1.setTouchEnabled(false);
        default_roleList1.setScrollBarEnabled(false);

        var lp6 = new ccui.LinearLayoutParameter();
        lp6.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp6.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_wolfIcon1 = new ccui.ImageView(res.Wolf_png);
        default_wolfIcon1.setName("wolfIcon1");
        default_wolfIcon1.setLayoutParameter(lp6);
        var default_wolfText1 = new ccui.Text("狼人*4  白狼王\n狼美人  白狼王\n狼兄  狼弟", "Arial", 18);
        default_wolfText1.setName("wolfText1");
        default_wolfText1.setTextColor(cc.color(73, 27, 1));
        var default_wolfLayout1 = new ccui.Layout();
        default_wolfLayout1.setName("wolfLayout1");
        default_wolfLayout1.setContentSize(cc.size(default_roleList1.width, 65));
        default_wolfLayout1.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_wolfLayout1.addChild(default_wolfIcon1);
        default_wolfLayout1.addChild(default_wolfText1);

        var lp4 = new ccui.LinearLayoutParameter();
        lp4.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp4.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_goldIcon1 = new ccui.ImageView(res.Gold_png);
        default_goldIcon1.setName("goldIcon1");
        default_goldIcon1.setLayoutParameter(lp4);
        var default_goldText1 = new ccui.Text("预言家  熊\n盗贼 猎人\n丘比特  女巫", "Arial", 18);
        default_goldText1.setName("goldText1");
        default_goldText1.setTextColor(cc.color(73, 27, 1));
        var default_goldLayout1 = new ccui.Layout();
        default_goldLayout1.setName("goldLayout1");
        default_goldLayout1.setContentSize(cc.size(default_roleList1.width, 65));
        default_goldLayout1.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_goldLayout1.addChild(default_goldIcon1);
        default_goldLayout1.addChild(default_goldText1);

        var lp8 = new ccui.LinearLayoutParameter();
        lp8.setMargin(new ccui.Margin(15, 0, 15 ,0));
        // lp8.setGravity(ccui.LinearLayoutParameter.GRAVITY_CENTER_VERTICAL);
        var default_otherIcon1 = new ccui.ImageView(res.Other_png);
        default_otherIcon1.setName("otherIcon1");
        default_otherIcon1.setLayoutParameter(lp8);
        var default_otherText1 = new ccui.Text("村民*4", "Arial", 18);
        default_otherText1.setName("otherText1");
        default_otherText1.setTextColor(cc.color(73, 27, 1));
        var default_otherLayout1 = new ccui.Layout();
        default_otherLayout1.setName("otherLayout1");
        default_otherLayout1.setContentSize(cc.size(default_roleList1.width, 25));
        default_otherLayout1.setLayoutType(ccui.Layout.LINEAR_HORIZONTAL);
        default_otherLayout1.addChild(default_otherIcon1);
        default_otherLayout1.addChild(default_otherText1);

        default_roleList1.pushBackCustomItem(default_wolfLayout1);
        default_roleList1.pushBackCustomItem(default_goldLayout1);
        default_roleList1.pushBackCustomItem(default_otherLayout1);

        var default_roomNumber1 = new ccui.Text("房间123456", "Arial", 20);
        default_roomNumber1.setTextColor(cc.color(225, 189, 115));
        default_roomNumber1.setName("roomNumber1");
        default_roomNumber1.setPosition(default_roomBg1.width/2, default_roomBg1.height - 25);
        default_roomBg1.addChild(default_roomNumber1);

        var default_lock1 = new ccui.ImageView(res.Lock_png);
        default_lock1.setName("lock1");
        default_lock1.setPosition(default_roomBg1.width - 12, default_roomBg1.height - 34);
        default_roomBg1.addChild(default_lock1);

        var default_item = new ccui.Layout();
        default_item.setLayoutType(ccui.Layout.RELATIVE);

        default_item.setTouchEnabled(true);
        default_item.setContentSize(this.listView.width, default_roomBg.height);

        // var roomNameBg1 = new ccui.ImageView();
        // roomNameBg1.setScale9Enabled(true);
        // roomNameBg1.setName("roomNameBg1");
        // roomNameBg1.setContentSize(266, 35);
        // roomNameBg1.setPosition(default_roomBg.getPosition().x, default_roomBg.getContentSize().height - 30);
        var roomName1 = new ccui.Text("", "Arial", 20);
        roomName1.setTextColor(cc.color(245, 228, 193));
        roomName1.setAnchorPoint(0.5, 0.5);
        roomName1.setPosition(default_roomBg.width/2, default_roomBg.height - 60);
        roomName1.setName("roomName1");
        default_roomBg.addChild(roomName1);
        // var lp10 = new ccui.RelativeLayoutParameter();
        // lp10.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        // lp10.setMargin(new ccui.Margin(55, 40, 0, 0));
        // roomNameBg1.setLayoutParameter(lp10);
        // var lp0 = new ccui.RelativeLayoutParameter();
        // lp0.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        // lp0.setMargin(new ccui.Margin(120, 35, 0, 0));
        // default_roomNumber.setLayoutParameter(lp0);
        var lp1 = new ccui.RelativeLayoutParameter();
        lp1.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        lp1.setMargin(new ccui.Margin(55, 0, 0, 0));
        default_roomBg.setLayoutParameter(lp1);
        var lp3 = new ccui.RelativeLayoutParameter();
        lp3.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        lp3.setMargin(new ccui.Margin(72, 85, 0, 0));
        default_roleList.setLayoutParameter(lp3);
        // var lp12 = new ccui.RelativeLayoutParameter();
        // lp12.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        // lp12.setMargin(new ccui.Margin(260, 35, 0, 0));
        // default_lock.setLayoutParameter(lp12);
        var roomPlayerNum1 = new ccui.Text("7/9", "Arial", 22);
        roomPlayerNum1.setTextColor(cc.color(225, 189, 115));
        roomPlayerNum1.setName("roomPlayerNum1");
        roomPlayerNum1.setPosition(default_roomBg.width / 2, 28);
        default_roomBg.addChild(roomPlayerNum1);
        // var lp15 = new ccui.RelativeLayoutParameter();
        // lp15.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_LEFT);
        // lp15.setMargin(new ccui.Margin(173, 267, 0, 0));
        // roomPlayerNum1.setLayoutParameter(lp15);

        // var roomNameBg2 = new ccui.ImageView();
        // roomNameBg2.setScale9Enabled(true);
        // roomNameBg2.setName("roomNameBg2");
        // roomNameBg2.setContentSize(266, 35);
        var roomName2 = new ccui.Text("", "Arial", 20);
        roomName2.setTextColor(cc.color(245, 228, 193));
        roomName2.setAnchorPoint(0.5, 0.5);
        roomName2.setName("roomName2");
        roomName2.setPosition(default_roomBg1.width/2, default_roomBg1.height - 60);
        default_roomBg1.addChild(roomName2);
        // var lp14 = new ccui.RelativeLayoutParameter();
        // lp14.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        // lp14.setMargin(new ccui.Margin(0, 0, 60, 0));
        // default_roomNumber1.setLayoutParameter(lp14);
        var lp2 = new ccui.RelativeLayoutParameter();
        lp2.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        lp2.setMargin(new ccui.Margin(0, 0, 55, 0));
        default_roomBg1.setLayoutParameter(lp2);
        var lp7 = new ccui.RelativeLayoutParameter();
        lp7.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        lp7.setMargin(new ccui.Margin(0, 85, 72, 0));
        default_roleList1.setLayoutParameter(lp7);
        // var lp11 = new ccui.RelativeLayoutParameter();
        // lp11.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        // lp11.setMargin(new ccui.Margin(0, 55, 193, 0));
        // roomNameBg2.setLayoutParameter(lp11);
        // var lp13 = new ccui.RelativeLayoutParameter();
        // lp13.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        // lp13.setMargin(new ccui.Margin(0, 35, 38, 0));
        // default_lock1.setLayoutParameter(lp13);
        var roomPlayerNum2 = new ccui.Text("7/9", "Arial", 21);
        roomPlayerNum2.setTextColor(cc.color(225, 189, 115));
        roomPlayerNum2.setName("roomPlayerNum2");
        roomPlayerNum2.setPosition(default_roomBg1.width / 2, 28);
        default_roomBg1.addChild(roomPlayerNum2);
        // var lp16 = new ccui.RelativeLayoutParameter();
        // lp16.setAlign(ccui.RelativeLayoutParameter.PARENT_TOP_RIGHT);
        // lp16.setMargin(new ccui.Margin(0, 267, 173, 0));
        // roomPlayerNum2.setLayoutParameter(lp16);

        default_item.addChild(default_roomBg);
        default_item.addChild(default_roomBg1);
        // default_item.addChild(roomNameBg1);
        // default_item.addChild(roomNameBg2);
        // default_item.addChild(default_roomNumber);
        default_item.addChild(default_roleList);
        default_item.addChild(default_roleList1);
        // default_item.addChild(default_roomNumber1);
        // default_item.addChild(default_lock);
        // default_item.addChild(default_lock1);
        // default_item.addChild(roomPlayerNum1);
        // default_item.addChild(roomPlayerNum2);

        return default_item;
    },

    onEnter: function() {
        cc.Node.prototype.onEnter.call(this);
        // //we must call foreceDoLayout in onEnter method in h5.
        // this.listView.forceDoLayout();
        // var totalHeight = this._itemTemplateHeight * this._totalCount + (this._totalCount - 1) * this._spacing;
        // this.listView.getInnerContainer().setContentSize(cc.size(this.listView.getInnerContainerSize().width, totalHeight));
        // this.listView.jumpToTop();
    },

    getItemPositionYInView: function(item) {
        var worldPos = item.getParent().convertToWorldSpaceAR(item.getPosition());
        var viewPos = this.listView.convertToNodeSpaceAR(worldPos);
        return viewPos.y;
    },

    refreshItem: function (itemID, itemTemplate) {
        var _this = this;
        var btn = itemTemplate.getChildByName('roomBg');
        var btn1 = itemTemplate.getChildByName('roomBg1');
        var roleList = itemTemplate.getChildByName("roleList");
        var roleList1 = itemTemplate.getChildByName("roleList1");
        var roomNumber = itemTemplate.getChildByName("roomBg").getChildByName("roomNumber");
        var roomNumber1 = itemTemplate.getChildByName("roomBg1").getChildByName("roomNumber1");
        var lock = itemTemplate.getChildByName("roomBg").getChildByName("lock");
        var lock1 = itemTemplate.getChildByName("roomBg1").getChildByName("lock1");
        var roomName = itemTemplate.getChildByName("roomBg").getChildByName("roomName1");
        var roomName1 = itemTemplate.getChildByName("roomBg1").getChildByName("roomName2");
        var roomPlayerNum = itemTemplate.getChildByName("roomBg").getChildByName("roomPlayerNum1");
        var roomPlayerNum1 = itemTemplate.getChildByName("roomBg1").getChildByName("roomPlayerNum2");

        itemTemplate.setTag(itemID);

        btn.addClickEventListener(function () {
            _this.hallJoinRoom(2*itemID, _this._currentRoomListState);
        });
        btn1.addClickEventListener(function () {
            _this.hallJoinRoom(itemID*2 +1, _this._currentRoomListState);
        });

        if(_this._currentRoomListState == RoomState.UNSTART) {
            roomNumber.setString("房间" + DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2].hallRoomId);
            if(DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2].isEncrypted == 1) {
                lock.setVisible(true);
            } else {
                lock.setVisible(false);
            }
            roomName.setString(DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2].hallRoomName);
            roomPlayerNum.setString(DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2].currentPlayerNum
                + "/" + DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2].totalPlayerNum);
        } else {
            cc.log("item id " + itemID);
            roomNumber.setString("房间" + DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2].hallRoomId);
            if(DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2].isEncrypted == 1) {
                lock.setVisible(true);
            } else {
                lock.setVisible(false);
            }
            roomName.setString(DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2].hallRoomName);
            roomPlayerNum.setString(DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2].currentPlayerNum
                + "/" + DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2].totalPlayerNum);
        }

        var roleInfo = _this.generateRoleText(itemID*2, _this._currentRoomListState);
        roleList.getItems()[0].getChildByName("wolfText").setString(roleInfo[0]);
        roleList.getItems()[0].height = roleInfo[1];
        roleList.getItems()[1].getChildByName("goldText").setString(roleInfo[2]);
        roleList.getItems()[1].height = roleInfo[3];
        roleList.getItems()[2].getChildByName('otherText').setString(roleInfo[4]);
        roleList.getItems()[2].height = roleInfo[5];

        var listLength = 0;

        if(_this._currentRoomListState == RoomState.UNSTART) {
            listLength = DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length;
        } else {
            listLength = DataManager.getInstance().getHallRoomData()._startedHallRoomList.length
        }

        if (itemID * 2 + 1 >= listLength) {
            btn1.setVisible(false);
            roleList1.setVisible(false);
            roomNumber1.setVisible(false);
            lock1.setVisible(false);
            roomName1.setVisible(false);
            roomPlayerNum1.setVisible(false);
        } else {
            btn1.setVisible(true);
            roleList1.setVisible(true);
            roomNumber1.setVisible(true);
            roomName1.setVisible(true);
            roomPlayerNum1.setVisible(true);
            if (_this._currentRoomListState == RoomState.UNSTART) {
                roomNumber1.setString("房间" + DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID * 2 + 1].hallRoomId);
                if (DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID * 2 + 1].isEncrypted == 1) {
                    lock1.setVisible(true);
                } else {
                    lock1.setVisible(false);
                }
                roomName1.setString(DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2+1].hallRoomName);
                roomPlayerNum1.setString(DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2+1].currentPlayerNum
                    + "/" + DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID*2+1].totalPlayerNum);
            } else {
                roomNumber1.setString("房间" + DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID * 2 + 1].hallRoomId);
                if (DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID * 2 + 1].isEncrypted == 1) {
                    lock1.setVisible(true);
                } else {
                    lock1.setVisible(false);
                }
                roomName1.setString(DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2+1].hallRoomName);
                roomPlayerNum1.setString(DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2+1].currentPlayerNum
                    + "/" + DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID*2+1].totalPlayerNum);
            }
            var roleInfo1 = _this.generateRoleText(itemID * 2 + 1, _this._currentRoomListState);
            roleList1.getItems()[0].getChildByName("wolfText1").setString(roleInfo1[0]);
            roleList1.getItems()[0].height = roleInfo1[1];
            roleList1.getItems()[1].getChildByName("goldText1").setString(roleInfo1[2]);
            roleList1.getItems()[1].height = roleInfo1[3];
            roleList1.getItems()[2].getChildByName('otherText1').setString(roleInfo1[4]);
            roleList1.getItems()[2].height = roleInfo1[5];
        }
    },

    hallJoinRoom:function (itemId, roomState) {
        var havePermission = checkPermission();
        if(havePermission) {
            var roomInfo = null;
            if(roomState == RoomState.STARTED) {
                roomInfo = DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemId];
            } else {
                roomInfo = DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemId];
            }
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
            MqttHelper.getInstance().joinRoom(roomInfo.hallRoomId);
        } else {
            if(cc.sys.os === cc.sys.OS_ANDROID) {
                ToastUtil.systemToastInMiddle("没有麦克风权限,请前往系统设置手动打开", 2.0);
            }
        }
    },

    updateItem: function(itemID, templateID) {
        cc.log("updataitem " + itemID + " " + templateID);
        var itemTemplate = this.listView.getItems()[templateID];
        this.refreshItem(itemID, itemTemplate);
    },

    generateRoleText: function (itemID, roomState) {
        var roleList = null;
        var wolfText = "";
        var goldText = "";
        var otherText = "";
        var wolfRoleCount = 0;
        var goldRoleCount = 0;
        var otherRoleCount = 0;
        var wolfItemHeight = 30;  //基础高度25
        var goldItemHeight = 30;
        var otherItemHeight = 30;
        if(roomState == RoomState.STARTED) {
            roleList = DataManager.getInstance().getHallRoomData()._startedHallRoomList[itemID].roleList;
        } else {
            cc.log(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length + "  " + itemID);
            roleList = DataManager.getInstance().getHallRoomData()._unstartHallRoomList[itemID].roleList;
        }

        for (var i = 0; i < roleList.length; i++) {
            if (roleList[i].roleId <= 100) {
                if (otherRoleCount >= 2) {
                    otherText = otherText + "\n";
                    otherRoleCount = 0;
                    otherItemHeight += 20;
                } else {
                    if (otherText != "") {
                        otherText = otherText + " ";
                    }
                    otherRoleCount++;
                }
                otherText = otherText + RoleMap.get(roleList[i].roleId);
                if (roleList[i].roleNum > 1) {
                    otherText = otherText + "*" + roleList[i].roleNum;
                }
            } else if (roleList[i].roleId > 100 && roleList[i].roleId <= 200) {
                if (wolfRoleCount >= 2) {
                    wolfText = wolfText + "\n";
                    wolfRoleCount = 0;
                    wolfItemHeight += 20;
                } else {
                    if (wolfText != "") {
                        wolfText = wolfText + " ";
                    }
                    wolfRoleCount++;
                }
                wolfText = wolfText + RoleMap.get(roleList[i].roleId);
                if (roleList[i].roleNum > 1) {
                    wolfText = wolfText + "*" + roleList[i].roleNum;
                }
            } else {
                goldText = goldText + RoleMap.get(roleList[i].roleId);
                if (roleList[i].roleNum > 1) {
                    goldText = goldText + "*" + roleList[i].roleNum;
                }
                if (goldRoleCount >= 2) {
                    goldText = goldText + "\n";
                    goldRoleCount = 0;
                    goldItemHeight += 18;
                } else {
                    if (goldText != "") {
                        goldText = goldText + " ";
                    }
                    goldRoleCount++;
                }
            }
        }

        if(goldText.endsWith("\n")) {
            goldText = goldText.substring(0, goldText.length - 1);
            goldItemHeight -= 18;
        }

        if(wolfItemHeight == 30)
            wolfItemHeight += 20;
        if(goldItemHeight == 30)
            goldItemHeight += 20;
        if(otherItemHeight == 30)
            otherItemHeight += 20;

        return [wolfText, wolfItemHeight, goldText, goldItemHeight, otherText, otherItemHeight];
    },

    update: function(dt){
        this._updateTimer += dt;
        if (this._updateTimer < this._updateInterval) {
            return;
        }
        this._updateTimer = 0;

        var currentDateTime = new Date().getTime();
        if(joinRoomSendFlag) {
            if(currentDateTime - joinRoomSendTime > 5000) {
                cc.director.getRunningScene().removeChildByTag(997001);
                ToastUtil.systemToastInMiddle("加入房间超时，请检查网络...", 2.0);
                joinRoomSendFlag = false;
            }
        }

        if(createRoomSendFlag) {
            if(currentDateTime - createRoomSendTime > 5000) {
                cc.director.getRunningScene().removeChildByTag(997001);
                ToastUtil.systemToastInMiddle("创建房间超时，请检查网络...", 2.0);
                createRoomSendFlag = false;
            }
        }

        if(quickJoinRoomSendFlag) {
            if(currentDateTime - quickJoinRoomSendTime > 5000) {
                cc.director.getRunningScene().removeChildByTag(997001);
                ToastUtil.systemToastInMiddle("快速加入房间超时，请检查网络...", 2.0);
                quickJoinRoomSendFlag = false;
            }
        }

        var totalHeight = this._itemTemplateHeight * this._totalCount + (this._totalCount - 1) * this._spacing;
        var listViewHeight = this.listView.getContentSize().height;
        var items = this.listView.getItems();
        var isDown = this.listView.getInnerContainer().getPosition().y < this._lastContentPosY;

        var inner_height = this.listView.getInnerContainer().getContentSize().height;
        var outer_height = this.listView.getContentSize().height;
        var inner_y = this.listView.getInnerContainer().getPosition().y;
        var delta_y = inner_y - outer_height + inner_height;

        switch(this._freshSate) {
            case 0: // 下拉刷新
                if (delta_y < -100) { // 向下位移超过100
                    this._freshSate = 1;
                    cc.log("开始刷新");
                }
                break;
            case 1: // 松开刷新
                if (-0.001 < delta_y && delta_y < 0.001) { // 回到原始位置
                    this._freshSate = 2;
                    cc.log("松开刷新");
                    var roomState;
                    if (newUnStartVisbleFlag == true) {
                        roomState = RoomState.UNSTART;
                    } else {
                        roomState = RoomState.STARTED;
                    }
                    //分区id
                    var roomClassId;
                    if (hallMenuLayer._currentRoomClassId == 2) {
                        roomClassId = 2;
                    } else {
                        roomClassId = 1;
                    }
                    cc.log("刷新前的roomState=" + roomState + "000" + newUnStartVisbleFlag);
                    hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, roomClassId, roomState, "getHallInfoResponse", function (data) {
                    }, function (data) {
                    }, function (data) {
                    });
                    var loadingDialog = new LoadingDialog();
                    loadingDialog.setTag(997001);
                    loadingDialog.popup();
                }
                break;
            case 2: // 正在刷新
                break;
            default:
                break;
        }

        // if(this.listView.getInnerContainer().getPositionPercent().y < -0.2 && (cc.director.getRunningScene().getChildByTag(997001) == null ||
        //                     cc.director.getRunningScene().getChildByTag(997001) == undefined)) {
        //     hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, hallLayer._currentRoomListState, function (data) {
        //         cc.log(data);
        //         cc.director.getRunningScene().removeChildByTag(997001);
        //         if(hallLayer._currentRoomListState == RoomState.STARTED) {
        //             DataManager.getInstance().getHallRoomData().parseStartedRoomFromObj(data);
        //             hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._startedHallRoomList.length / 2);
        //         } else {
        //             DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
        //             hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
        //         }
        //         hallLayer.listView.removeAllItems();
        //         hallLayer.refreshListViewContent();
        //         hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
        //     }, function (data) {
        //         cc.director.getRunningScene().removeChildByTag(997001);
        //         cc.log(data);
        //     }, function (data) {
        //         cc.director.getRunningScene().removeChildByTag(997001);
        //         cc.log(data);
        //     });
        //     var loadingDialog = new LoadingDialog();
        //     loadingDialog.setTag(997001);
        //     loadingDialog.popup();
        // } else {
        for (var i = 0; i < this._spawnCount && i < this._totalCount; ++i) {
            var item = items[i];
            var itemPos = this.getItemPositionYInView(item);
            if (isDown) {
                if (itemPos < -this._bufferZone && item.getPosition().y + this._reuseItemOffset < totalHeight) {
                    var itemID = item.getTag() - items.length;
                    if (itemID >= 0) {
                        item.setPositionY(item.getPositionY() + this._reuseItemOffset);
                        this.updateItem(itemID, i);
                    }
                }
            } else {
                if (itemPos > this._bufferZone + listViewHeight && item.getPositionY() - this._reuseItemOffset >= 0) {
                    item.setPositionY(item.getPositionY() - this._reuseItemOffset);
                    itemID = item.getTag() + items.length;
                    this.updateItem(itemID, i);
                }
            }
        }

        this._lastContentPosY = this.listView.getInnerContainer().getPosition().y;
    },

    selectedItemEvent: function (sender, type) {
        switch (type) {
            case ccui.ListView.EVENT_SELECTED_ITEM:
                var listViewEx = sender;
                var item = listViewEx.getItem(listViewEx.getCurSelectedIndex());
                cc.log("select child index = " + item.getTag());
                break;
            case ccui.ListView.EVENT_SLIDEBALL_UP:
                cc.log("up");
                break;
            case ccui.ListView.EVENT_SLIDEBALL_DOWN:
                cc.log("down");
            default:
                break;
        }
    }
});

var HallMenuLayer = cc.Layer.extend({

    ctor:function () {
        this._super();

        var _this = this;

        var vipIcon = new ccui.ImageView(res.HallVIP_png);
        vipIcon.setAnchorPoint(0.5, 0.5);
        vipIcon.setPosition(cc.winSize.width*160/750, cc.winSize.height - 85);
        this.addChild(vipIcon);

        var vipText = new ccui.Text("" + DataManager.getInstance().getUserData()._vipLevel, "Arial", 23);
        vipText.setAnchorPoint(0, 0.5);
        vipText.setColor(cc.color(228,195,88));
        vipText.setPosition(192, cc.winSize.height - 85);
        vipText.setName("vipText");
        this.addChild(vipText);

        var goldCoinText = new ccui.Text("" + DataManager.getInstance().getUserData()._goldenCoin, "Arial", 23);
        this.addChild(goldCoinText);
        goldCoinText.setName("goldenCoinText");
        goldCoinText.setTextColor(cc.color(228,195,88));
        goldCoinText.setPosition(cc.winSize.width*205/640, cc.winSize.height-30);
        goldCoinText.setAnchorPoint(0.5,0.5);

        var goldCoinPlusBUtton = new ccui.Button(res.HallPlus_png, "", "");
        this.addChild(goldCoinPlusBUtton);
        goldCoinPlusBUtton.addClickEventListener(function () {
            cc.director.runScene(new ShopScene(ShopType.Prop));
        });
        goldCoinPlusBUtton.setPosition(cc.winSize.width*305/750, cc.winSize.height-30);
        goldCoinPlusBUtton.setAnchorPoint(0.5,0.5);

        var diamondText = new ccui.Text("" + DataManager.getInstance().getUserData()._diamond, "Arial", 23);
        this.addChild(diamondText);
        diamondText.setName("diamondText");
        diamondText.setTextColor(cc.color(243,140,107));
        diamondText.setPosition(cc.winSize.width*358/640, cc.winSize.height-30);
        diamondText.setAnchorPoint(0.5,0.5);

        var diamondPlusButton = new ccui.Button(res.HallPlus_png, "", "");
        this.addChild(diamondPlusButton);
        diamondPlusButton.setPosition(cc.winSize.width*418/640, cc.winSize.height-30);
        diamondPlusButton.addClickEventListener(function () {
            cc.director.runScene(new ShopScene(ShopType.Diamond));
        });
        diamondPlusButton.setAnchorPoint(0.5,0.5);

        var messageButton = new ccui.Button(res.Message_png, "", "");
        this.addChild(messageButton);
        messageButton.setPosition(cc.winSize.width*575/640, cc.winSize.height-85);
        messageButton.setName("messageButton");
        messageButton.addClickEventListener(function () {
            var mailApi = new MailApi();
            mailApi.getMailInfo("getMailInfoResponse", function () {
            },function () {
            },function () {
            });
        });
        messageButton.setScale(1);

        var messageRedCircle = new ccui.ImageView(res.RedCircle_png);
        messageButton.addChild(messageRedCircle);
        messageRedCircle.setName("messageRedCircle");
        messageRedCircle.setVisible(false);
        if(DataManager.getInstance().getUserData()._hasNewMail == 1) {
            messageRedCircle.setVisible(true);
        }
        messageRedCircle.setPosition(messageButton.width - 3, messageButton.height - 5);
        messageRedCircle.setScale(0.9);

        var cupText = new ccui.Text("" + DataManager.getInstance().getUserData()._cup, "Arial", 23);
        cupText.setAnchorPoint(0.5, 0.5);
        cupText.setName("cupText");
        cupText.setColor(cc.color(243,140,107));
        cupText.setPosition(cc.winSize.width * 314/750, cc.winSize.height - 85);
        this.addChild(cupText);

        var rankTitleText = new ccui.ImageView(res.RankText_png);
        rankTitleText.setAnchorPoint(0.5 ,0.5);
        rankTitleText.setScale(1.1);
        rankTitleText.setPosition(cc.winSize.width * 460/750, cc.winSize.height - 85);
        this.addChild(rankTitleText);

        var rankText = new ccui.Text("", "Arial", 23);
        if(DataManager.getInstance().getUserData()._totalRank > 10000) {
            rankText.setString("10000+");
        } else {
            rankText.setString("" + DataManager.getInstance().getUserData()._totalRank);
        }
        this.addChild(rankText);
        rankText.setName("rankText");
        rankText.setAnchorPoint(0, 0.5);
        rankText.setColor(cc.color(243,140,107));
        rankText.setPosition(cc.winSize.width * 528/750, cc.winSize.height - 85);

        var helpButton = new ccui.Button(res.Help_png, "", "");
        this.addChild(helpButton);
        helpButton.setPosition(cc.winSize.width*485/640, cc.winSize.height-26);
        helpButton.addClickEventListener(function () {
            var tutorial = new TutorialMainLayer();
            tutorial.setPosition(0, 0);
            cc.director.getRunningScene().addChild(tutorial, 10);
        });
        helpButton.setScale(1);

        var taskButton = new ccui.Button(res.Task_png, "", "");
        this.addChild(taskButton);
        taskButton.setPosition(cc.winSize.width*550/640, cc.winSize.height-26);
        taskButton.setName("taskButton");
        taskButton.addClickEventListener(function () {
            var taskApi = new TaskApi();
            taskApi.getTaskInfo("getTaskInfoResponse", function () {
            },function () {
            },function () {
            });
        });
        taskButton.setScale(1);

        var taskRedCircle = new ccui.ImageView(res.RedCircle_png);
        taskRedCircle.setPosition(taskButton.width - 6, taskButton.height - 12);
        taskRedCircle.setScale(0.9);
        taskRedCircle.setVisible(false);
        if(DataManager.getInstance().getUserData()._hasNewTask == 1) {
            taskRedCircle.setVisible(true);
        }
        taskRedCircle.setName("taskRedCircle");
        taskButton.addChild(taskRedCircle);

        var roomClass2Button = new ccui.Button(res.SkinAreaUnSelected_png, res.SkinAreaSelected_png, "");
        cc.log("roomClass2Button : " + roomClass2Button);
        this.addChild(roomClass2Button);
        roomClass2Button.setAnchorPoint(0.5, 0.5);
        roomClass2Button.setPosition(cc.winSize.width * 0.73, cc.winSize.height*(5.96)/7);
        roomClass2Button.setHighlighted(false);
        // roomClass2Button.setScale(1.0);
        roomClass2Button.setName("roomClass1Button");
        roomClass2Button.addClickEventListener(function () {
            roomClass2Button.setHighlighted(true);
            roomClass1Button.setHighlighted(false);
            hallMenuLayer._currentRoomClassId = 2;
            var roomState;
            if (newUnStartVisbleFlag == true) {
                roomState = RoomState.UNSTART;
            } else {
                roomState = RoomState.STARTED;
            }
            hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, 2, roomState, "getHallInfoResponse",function (data) {
                cc.log(data);
                cc.director.getRunningScene().removeChildByTag(997001);
                hallLayer._currentRoomListState = RoomState.STARTED;
                DataManager.getInstance().getHallRoomData().parseStartedRoomFromObj(data);
                hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._startedHallRoomList.length / 2);
                hallLayer.listView.removeAllItems();
                hallLayer.refreshListViewContent();
                hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            });
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
        });

        var roomClass1Button = new ccui.Button(res.CommonAreaUnSelected_png, res.CommonAreaSelected_png, "");
        this.addChild(roomClass1Button);
        roomClass1Button.setAnchorPoint(0.5,0.5);
        roomClass1Button.setPosition(cc.winSize.width * 0.27, cc.winSize.height*(5.96)/7);
        roomClass1Button.setHighlighted(true);
        // roomClass1Button.setScale(1.0);
        roomClass1Button.setName("roomClass1Button");
        roomClass1Button.addClickEventListener(function () {
            roomClass2Button.setHighlighted(false);
            roomClass1Button.setHighlighted(true);
            hallMenuLayer._currentRoomClassId = 1;
            var roomState;
            if (newUnStartVisbleFlag == true) {
                roomState = RoomState.UNSTART;
            } else {
                roomState = RoomState.STARTED;
            }
            hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, 1, roomState, "getHallInfoResponse", function (data) {
                cc.log(data);
                cc.director.getRunningScene().removeChildByTag(997001);
                hallLayer._currentRoomListState = RoomState.UNSTART;
                DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
                hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
                hallLayer.listView.removeAllItems();
                hallLayer.refreshListViewContent();
                hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            });
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
        });

        var newUnStartBtn = new ccui.Button(res.RoomUnStarted_png, "", "");
        this.addChild(newUnStartBtn);
        newUnStartBtn.setVisible(true);
        newUnStartBtn.setPosition(cc.winSize.width * 0.5, cc.winSize.height*(5.96)/7);
        newUnStartBtn.setName("newUnStartBtn");
        newUnStartBtn.addClickEventListener(function () {
            newUnStartVisbleFlag = false;
            //分区id
            var roomClassId;
            if (hallMenuLayer._currentRoomClassId == 2) {
                roomClassId = 2;
            } else {
                roomClassId = 1;
            }
            hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, roomClassId, RoomState.STARTED, "getHallInfoResponse",function (data) {
                cc.log(data);
                cc.director.getRunningScene().removeChildByTag(997001);
                hallLayer._currentRoomListState = RoomState.STARTED;
                newUnStartBtn.setVisible(false);
                DataManager.getInstance().getHallRoomData().parseStartedRoomFromObj(data);
                hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._startedHallRoomList.length / 2);
                hallLayer.listView.removeAllItems();
                hallLayer.refreshListViewContent();
                hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            });
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
        });

        var newStartBtn = new ccui.Button(res.RoomStarted_png, "", "");
        this.addChild(newStartBtn);
        newStartBtn.setVisible(false);
        newStartBtn.setPosition(cc.winSize.width * 0.5, cc.winSize.height*(5.96)/7);
        newStartBtn.setName("newStartBtn");
        newStartBtn.addClickEventListener(function () {
            newUnStartVisbleFlag = true;
            //分区id
            var roomClassId;
            if (hallMenuLayer._currentRoomClassId == 2) {
                roomClassId = 2;
            } else {
                roomClassId = 1;
            }
            hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, roomClassId, RoomState.UNSTART, "getHallInfoResponse", function (data) {
                cc.log(data);
                cc.director.getRunningScene().removeChildByTag(997001);
                hallLayer._currentRoomListState = RoomState.UNSTART;
                newStartBtn.setVisible(false);
                DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
                hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
                hallLayer.listView.removeAllItems();
                hallLayer.refreshListViewContent();
                hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            }, function (data) {
                cc.director.getRunningScene().removeChildByTag(997001);
                cc.log(data);
            });
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
            cc.log("准备按钮取消准备");
        });

        var creatRoomButton = new ccui.Button(res.CreateRoom_png, res.CreateRoomDown_png, "");
        this.addChild(creatRoomButton);
        creatRoomButton.setPosition(cc.winSize.width/5, cc.winSize.height*1/7);
        creatRoomButton.setScale(1.1);
        creatRoomButton.addClickEventListener(function () {
            // var createRoomDialog = new ModalDialogueBox(DialogType.CreatRoom);
            // createRoomDialog.setTag(DialogType.CreatRoom);
            // createRoomDialog.popup();
            var hasPermission = checkPermission();
            if(hasPermission) {
                var createRoomDialog = new CreateRoomDialog();
                createRoomDialog.popup();
            } else {
                if(cc.sys.os === cc.sys.OS_ANDROID) {
                    ToastUtil.systemToastInMiddle("没有麦克风权限,请前往系统设置手动打开", 2.0);
                }
            }
        });

        var createRoomText = new ccui.ImageView(res.CreateRoomText_png);
        createRoomText.setAnchorPoint(0.5, 0.5);
        createRoomText.setPosition(creatRoomButton.width * 0.5, creatRoomButton.height * 0.5);
        creatRoomButton.addChild(createRoomText);

        var quickJoinRoomButton = new ccui.Button(res.QuickJoinRoom_png, res.QuickJoinRoomDown_png, "");
        this.addChild(quickJoinRoomButton);
        quickJoinRoomButton.setScale(1.1);
        quickJoinRoomButton.setPosition(cc.winSize.width/2, cc.winSize.height*1/7);
        quickJoinRoomButton.addClickEventListener(function () {
            var hasPermission = checkPermission();
            if(hasPermission) {
                var loadingDialog = new LoadingDialog();
                loadingDialog.setTag(997001);
                loadingDialog.popup();

                MqttHelper.getInstance().quickJoinRoom();
            } else {
                if(cc.sys.os === cc.sys.OS_ANDROID) {
                    ToastUtil.systemToastInMiddle("没有麦克风权限,请前往系统设置手动打开", 2.0);
                }
            }
        });

        var quickJoinRoomText = new ccui.ImageView(res.QuickJoinRoomText_png);
        quickJoinRoomText.setAnchorPoint(0.5, 0.5);
        quickJoinRoomText.setPosition(quickJoinRoomButton.width * 0.5, quickJoinRoomButton.height * 0.5);
        quickJoinRoomButton.addChild(quickJoinRoomText);

        var idJoinRoomButton = new ccui.Button(res.IdJoinRoom_png, res.IdJoinRoomDown_png, "");
        this.addChild(idJoinRoomButton);
        idJoinRoomButton.setScale(1.1);
        idJoinRoomButton.setPosition(cc.winSize.width*4/5, cc.winSize.height*1/7);
        idJoinRoomButton.addClickEventListener(function () {
            var hasPermission = checkPermission();
            if(hasPermission) {
                var joinRoomDialog = new ModalDialogueBox(DialogType.InputRoomNumber);
                joinRoomDialog.setTag(DialogType.InputRoomNumber);
                joinRoomDialog.popup();
            } else {
                if(cc.sys.os === cc.sys.OS_ANDROID) {
                    ToastUtil.systemToastInMiddle("没有麦克风权限,请前往系统设置手动打开", 2.0);
                }
            }
        });

        var idJoinRoomText = new ccui.ImageView(res.IdJoinRoomText_png);
        idJoinRoomText.setAnchorPoint(0.5, 0.5);
        idJoinRoomText.setPosition(idJoinRoomButton.width * 0.5, idJoinRoomButton.height * 0.5);
        idJoinRoomButton.addChild(idJoinRoomText);

        return true;
    }
});

function getHallInfoResponse(responseString) {
    cc.director.getRunningScene().removeChildByTag(997001);
    if(responseString == null || responseString == "" || responseString == undefined) {
        ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getHallInfoSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getHallInfoResume(responseObj.retBody);
            }
        } else {
            getHallInfoFailed(responseObj.retCode);
        }
    }
};

function getHallInfoSuccess(data) {
    cc.log(data);
    hallLayer._currentRoomListState = RoomState.UNSTART;
    DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
    hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
    hallLayer.listView.removeAllItems();
    hallLayer.refreshListViewContent();
    hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度

};

function getHallInfoFailed(data) {
    cc.log(data);
};

function getHallInfoResume(data) {
    cc.log(data);
};

function getNewMailResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        //ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getNewMailSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getNewMailResume(responseObj.retBody);
            }
        } else {
            getNewMailFailed(responseObj.retCode);
        }
    }
};

function getNewMailSuccess(data) {
    cc.log(data.haveNewMail);
    DataManager.getInstance().getUserData()._hasNewMail = data.haveNewMail;
    if(data.haveNewMail == 1) {
        hallMenuLayer.getChildByName("messageButton").getChildByName("messageRedCircle").setVisible(true);
    } else {
        hallMenuLayer.getChildByName("messageButton").getChildByName("messageRedCircle").setVisible(false);
    }
};

function getNewMailFailed(data) {
    cc.log(data);
};

function getNewMailResume(data) {
    cc.log(data);
};

function getNewTaskResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        //ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getNewTaskSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getNewTaskResume(responseObj.retBody);
            }
        } else {
            getNewTaskFailed(responseObj.retCode);
        }
    }
};

function getNewTaskSuccess(data) {
    cc.log(data.haveNewTask);
    DataManager.getInstance().getUserData()._hasNewTask = data.haveNewTask;
    if(hallMenuLayer != null && hallMenuLayer != undefined && hallMenuLayer instanceof HallMenuLayer) {
        if (data.haveNewTask == 1) {
            hallMenuLayer.getChildByName("taskButton").getChildByName("taskRedCircle").setVisible(true);
        } else {
            hallMenuLayer.getChildByName("taskButton").getChildByName("taskRedCircle").setVisible(false);
        }
    }
};

function getNewTaskFailed(data) {
    cc.log(data);
};

function getNewTaskResume(data) {
    cc.log(data);
};

function getTaskInfoResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getTaskInfoSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getTaskInfoResume(responseObj.retBody);
            }
        } else {
            getTaskInfoFailed(responseObj.retCode);
        }
    }
};

function getTaskInfoSuccess(data) {
    var taskDialog = new TaskDialog(data.taskList);
    taskDialog.setTag(DialogType.TaskDialog);
    taskDialog.popup();
};

function getTaskInfoFailed(data) {
    cc.log(data);
};

function getTaskInfoResume(data) {
    cc.log(data);
};

function getEquippedToolsResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        //ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getEquippedToolsSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getEquippedToolsResume(responseObj.retBody);
            }
        } else {
            getEquippedToolsFailed(responseObj.retCode);
        }
    }
};

function getEquippedToolsSuccess(data) {
    cc.log(data.skin + " " + data.voice);
    DataManager.getInstance().getUserData()._currentSkin = data.skin;
    hallBgLayer.getChildByName("avatar").loadTexture(AvatarMap.get(data.skin)[0]);
    DataManager.getInstance().getUserData()._currentVoice = data.voice;
};

function getEquippedToolsFailed(data) {
    cc.log(data);
};

function getEquippedToolsResume(data) {
    cc.log(data);
};

function gameProfileFindResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        //ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                gameProfileFindSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                gameProfileFindResume(responseObj.retBody);
            }
        } else {
            gameProfileFindFailed(responseObj.retCode);
        }
    }
};

function gameProfileFindSuccess(data) {
    DataManager.getInstance().getUserData()._cup = data.cup;
    DataManager.getInstance().getUserData()._goldenCoin = data.coin;
    DataManager.getInstance().getUserData()._diamond = data.diamond;
    DataManager.getInstance().getUserData()._vipLevel = data.vipLevel;
    DataManager.getInstance().getUserData()._mvpCount = data.mvpCount;
    DataManager.getInstance().getUserData()._totalRank = data.totalRank;
    hallMenuLayer.getChildByName("cupText").setString(data.cup+"");
    hallMenuLayer.getChildByName("goldenCoinText").setString(data.coin+"");
    hallMenuLayer.getChildByName("diamondText").setString(data.diamond+"");
    hallMenuLayer.getChildByName("vipText").setString(data.vipLevel+"");
    if(data.totalRank > 10000) {
        hallMenuLayer.getChildByName("rankText").setString("10000+");
    } else {
        hallMenuLayer.getChildByName("rankText").setString(data.totalRank+"");
    }
};

function gameProfileFindFailed(data) {
    cc.log(data);
};

function gameProfileFindResume(data) {
    cc.log(data);
};

function taskSignResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        //ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                taskSignSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                taskSignResume(responseObj.retBody);
            }
        } else {
            taskSignFailed(responseObj.retCode);
        }
    }
};

function taskSignSuccess(data) {
    var currentDate = new Date();
    cc.sys.localStorage.setItem("lastTaskSignDate", currentDate.getDate());
    DataManager.getInstance().getUserData()._goldenCoin = data.totalCoin;
    hallMenuLayer.getChildByName("goldenCoinText").setString(data.totalCoin+"");
    var resultDialog = new BuyResultDialog("签到奖励", ["金币×"+data.rewardCoin]);
    resultDialog.popup();
};

function taskSignFailed(data) {
    cc.log(data);
};

function taskSignResume(data) {
    cc.log(data);
};

function getMailInfoResponse(responseString) {
    if(responseString == null || responseString == "" || responseString == undefined) {
        ToastUtil.systemToastInMiddle("网络超时，请检查网络...", 2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getMailInfoSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getMailInfoResume(responseObj.retBody);
            }
        } else {
            getMailInfoFailed(responseObj.retCode);
        }
    }
};

function getMailInfoSuccess(data) {
    var mailDialog = new MailDialog(data.mailList);
    mailDialog.setTag(DialogType.MailDialog);
    mailDialog.popup();
};

function getMailInfoFailed(data) {
    cc.log(data);
};

function getMailInfoResume(data) {
    cc.log(data);
};

function getHallInfoResponse(responseString) {
    cc.director.getRunningScene().removeChildByTag(997001);
    if(responseString == "" || responseString == null || responseString == undefined){
        ToastUtil.systemToastInMiddle("请求超时，请检查网络...",2.0);
    } else {
        var responseObj = JSON.parse(responseString);
        if (responseObj.retCode > 0) {
            if (responseObj.retCode == 1) {
                getHallInfoSuccess(responseObj.retBody);
            } else if (responseObj.retCode == 2) {
                getHallInfoResume(responseObj.retBody);
            }
        } else {
            getHallInfoFailed(responseObj.retCode);
        }
    }
};

function getHallInfoSuccess(data) {
    cc.log(data);
    if(hallLayer != null && hallLayer!= undefined) {
        var newStartBtn = hallMenuLayer.getChildByName("newStartBtn");
        var newUnStartBtn = hallMenuLayer.getChildByName("newUnStartBtn");
        if (newUnStartVisbleFlag == true) {
            newUnStartBtn.setVisible(true);
            newStartBtn.setVisible(false);
        } else {
            newUnStartBtn.setVisible(false);
            newStartBtn.setVisible(true);
        }
        hallLayer._currentRoomListState = RoomState.UNSTART;
        DataManager.getInstance().getHallRoomData().parseUnstartedRoomFromObj(data);
        hallLayer._totalCount = Math.ceil(DataManager.getInstance().getHallRoomData()._unstartHallRoomList.length / 2);
        if(hallLayer.listView != null && hallLayer.listView != undefined) {
            hallLayer.listView.removeAllItems();
        }
        hallLayer.refreshListViewContent();
        hallLayer.resizeInnerContainer();  //必须先调用refreshListViewContent 使其重新计算总高度
        hallLayer._freshSate = 0;
    }
};

function getHallInfoFailed(data) {
    cc.log(data);
};

function getHallInfoResume(data) {
    cc.log(data);
};

var HallScene = cc.Scene.extend({

    joinRoom:function (payloadObj) {
        cc.director.getRunningScene().removeChildByTag(997001);
        joinRoomSendFlag = false;
        quickJoinRoomSendFlag = false;
        createRoomSendFlag = false;
        DataManager.getInstance().getCurrentRoomData().clear();
        DataManager.getInstance().getCurrentRoomData().parseFromObj(payloadObj);
        cc.director.runScene(new RoomScene(false));
    },

    joinRoomFailed:function (payloadObj) {
        joinRoomSendFlag = false;
        quickJoinRoomSendFlag = false;
        cc.director.getRunningScene().removeChildByTag(997001);
        var lastRoomId = payloadObj.roomId;
        if(lastRoomId == null || lastRoomId == undefined || lastRoomId == -1) {
            ToastUtil.systemToastInMiddle(payloadObj.message, 2.0);
            var roomState;
            if (newUnStartVisbleFlag == true) {
                roomState = RoomState.UNSTART;
            } else {
                roomState = RoomState.STARTED;
            }
            //分区id
            var roomClassId;
            if (hallMenuLayer._currentRoomClassId == 2) {
                roomClassId = 2;
            } else {
                roomClassId = 1;
            }
            hallApi.getHallInfo(DataManager.getInstance().getUserData()._userId, roomClassId, roomState, "getHallInfoResponse", function (data) {
            }, function (data) {
            }, function (data) {
            });
            var loadingDialog = new LoadingDialog();
            loadingDialog.setTag(997001);
            loadingDialog.popup();
        } else {
            var resumeConfirmDialog = new CommonDialog(DialogType.ResumeConfirmDialog, lastRoomId);
            resumeConfirmDialog.popup();
        }
    },

    worldMessageFailedResponse:function (payloadObj) {
        ToastUtil.systemToastInMiddle(payloadObj.message, 2.0);
    },

    worldMessagePush:function (payloadObj) {
        hallSlideDialog.addWorldMessage(payloadObj.messageText, payloadObj.nickName, payloadObj.userAvatar, payloadObj.userId);
        DataManager.getInstance().getWorldMessageData().addMessage(payloadObj);
    },

    createRoomFailedResponse:function (payloadObj) {
        createRoomSendFlag = false;
        cc.director.getRunningScene().removeChildByTag(997001);
        var lastRoomId = payloadObj.roomId;
        if(lastRoomId == null || lastRoomId == undefined || lastRoomId == -1) {
            ToastUtil.systemToastInMiddle(payloadObj.message, 2.0);
        } else {
            var resumeConfirmDialog = new CommonDialog(DialogType.ResumeConfirmDialog, lastRoomId);
            resumeConfirmDialog.popup();
        }
    },

    resumePush:function (payloadObj) {
        joinRoomSendFlag = false;
        quickJoinRoomSendFlag = false;
        createRoomSendFlag = false;
        DataManager.getInstance().getCurrentRoomData().clear();
        DataManager.getInstance().getResumeData().parseData(payloadObj);
        cc.director.runScene(new RoomScene(true));
    },

    joinRoomWithPasswordResponse:function(payloadObj) {
        joinRoomSendFlag = false;
        quickJoinRoomSendFlag = false;
        createRoomSendFlag = false;
        cc.director.getRunningScene().removeChildByTag(997001);
        var passwordDialog = new ModalDialogueBox(DialogType.InputPassword, [payloadObj.hallRoomId]);
        passwordDialog.popup();
    },

    verifyPasswordFailedResponse:function (payloadObj) {
        cc.director.getRunningScene().removeChildByTag(997001);
        ToastUtil.systemToastInMiddle(payloadObj.message, 2.0);
    },

    _backListener : null,

    clearMailRedCircle:function () {
        hallMenuLayer.getChildByName("messageButton").getChildByName("messageRedCircle").setVisible(false);
    },

    clearTaskRedCircle:function () {
        hallMenuLayer.getChildByName("taskButton").getChildByName("taskRedCircle").setVisible(false);
    },

    updateDiamondAndCoin:function () {
        hallMenuLayer.getChildByName("diamondText").setString(DataManager.getInstance().getUserData()._diamond+"");
        hallMenuLayer.getChildByName("goldenCoinText").setString(DataManager.getInstance().getUserData()._goldenCoin+"");
        hallMenuLayer.getChildByName("cupText").setString(DataManager.getInstance().getUserData()._cup+"");
    },

    _info:null,

    ctor:function (info) {
        this._super();

        this._info = info;

        this._backListener = cc.eventManager.addListener({
            event: cc.EventListener.KEYBOARD,
            onKeyReleased: function(keyCode, event) {
                if(keyCode == cc.KEY.back) {
                    cc.log("jijun android back");
                    var quitAppConfirmDialog = new CommonDialog(DialogType.QuitAppConfrimDialog, -1);
                    quitAppConfirmDialog.setTag(DialogType.QuitAppConfrimDialog);
                    quitAppConfirmDialog.popup();
                } else if(keyCode == cc.KEY.menu) {
                    cc.log("jijun android menu");
                }
            }
        }, this);
    },

    onEnter: function () {
        this._super();

        cc.audioEngine.stopMusic(true);

        createRoomSendFlag = false;
        joinRoomSendFlag = false;
        quickJoinRoomSendFlag = false;

        //进入前台newStartVisbleFlag重置
        newUnStartVisbleFlag = true;

        createRoomSendTime = 0;
        joinRoomSendTime = 0;
        quickJoinRoomSendTime = 0;

        buglySetUserId(DataManager.getInstance().getUserData()._userId);
        buglySetTag(1);

        if(_gcloudvoice == null) {
            _gcloudvoice = gcloud_voice_jsb.GCloudVoiceAPI();

            if(SoftVersion == VersionConfig.BETA) {
                //beta
                _gcloudvoice.setAppInfo("1009487585", "e7cfd98a3c778c3229752642d3fc51d5", "" + DataManager.getInstance().getUserData()._userId);
            } else {
                //release
                _gcloudvoice.setAppInfo("1354795750", "54d4e84b6b1ff44427bbad6e74cad814", "" + DataManager.getInstance().getUserData()._userId);
            }
            _gcloudvoice.initEngine();
            _gcloudvoice.setTeamRoomNotify();
            _gcloudvoice.setMode(0);
        }

        var lastRoomId = cc.sys.localStorage.getItem("lastRoomId");
        if(lastRoomId != null && lastRoomId != undefined && lastRoomId != -1) {
            _gcloudvoice.quitTeamRoom("channel" +  lastRoomId, 5000);
        }

        sendAliLog("system", "info", "hallScene onEnter");

        hallApi = new HallApi();

        hallBgLayer = new HallBgLayer();
        hallBgLayer.retain();
        this.addChild(hallBgLayer);

        hallLayer = new HallLayer();
        hallLayer.retain();
        this.addChild(hallLayer);

        hallMenuLayer = new HallMenuLayer();
        hallMenuLayer.retain();
        this.addChild(hallMenuLayer);

        hallSlideDialog = new SlideDialogLayer(DialogType.HallSlideDialog);
        hallSlideDialog.setName("slideDialogLayer");
        hallSlideDialog.loadWorldMessage();
        hallSlideDialog.retain();
        this.addChild(hallSlideDialog, 10);

        // if(!MqttClient.getInstance()._mqttIsInit) {
        //     MqttClient.getInstance()._mqttInit(DataManager.getInstance().getUserData()._userId);
        //  //   MqttClient.getInstance()._mqttConnect();
        // }

        MqttClient.getInstance().clearMqttMessageQueue();
        MqttClient.getInstance().clearMqttCallBackMap();

        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.JOINROOM_RESPONSE, this.joinRoom);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.JOINROOM_FAILED_RESPONSE, this.joinRoomFailed);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.QUICKJOINROOM_FAILED_RESPONSE, this.joinRoomFailed);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.WORLD_MESSAGE_FAILED_REPONSE, this.worldMessageFailedResponse);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.WORLD_MESSAGE_PUSH, this.worldMessagePush);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.CREATE_ROOM_FAILED_RESPONSE, this.createRoomFailedResponse);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.RESUME_PUSH, this.resumePush);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.JOINROOM_WITH_PASSWORD_RESPONSE, this.joinRoomWithPasswordResponse);
        MqttClient.getInstance()._mqttCallbackRegister(GameCmd.VERIFY_PASSWORD_FAILED_RESPONSE, this.verifyPasswordFailedResponse);

        if(this._info != null && this._info != undefined && this._info != "") {
            ToastUtil.systemToastInMiddle(this._info, 2.0);
        }

        if(DataManager.getInstance().getUserData()._hasNewMail == -1) {
            var mailApi = new MailApi();
            mailApi.getNewMail("getNewMailResponse", function () {
            }, function () {
            }, function () {
            });
        }

        if(DataManager.getInstance().getUserData()._hasNewTask == -1) {
            var taskApi = new TaskApi();
            taskApi.getNewTask("getNewTaskResponse", function () {
            },function () {
            },function () {
            });
        }

        if(DataManager.getInstance().getUserData()._currentVoice == -1 ||
            DataManager.getInstance().getUserData()._currentSkin == -1) {
            var backPackApi = new BackPackApi();
            backPackApi.getEquippedTools("getEquippedToolsResponse",function () {
            },function () {
            },function () {
            });
        }

        if(DataManager.getInstance().getUserData()._vipLevel == -1) {
            var gameProfileApi = new GameProfileApi();
            gameProfileApi.find("gameProfileFindResponse",function () {
            },function () {
            },function () {
            });
        }

        var lastTaskSignDate = cc.sys.localStorage.getItem("lastTaskSignDate");
        var currentDate = new Date();
        if(lastTaskSignDate == null || lastTaskSignDate == undefined
            || lastTaskSignDate != currentDate.getDate()) {
            var gameProfileApi = new GameProfileApi();
            gameProfileApi.taskSign("taskSignResponse",function () {
            },function () {
            },function () {
            });
        }
    },

    onExit:function () {
        this._super();
        hallLayer.release();
        hallBgLayer.release();
        hallMenuLayer.release();
        hallSlideDialog.release();
        cc.eventManager.removeListener(this._backListener);
    }
});