/**
 * Created by fanfeifan on 2017/1/22.
 */

var BagLayer = cc.Layer.extend({

    _skinList:null,
    _voiceList:null,

    _skinBgList:new Array(),
    _voiceBgList:new Array(),

    ctor: function () {
        this._super();
        this.initBackground();

        return true;
    },

    initBackground: function() {
        this.setContentSize(cc.size(BaseWindowConf.WIDTH,BaseWindowConf.HEIGHT));
        this.setAnchorPoint(cc.p(0,0));
        // this.background = ccui.ImageView(res.BagBack2_png);
        // this.background.setScale9Enabled(true);
        // this.background.setContentSize(cc.size(cc.visibleRect.width*0.85,cc.visibleRect.height*0.74));
        // this.background.setPosition(cc.p(cc.visibleRect.center.x,cc.visibleRect.center.y-30));
        // this.addChild(this.background);

        // this.leftPage = ccui.ImageView(res.BagLeft_png);
        // this.leftPage.setPosition(cc.p(cc.visibleRect.left.x+cc.visibleRect.width*0.05,cc.visibleRect.center.y));
        // this.addChild(this.leftPage);
        // this.rightPage = ccui.ImageView(res.BagRight_png);
        // this.rightPage.setPosition(cc.p(cc.visibleRect.right.x-cc.visibleRect.width*0.05,cc.visibleRect.center.y));
        // this.addChild(this.rightPage);

      //  this.loadPropList();
    },

    refreshUi:function (skinList, voiceList) {
        this._skinList = skinList;
        this._voiceList = voiceList;
        this._skinBgList = new Array();
        this._voiceBgList = new Array();
        this.loadPropList();
    },

    addPropItem: function(type, index) {
        var _this = this;
        var item = new ccui.Layout();
        item.setTouchEnabled(true);

        var container = new cc.Node();
        //cc.rect()
        container.setAnchorPoint(0.5,0.5);
        if(type == 0) {
            container.setContentSize(cc.size(this.propList.width, cc.winSize.height * 0.226));
        } else {
            container.setContentSize(cc.size(this.propList.width, cc.winSize.height * 0.226 + 20));
        }
        // 展示台
        var jiazi = ccui.ImageView(res.ShopJiazi_png);
        jiazi.setPosition(container.width/2,0);
        container.addChild(jiazi);

        var propList;
        if(type == 0) {
            propList = this._skinList;
        } else {
            propList = this._voiceList;
        }

       // cc.log("jijun propList " + propList[index*3].code);

        if (propList[index*3] != undefined && propList[index*3] != null) {
            var propBg1 = ccui.Button(res.ShopPropItemBg_png, "", "");
            if(type == 0) {
                _this._skinBgList.push(propBg1);
            } else if (type == 1) {
                _this._voiceBgList.push(propBg1);
            }
            propBg1.setPosition(container.width * 0.2, container.height / 2);
            propBg1.addClickEventListener(function () {
                if (type == 0) {
                    var propIntroDialog = new PropIntroDialog(propList[index*3].code, propList[index*3].skuName, propList[index*3].picurl);
                    propIntroDialog.popup();
                } else if(type == 1){
                    var voiceIntroDialog = new VoiceIntroDialog(propList[index*3].code, propList[index*3].skuName, propList[index*3].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg1);

            cc.log("jijun propList " + propList[index*3].code);
           // var propList = [res.ShopProp1_png, res.ShopProp2_png, res.ShopProp3_png, res.ShopProp4_png, res.ShopProp5_png];
            var prop1 = ccui.ImageView(propList[index*3].picurl);
            prop1.setPosition(propBg1.width / 2, propBg1.height / 2);
            if(type == 0) {
                prop1.setScale(0.285);
            }
            propBg1.addChild(prop1);

            if(propList[index*3].useState == 1) {
                var equipped = new ccui.ImageView(res.Equipped_png);
                equipped.setPosition(propBg1.width/2, propBg1.height/2);
                equipped.setTag(999);
                propBg1.addChild(equipped);
            }
        }

        if(propList[index*3+1] != undefined && propList[index*3+1] != null) {
            var propBg2 = ccui.Button(res.ShopPropItemBg_png, "", "");
            if(type == 0) {
                _this._skinBgList.push(propBg2);
            } else if (type == 1) {
                _this._voiceBgList.push(propBg2);
            }
            propBg2.setPosition(container.width * 0.5, container.height / 2);
            propBg2.addClickEventListener(function () {
                if (type == 0) {
                    var propIntroDialog = new PropIntroDialog(propList[index*3+1].code, propList[index*3+1].skuName, propList[index*3+1].picurl);
                    propIntroDialog.popup();
                } else if(type == 1){
                    var voiceIntroDialog = new VoiceIntroDialog(propList[index*3+1].code, propList[index*3+1].skuName, propList[index*3+1].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg2);

            var prop2 = ccui.ImageView(propList[index*3+1].picurl);
            prop2.setPosition(propBg2.width / 2, propBg2.height / 2);
            if(type == 0) {
                prop2.setScale(0.285);
            }
            propBg2.addChild(prop2);

            if(propList[index*3+1].useState == 1) {
                var equipped = new ccui.ImageView(res.Equipped_png);
                equipped.setPosition(propBg2.width/2, propBg2.height/2);
                equipped.setTag(999);
                propBg2.addChild(equipped);
            }
        }

        if(propList[index*3+2] != undefined && propList[index*3 + 2] != null) {
            var propBg3 = ccui.Button(res.ShopPropItemBg_png, "", "");
            if(type == 0) {
                _this._skinBgList.push(propBg3);
            } else if (type == 1) {
                _this._voiceBgList.push(propBg3);
            }
            propBg3.setPosition(container.width * 0.8, container.height / 2);
            propBg3.addClickEventListener(function () {
                if (type == 0) {
                    var propIntroDialog = new PropIntroDialog(propList[index*3+2].code, propList[index*3+2].skuName, propList[index*3+2].picurl);
                    propIntroDialog.popup();
                } else if(type == 1){
                    var voiceIntroDialog = new VoiceIntroDialog(propList[index*3+2].code, propList[index*3+2].skuName, propList[index*3+2].mp3url);
                    voiceIntroDialog.popup();
                }
            });
            container.addChild(propBg3);

            var prop3 = ccui.ImageView(propList[index*3+2].picurl);
            prop3.setPosition(propBg3.width / 2, propBg3.height / 2);
            if(type == 0) {
                prop3.setScale(0.285);
            }
            propBg3.addChild(prop3);

            if(propList[index*3 + 2].useState == 1) {
                var equipped = new ccui.ImageView(res.Equipped_png);
                equipped.setPosition(propBg3.width/2, propBg3.height/2);
                equipped.setTag(999);
                propBg3.addChild(equipped);
            }
        }

        if(propList[index*3] != undefined && propList[index*3] != null) {
            // 购买钻石
            var buyBtn1 = new ccui.Button(res.ShopBuyPropItemBtn_png, "", "");
            buyBtn1.setPosition(cc.p(jiazi.width * 0.2, jiazi.height / 2 + 20));
            buyBtn1.addClickEventListener(function () {
                if(propBg1.getChildByTag(999) == null || propBg1.getChildByTag(999) == undefined) {
                    var backPackApi = new BackPackApi();
                    var toolType = 0;
                    if (type == 0) {
                        toolType = 4;
                        _this.clearSkinEquippedState(_this._skinBgList);
                    } else if (type == 1) {
                        toolType = 2;
                        _this.clearVoiceEquippedState(_this._voiceBgList)
                    }
                    var equipped = new ccui.ImageView(res.Equipped_png);
                    equipped.setPosition(propBg1.width / 2, propBg1.height / 2);
                    equipped.setTag(999);
                    propBg1.addChild(equipped);
                    backPackApi.useTool(toolType, propList[index*3].code, "useToolResponse", function () {
                        }, function () {
                        }, function () {
                        }
                    );
                } else {
                    ToastUtil.systemToastInMiddle("已经装备该物品", 2.0);
                }
            });
            jiazi.addChild(buyBtn1);
            var buyLabel1 = new cc.LabelTTF('装备', "Arial", 30);
            buyLabel1.setColor(cc.color(238, 224, 189));
            buyLabel1.setPosition(buyBtn1.width / 2, buyBtn1.height / 2);
            buyBtn1.addChild(buyLabel1);
        }
        // var diamond1 = new ccui.ImageView(res.diamond_png);
        // diamond1.setPosition(buyBtn1.width*0.3,buyBtn1.height*0.5);
        // diamond1.setScale(0.7,0.7);
        // buyBtn1.addChild(diamond1);

        if(propList[index*3 + 1] != undefined && propList[index*3 + 1] != null) {
            var buyBtn2 = new ccui.Button(res.ShopBuyPropItemBtn_png, "", "");
            buyBtn2.setPosition(cc.p(jiazi.width * 0.5, jiazi.height / 2 + 20));
            buyBtn2.addClickEventListener(function () {
                if(propBg2.getChildByTag(999) == null || propBg2.getChildByTag(999) == undefined) {
                    var backPackApi = new BackPackApi();
                    var toolType = 0;
                    if (type == 0) {
                        toolType = 4;
                        _this.clearSkinEquippedState(_this._skinBgList);
                    } else if (type == 1) {
                        toolType = 2;
                        _this.clearVoiceEquippedState(_this._voiceBgList);
                    }
                    var equipped = new ccui.ImageView(res.Equipped_png);
                    equipped.setPosition(propBg2.width / 2, propBg2.height / 2);
                    equipped.setTag(999);
                    propBg2.addChild(equipped);
                    backPackApi.useTool(toolType, propList[index*3+1].code, "useToolResponse", function () {
                        }, function () {
                        }, function () {
                        }
                    );
                } else {
                    ToastUtil.systemToastInMiddle("已经装备该物品", 2.0);
                }
            });
            jiazi.addChild(buyBtn2);
            var buyLabel2 = new cc.LabelTTF('装备', "Arial", 30);
            buyLabel2.setColor(cc.color(238, 224, 189));
            buyLabel2.setPosition(buyBtn2.width / 2, buyBtn2.height / 2);
            buyBtn2.addChild(buyLabel2);
        }
        // var diamond2 = new ccui.ImageView(res.diamond_png);
        // diamond2.setPosition(buyBtn2.width*0.3,buyBtn2.height*0.5);
        // diamond2.setScale(0.7,0.7);
        // buyBtn2.addChild(diamond2);

        if(propList[index*3 +2] != undefined && propList[index*3 + 2] != null) {
            var buyBtn3 = new ccui.Button(res.ShopBuyPropItemBtn_png, "", "");
            buyBtn3.setPosition(cc.p(jiazi.width * 0.8, jiazi.height / 2 + 20));
            buyBtn3.addClickEventListener(function () {
                if(propBg3.getChildByTag(999) == null || propBg3.getChildByTag(999) == undefined) {
                    var backPackApi = new BackPackApi();
                    var toolType = 0;
                    if (type == 0) {
                        toolType = 4;
                        _this.clearSkinEquippedState(_this._skinBgList);
                    } else if (type == 1) {
                        toolType = 2;
                        _this.clearVoiceEquippedState(_this._voiceBgList);
                    }
                    var equipped = new ccui.ImageView(res.Equipped_png);
                    equipped.setPosition(propBg3.width / 2, propBg3.height / 2);
                    equipped.setTag(999);
                    propBg3.addChild(equipped);
                    backPackApi.useTool(toolType, propList[index*3+2].code, "useToolResponse", function () {
                        }, function () {
                        }, function () {
                        }
                    );
                } else {
                    ToastUtil.systemToastInMiddle("已经装备该物品", 2.0);
                }
            });
            jiazi.addChild(buyBtn3);
            var buyLabel3 = new cc.LabelTTF('装备', "Arial", 30);
            buyLabel3.setColor(cc.color(238, 224, 189));
            buyLabel3.setPosition(buyBtn3.width / 2, buyBtn3.height / 2);
            buyBtn3.addChild(buyLabel3);
        }

        item.setContentSize(container.getContentSize());
        container.setPosition(item.width/2,item.height/2+60);
        item.addChild(container);
        return item;
    },

    clearSkinEquippedState:function (skinList) {
        for(var i = 0; i < skinList.length; i++) {
            skinList[i].removeChildByTag(999);
        }
    },

    clearVoiceEquippedState:function (voiceList) {
        for(var i = 0; i < voiceList.length; i++) {
            voiceList[i].removeChildByTag(999);
        }
    },

    // 添加购买页面
    loadPropList: function() {
        this.propList = new ccui.ListView();
        this.propList.setDirection(ccui.ScrollView.DIR_VERTICAL);
        //this.propList.setTouchEnabled(true);
        this.propList.setBounceEnabled(true);
        this.propList.setContentSize(cc.size(BaseWindowConf.WIDTH*0.87, cc.winSize.height*0.85));
        this.propList.setPosition(cc.winSize.width/2, cc.winSize.height/2 - 50);
        this.propList.setAnchorPoint(0.5, 0.5);
        //this.propList.setItemsMargin(30);
        this.propList.addEventListener(this.selectedPropItemEvent, this);
        //this.propList.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.propList.setItemsMargin(0);
        this.propList.setScrollBarEnabled(false);
        this.addChild(this.propList);

        for(var i = 0; i < 2; ++i) {
            //var item = this.addPropItem(i);
            var item;
            if (i == 0) {
                item = new ccui.Layout();
                var horizontalScrollItem = this.addHorizontalScrollItem(i);
                horizontalScrollItem.setAnchorPoint(0.5, 0.5);
                item.setContentSize(horizontalScrollItem.getContentSize());
                horizontalScrollItem.setPosition(item.width/2, item.height/2);
                item.addChild(horizontalScrollItem);

                this.leftPage = ccui.ImageView(res.BagLeft_png);
                this.leftPage.setPosition(20, item.height/2);
                this.leftPage.setVisible(false);
                item.addChild(this.leftPage);
                this.rightPage = ccui.ImageView(res.BagRight_png);
                this.rightPage.setPosition(item.width - 20, item.height/2);
                item.addChild(this.rightPage);
            } else {
                item = this.addPropItem(1, 0);
            }

            if (i == 0) {
                var item1 = this.addPropTypeItem(0);
                this.propList.pushBackCustomItem(item1);
            } else if (i == 1) {
                var item1 = this.addPropTypeItem(1);
                this.propList.pushBackCustomItem(item1);
            }
            // else if (i == 2) {
            //     var item1 = this.addPropTypeItem(2);
            //     this.propList.pushBackCustomItem(item1);
            // }
            this.propList.pushBackCustomItem(item);
        }
    },
    // 添加可左右滑动的item
    addHorizontalScrollItem: function(index) {
        var pageView = new ccui.PageView();
        pageView.setTouchEnabled(true);
        pageView.setContentSize(cc.size(this.propList.width,cc.winSize.height*0.226*2));

        for (var i = 0; i < 2; ++i) {
            var layout1 = this.addPropItem(0, i*2);
            var layout2 = this.addPropItem(0, i*2+1);
            var item = new ccui.Layout();
            item.setContentSize(cc.size(pageView.width,pageView.height));
            var params = new ccui.LinearLayoutParameter();
            params.setMargin(new ccui.Margin(0,10,0,10));
            item.setLayoutParameter(params);
            item.setAnchorPoint(cc.p(0.5,0.5));
            layout1.setPosition(cc.p(0, item.height*0.5));
            item.addChild(layout1);
            layout2.setPosition(cc.p(0,20));
            item.addChild(layout2);
            pageView.insertPage(item, i);
        }
        pageView.setCurrentPageIndex(0);
        pageView.addEventListener(this.pageViewEvent, this);

        return pageView;
    },

    pageViewEvent: function (sender, type) {
        switch (type) {
            case ccui.PageView.EVENT_TURNING:
                var pageView = sender;
                var pageIndex = pageView.getCurrentPageIndex().valueOf()-0;
                cc.log('page='+pageIndex);
                if (pageIndex == 0) {
                    this.rightPage.setVisible(true);
                    this.leftPage.setVisible(false);
                } else {
                    this.leftPage.setVisible(true);
                    this.rightPage.setVisible(false);
                }
                //this._topDisplayLabel.setString("page = " + (pageView.getCurPageIndex().valueOf()-0 + 1));
                break;
            default:
                break;
        }
    },

    // 添加类型页
    addPropTypeItem: function(index) {
        var item = new ccui.Layout();
        item.setTouchEnabled(true);

        var container = new cc.Node();
        container.setAnchorPoint(0.5,0.5);
        container.setContentSize(cc.size(this.propList.width,cc.winSize.height*0.1));

        var propTitleBg = ccui.ImageView(res.ShopPropTitle);
        propTitleBg.setPosition(container.width/2,container.height/2);
        container.addChild(propTitleBg);

        var propTypeList = [res.ShopPropType1, res.ShopPropType2, res.BagLabel3_png];
        var type = ccui.ImageView(propTypeList[index]);
        type.setAnchorPoint(0.5,0.5);
        type.setPosition(propTitleBg.width/2,propTitleBg.height/2);
        propTitleBg.addChild(type);

        item.setContentSize(container.getContentSize());
        var lp1 = new ccui.LinearLayoutParameter();
        //this.button.setLayoutParameter(lp1);
        lp1.setGravity(ccui.LinearLayoutParameter.CENTER_VERTICAL);
        lp1.setMargin(new ccui.Margin(0, 0, 0, 0));
        item.setLayoutParameter(lp1);

        container.setPosition(item.width/2,item.height/2);
        item.addChild(container);
        return item;
    },

    selectedPropItemEvent: function(sender, type) {
        switch (type) {
            case ccui.ListView.EVENT_SELECTED_ITEM:
                var listViewEx = sender;
                var item = listViewEx.getItem(listViewEx.getCurSelectedIndex());
                cc.log("select child index = " + sender.getCurSelectedIndex());
                //if (item.tag)
                break;
            case ccui.ListView.EVENT_SLIDEBALL_UP:
                cc.log("up");
                break;
            case ccui.ListView.EVENT_SLIDEBALL_DOWN:
                cc.log("down");
            default:
                break;
        }
    }
});
