/**
 * Created by fanfeifan on 2017/1/25.
 */

var Tutorial1 = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.setContentSize(cc.size(BaseWindowConf.WIDTH,BaseWindowConf.HEIGHT));
        this.initBackground();
        return true;
    },

    initBackground: function() {
        var base = new TutorialBaseLayer();
        base.setPosition(0,0);
        this.addChild(base);

        this.listview = new ccui.ListView();
        this.listview.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listview.setTouchEnabled(true);
        this.listview.setBounceEnabled(true);
        this.listview.setContentSize(cc.size(this.width*0.9,cc.winSize.height*0.64));
        this.listview.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.listview.setAnchorPoint(0.5, 0.5);
        //this.listview.addEventListener(this.selectedDiamondItemEvent, this);
        //this.listview.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.listview.setItemsMargin(20);
        this.listview.setScrollBarEnabled(false);
        //this.listview.setBounceEnabled(false);
        this.addChild(this.listview);

        var baseCard = new BaseCard(res.TutorialCardType1_png);
        baseCard.addCard(res.Villager_png,'平民 ','无任何技能，属于好人阵营.白天需要根据各位玩家的发言甄别出狼人并将其公投出局');
        var layout = new ccui.Layout();
        layout.setContentSize(cc.size(baseCard.width,baseCard.getInnerHeight()));
        baseCard.setPosition(cc.p(this.listview.width/2,layout.height-cc.winSize.height*0.112));
        layout.addChild(baseCard);
        this.listview.addChild(layout);        //this.listview.addChild(baseCard);


        var baseCard2 = new BaseCard(res.TutorialCardType2_png);
        baseCard2.addCard(res.WolfCard_png,'狼人','在天黑后拥有杀人技能，属于狼人阵营。晚上狼人可以语音交流讨论战术，狼人猎杀时需要统一目标才会判定死亡，否则系统会提示狼人请统一目标，狼人再次不统一目标将形成平安夜。狼人白天需要隐藏自己的身份，防止被公投出局，仅能在发言阶段自爆');
        baseCard2.addCard(res.Whitewolfking_png, '白狼王', '白狼王属于狼人阵营，拥有狼人的一切功能，自爆时可以开枪额外带走一名玩家');
        baseCard2.setAnchorPoint(cc.p(0.5,0.5));
        var layout2 = new ccui.Layout();
        layout2.setContentSize(cc.size(baseCard2.width,baseCard2.getInnerHeight()));
        baseCard2.setPosition(cc.p(this.listview.width/2,layout2.height-cc.winSize.height*0.112));
        layout2.addChild(baseCard2);
        this.listview.addChild(layout2);

        var baseCard3 = new BaseCard(res.TutorialCardType3_png);
        baseCard3.addCard(res.Rogue_png,'盗贼','有盗贼牌时，牌数比总人数多两张，拿到盗贼牌的玩家需要从两张牌里选择一张，另外一张牌则废弃掉，若两张牌中有狼人牌必须要选择狼人角色。盗贼的胜负判定以盗贼实际拿到的角色为准');
        baseCard3.addCard(res.Prophet_png, '预言家', '好人阵营，预言家每晚可获知一位玩家是好人或狼人，但不能知道该玩家的具体身份（比如白狼王或者女巫身份）');
        baseCard3.addCard(res.Witch_png, '女巫', '好人阵营，女巫有两瓶药。一瓶是解药，可以在当晚救回一个被狼人杀死的玩家；另一瓶是毒药，可以杀死任意一个活着的人。一局游戏，女巫每瓶药只能使用一次，每晚只能用一瓶药，女巫仅在第一夜可自救，女巫使用解药后将无法得知之后的死人信息');
        baseCard3.addCard(res.Hunter_png, '猎人', '好人阵营，死时可开枪带走一位玩家（被毒杀不可开枪）');
        baseCard3.addCard(res.Idiot_png, '白痴', '好人阵营，若白天被投出则直接翻牌免疫放逐，以灵魂状态存活于场上并失去投票权，狼人屠神的话需要再砍一刀白痴 ');
        baseCard3.addCard(res.Guard_png, '守卫', '好人阵营，每晚可守护一名玩家(也可以空守)，不可连续两晚守护同一人');
        baseCard3.addCard(res.Cupid_png, '丘比特', '丘比特第一天晚上指定任意两人(可包括自己)，使他们成为情侣。当情侣中有一个被票死、杀死、毒死或射死，另一个必须殉情。特殊:如果情侣中有一个是狼或两个都是狼，此时情侣和丘比特组成人狼恋阵营，他们须消灭除他们三人外的所有玩家而取胜');
        baseCard3.addCard(res.Wildchild_png, '野孩子', '第一晚野孩子指定一个角色作为自己的榜样。在榜样死亡后，他将变为狼人阵营中的一员（野孩子的获胜条件与他当前的角色有关）');
        baseCard3.addCard(res.Gagelder_png, '禁言长老', '好人阵营，每晚可以禁言一名玩家，不可连续两晚禁言同一人，被禁言的玩家第二个白天只能用系统特定手势交流');
        baseCard3.addCard(res.Stalker_png, '潜行者', '好人阵营，晚上可以选择杀掉他白天投票并未出的玩家，全局只能使用一次');
        baseCard3.addCard(res.Bear_png, '熊', '好人阵营，左右两边（包括死在当晚的玩家）有狼则早上醒来会咆哮，熊死后永不再有咆哮');
        baseCard3.addCard(res.Elder_png, '长老', '好人阵营，两次狼刀才会死亡，若白天被投出或女巫毒出去则所有神失去功能（若被女巫救起恢复一条命，被女巫毒直接死亡）');

        baseCard3.setAnchorPoint(cc.p(0.5,0.5));
        var layout3 = new ccui.Layout();
        layout3.setContentSize(cc.size(baseCard3.width,baseCard3.getInnerHeight()));
        baseCard3.setPosition(cc.p(this.listview.width/2,layout3.height-cc.winSize.height*0.112));
        layout3.addChild(baseCard3);
        this.listview.addChild(layout3);
    },

})