/**
 * Created by fanfeifan on 2017/1/25.
 */

var Tutorial2 = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.setContentSize(cc.size(BaseWindowConf.WIDTH,BaseWindowConf.HEIGHT));
        this.initBackground();
        return true;
    },

    initBackground: function() {
        var base = new TutorialBaseLayer();
        base.setPosition(0,0);
        this.addChild(base);

        this.listview = new ccui.ListView();
        this.listview.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listview.setTouchEnabled(true);
        this.listview.setBounceEnabled(true);
        this.listview.setContentSize(cc.size(this.width*0.9,BaseWindowConf.HEIGHT*0.64));
        this.listview.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.listview.setAnchorPoint(0.5, 0.5);
        //this.listview.addEventListener(this.selectedDiamondItemEvent, this);
        //this.listview.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.listview.setItemsMargin(0);
        this.listview.setScrollBarEnabled(false);
        //this.listview.setBounceEnabled(false);
        this.addChild(this.listview);

        var layout = new ccui.Layout();
        var introduction = new cc.LabelTTF('1、第一晚 \n有盗贼的话盗先选择身份牌，盗贼离线或选择超时系统会随机选择一个身份，有狼必选狼。' +
                 '\n有丘比特的话丘比特连接两位玩家为情侣，丘比特也连自己和另外一位玩家为情侣，丘比特离线或选择超时系统会随机连接两位玩家为情侣。' +
                 '\n狼人睁眼猎杀，此时狼人可以语音交流讨论战术，狼人猎杀时需要统一目标才会判定死亡，否则系统会提示狼人请统一目标，狼人再次不统一目标将形成平安夜。'+
                 '\n守卫睁眼，选择守护一名玩家，该玩家当晚无法被狼人杀死。守卫离线或选择超时系统判定空守。如果女巫的解药和守卫的守护到同一名玩家，则守护和解药的效果失效，该玩家会判定为死亡。' +
                 '\n禁言长老睁眼，选择禁言一名玩家，被禁言的玩家次日白天无法说话，只能使用系统特定的手势表达。' +
                 '\n预言家睁眼，选择查验一名玩家身份，系统会告诉预言家该玩家是好人或坏人。预言家离线或选择超时系统会随机指定一名玩家查验。' +
                 '\n女巫睁眼，女巫还有解药的情况下，可以知晓夜里的死亡信息，女巫可以选择是否使用解药，若女巫不使用解药，系统会提示女巫是否使用毒药，毒药可以毒死场上任意一名玩家。'+
                 '\n2、第一天白天' +
                 '\n竞选警长阶段：玩家可以自主选择是否竞选警长，竞选警长的玩家系统将随机指定一名玩家发言。参与竞选的玩家可以在警长投票的任意时刻选择退水。没有参与警长竞选的玩家可以对参与竞选且未退水的玩家投票，得票多的玩家当选警长。如果警上出现平票情况，则再进行一轮PK发言，如果还是平票，则本局无警长。' +
                 '\n发言阶段：警长竞选结束后，系统公布昨夜信息，并由死者发表遗言，若死亡的是猎人，可以发动技能带走场上任意一名玩家。遗言结束后警长选择从警左或警右开始发言，所有玩家发言完毕后，警长总结发言并进行归票，警长拥有1.5票的归票权。'+
                 '\n公投阶段：警长归票完毕，所有玩家开始投票，得票最多的玩家被放逐出局，可以发表遗言。猎人被放逐可以开枪带人，长老被公投出局所有神民技能失效。'+
                 '\n3、第n天黑夜 狼人杀人、守卫守护、预言家验人、女巫救人或毒人。' +
                 '\n4、第n天天亮 公布昨夜信息，死亡的玩家没有遗言，由警长决定发言顺序，警长归票后进行投票，公投出局的玩家可以发表遗言，遗言结束进入黑夜。'+
                 '\n5、重复步骤3，4直到游戏判定胜负',
            "Arial", 30);
        introduction.boundingWidth = this.listview.width*0.8;
        introduction.boundingHeight = 0;
        introduction.setColor(cc.color(94,36,22));
        introduction.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        introduction.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        introduction.setAnchorPoint(0.5, 1);
        layout.setContentSize(cc.size(this.listview.width,introduction.height + 20));
        introduction.setPosition(layout.width/2,layout.height - 30);
        layout.addChild(introduction);
        this.listview.pushBackCustomItem(layout);

    },

})