/**
 * Created by fanfeifan on 2017/1/25.
 */

var Tutorial3 = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.setContentSize(cc.size(BaseWindowConf.WIDTH, BaseWindowConf.HEIGHT));
        this.initBackground();
        return true;
    },

    initBackground: function() {
        var base = new TutorialBaseLayer();
        base.setPosition(0,0);
        this.addChild(base);

        this.listview = new ccui.ListView();
        this.listview.setDirection(ccui.ScrollView.DIR_VERTICAL);
        this.listview.setTouchEnabled(true);
        this.listview.setBounceEnabled(true);
        this.listview.setContentSize(cc.size(this.width*0.9, BaseWindowConf.HEIGHT*0.64));
        this.listview.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.listview.setAnchorPoint(0.5, 0.5);
        //this.listview.addEventListener(this.selectedDiamondItemEvent, this);
        //this.listview.setGravity(ccui.ListView.LINEAR_GRAVITY_CENTER_VERTICAL);
        this.listview.setItemsMargin(0);
        this.listview.setScrollBarEnabled(false);
        //this.listview.setBounceEnabled(false);
        this.addChild(this.listview);

        var layout = new ccui.Layout();

        var introduction = new cc.LabelTTF('胜负条件判定' +
              '\n好人阵营：杀死所有狼人及坏身份' +
              '\n狼人阵营：狼人杀死所有的神民或者杀死所有的村民（即：屠边）' +
              '\n情侣阵营：若两位情侣的身份为两个好人，则帮助好人阵营获胜。否则丘比特和连接的玩家组成第三方阵营，必须杀死除丘比特以外所有玩家才能获胜。',
            "Arial", 30);
        introduction.boundingWidth = this.listview.width*0.8;
        introduction.boundingHeight = 0;
        introduction.setColor(cc.color(94,36,22));
        introduction.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        introduction.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        introduction.setAnchorPoint(0.5, 1);
        layout.setContentSize(cc.size(this.listview.width,introduction.height + 30));
        introduction.setPosition(layout.width/2,layout.height - 30);
        this.listview.pushBackCustomItem(layout);
        layout.addChild(introduction);
    },

})