/**
 * Created by fanfeifan on 2017/1/25.
 */

var TutorialBaseLayer = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.initBackground();
        return true;
    },

    initBackground: function () {
        this.setContentSize(cc.size(BaseWindowConf.WIDTH, BaseWindowConf.HEIGHT));
        // 添加透明层
        var backLayer = new BackgroundLayer();
        backLayer.setPosition(0,0);
        this.addChild(backLayer);

        // 添加背景
        var background = new ccui.ImageView(res.CommonDialogBg_png);
        background.setScale9Enabled(true);
        background.setContentSize(BaseWindowConf.WIDTH*0.937,BaseWindowConf.HEIGHT*0.866);
        background.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.addChild(background);

        // 添加头部文字
        var topBg = new ccui.ImageView(res.TutorialTitleBg_png);
        topBg.setPosition(background.width/2,background.height);
        background.addChild(topBg);

        var topLabel = new ccui.ImageView(res.TutorialTopLabel_png);
        topLabel.setPosition(topBg.width/2,topBg.height*0.63);
        topBg.addChild(topLabel);


        // 添加中间底
        var back2 = new ccui.ImageView(res.TutorialZhi_png);
        back2.setPosition(background.width/2,background.height/2);
        back2.setScale9Enabled(true);
        back2.setContentSize(cc.size(BaseWindowConf.WIDTH*0.87,BaseWindowConf.HEIGHT*0.678));
        background.addChild(back2);

        var _this = this;
        /*
        // 添加关闭按钮
        var closeBtn = new ccui.Button(res.RedClose_png);
        closeBtn.setPosition(background.width-closeBtn.width/2, background.height-closeBtn.height/2);
        closeBtn.addClickEventListener(function() {
            _this.removeFromParent(true);
        });
        background.addChild(closeBtn);*/

        // 添加返回按钮
        var returnBtn = new ccui.Button(res.ShopBuyPropItemBtn_png);
        returnBtn.setPosition(cc.p(background.width/2, background.height*0.05));
        var returnLabel = new ccui.ImageView(res.TutorialReturnLabel_png);
        returnLabel.setPosition(returnBtn.width/2,returnBtn.height/2);
        returnBtn.addChild(returnLabel);
        returnBtn.addClickEventListener(function() {
            _this.getParent().removeAllChildren();
            //_this.removeFromParent();
        });
        background.addChild(returnBtn);
    },
})
