/**
 * Created by fanfeifan on 2017/1/25.
 */

var TutorialMainLayer = cc.Layer.extend({
    ctor: function () {
        this._super();
        this.initBackground();
        return true;
    },

    initBackground: function () {
        this.setContentSize(cc.size(BaseWindowConf.WIDTH, BaseWindowConf.HEIGHT));
        // 添加透明层
        var backLayer = new BackgroundLayer();
        backLayer.setPosition(0,0);
        this.addChild(backLayer);

        // 添加背景
        var background = new ccui.ImageView(res.CommonDialogBg_png);
        background.setScale9Enabled(true);
        background.setContentSize(BaseWindowConf.WIDTH*0.937,BaseWindowConf.HEIGHT*0.866);
        background.setPosition(cc.p(cc.winSize.width/2,cc.winSize.height/2));
        this.addChild(background);

        // 添加头部文字
        var topBg = new ccui.ImageView(res.TutorialTitleBg_png);
        topBg.setPosition(background.width/2,background.height);
        background.addChild(topBg);

        var topLabel = new ccui.ImageView(res.TutorialTopLabel_png);
        topLabel.setPosition(topBg.width/2,topBg.height*0.63);
        topBg.addChild(topLabel);

        // 添加中间底
        var back2 = new ccui.ImageView(res.TutorialBg_png);
        back2.setPosition(background.width/2,background.height/2);
        back2.setScale9Enabled(true);
        back2.setContentSize(cc.size(BaseWindowConf.WIDTH*0.87,BaseWindowConf.HEIGHT*0.678));
        background.addChild(back2);

        // 添加五个选项
        var tutorialBtn1 = new ccui.Button(res.TutorialBg1_png,res.TutorialBg1_png,"");
        tutorialBtn1.setAnchorPoint(0.5,1);
        tutorialBtn1.setPosition(cc.p(back2.width/2, back2.height));
        var _this = this;
        tutorialBtn1.addClickEventListener(function () {
            var tutorial1 = new Tutorial1();
            tutorial1.setPosition(cc.p(0,0));
            _this.addChild(tutorial1);
            cc.log('click btn1');
        });
        back2.addChild(tutorialBtn1);
        var tutorialLabel1 = new ccui.ImageView(res.TutorialLabel1_png);
        tutorialLabel1.setPosition(tutorialBtn1.width/2,tutorialBtn1.height/2);
        tutorialBtn1.addChild(tutorialLabel1);

        var tutorialBtn2 = new ccui.Button(res.TutorialBg2_png,res.TutorialBg2_png,"");
        tutorialBtn2.setAnchorPoint(0.5,1);
        tutorialBtn2.setPosition(cc.p(back2.width/2, back2.height*0.8));
        tutorialBtn2.addClickEventListener(function () {
            var tutorial2 = new Tutorial2();
            tutorial2.setPosition(cc.p(0,0));
            _this.addChild(tutorial2);
            cc.log('click btn2');
        });
        back2.addChild(tutorialBtn2);
        var tutorialLabel2 = new ccui.ImageView(res.TutorialLabel2_png);
        tutorialLabel2.setPosition(tutorialBtn2.width/2,tutorialBtn2.height/2);
        tutorialBtn2.addChild(tutorialLabel2);

        var tutorialBtn3 = new ccui.Button(res.TutorialBg3_png,res.TutorialBg3_png,"");
        tutorialBtn3.setAnchorPoint(0.5,1);
        tutorialBtn3.setPosition(cc.p(back2.width/2, back2.height*0.6));
        tutorialBtn3.addClickEventListener(function () {
            var tutorial3 = new Tutorial3();
            tutorial3.setPosition(cc.p(0,0));
            _this.addChild(tutorial3);
            cc.log('click btn3');
        });
        back2.addChild(tutorialBtn3);
        var tutorialLabel3 = new ccui.ImageView(res.TutorialLabel3_png);
        tutorialLabel3.setPosition(tutorialBtn3.width/2,tutorialBtn3.height/2);
        tutorialBtn3.addChild(tutorialLabel3);

        var tutorialBtn4 = new ccui.Button(res.TutorialBg4_png,res.TutorialBg4_png,"");
        tutorialBtn4.setAnchorPoint(0.5,1);
        tutorialBtn4.setPosition(cc.p(back2.width/2, back2.height*0.4));
        tutorialBtn4.addClickEventListener(function () {
            var tutorial4 = new Tutorial4();
            tutorial4.setPosition(cc.p(0,0));
            _this.addChild(tutorial4);
            cc.log('click btn4');
        });
        back2.addChild(tutorialBtn4);
        var tutorialLabel4 = new ccui.ImageView(res.TutorialLabel4_png);
        tutorialLabel4.setPosition(tutorialBtn4.width/2,tutorialBtn4.height/2);
        tutorialBtn4.addChild(tutorialLabel4);

        var tutorialBtn5 = new ccui.Button(res.TutorialBg5_png,res.TutorialBg5_png,"");
        tutorialBtn5.setAnchorPoint(0.5,1);
        tutorialBtn5.setPosition(cc.p(back2.width/2, back2.height*0.2));
        tutorialBtn5.addClickEventListener(function () {
            var tutorial5 = new Tutorial5();
            tutorial5.setPosition(cc.p(0,0));
            _this.addChild(tutorial5);
            cc.log('click btn5');
        });
        back2.addChild(tutorialBtn5);
        var tutorialLabel5 = new ccui.ImageView(res.TutorialLabel5_png);
        tutorialLabel5.setPosition(tutorialBtn5.width/2,tutorialBtn5.height/2);
        tutorialBtn5.addChild(tutorialLabel5);

        // 添加关闭按钮
        var closeBtn = new ccui.Button(res.ShopBuyPropItemBtn_png);
        closeBtn.setPosition(cc.p(background.width/2, background.height*0.05));
        var closeLabel = new ccui.ImageView(res.TutorialCloseLabel_png);
        closeLabel.setPosition(closeBtn.width/2,closeBtn.height/2);
        closeBtn.addChild(closeLabel);
        var _this = this;
        closeBtn.addClickEventListener(function() {
            _this.removeFromParent(true);
        });
        background.addChild(closeBtn);

    },
})