/**
 * Created by junji on 2016/11/25.
 */
CardSprite = cc.Sprite.extend({

    _openAnimIn:null,
    _openAnimOut:null,
    _kInAngleZ:270, //里面卡牌的起始Z轴角度
    _kInDeltaZ:90,  //里面卡牌旋转的Z轴角度差

    _kOutAngleZ:0,   //封面卡牌的起始Z轴角度
    _kOutDeltaZ:90,  //封面卡牌旋转的Z轴角度差

    ctor:function (inRes, outRes, duration) {
        this._super();

        var inCard = new cc.Sprite(inRes);
        inCard.setPosition(0,0);
        inCard.setVisible(false);
        inCard.setTag(1);
        inCard.setScaleX(0);
        inCard.setTexture(res.CardBg_png);
        this.addChild(inCard);

        var outCard = new cc.Sprite(outRes);
        outCard.setPosition(0,0);
        outCard.setTag(0);
        this.addChild(outCard);

        // this._openAnimIn = new cc.Sequence(new cc.DelayTime(duration*0.5), new cc.Show(),
        //     cc.orbitCamera(duration * .5, 1, 0, this._kInAngleZ, this._kInDeltaZ, 0, 0));

        this._openAnimIn = new cc.Sequence(new cc.DelayTime(duration*0.5), new cc.Show(),
            cc.scaleTo(duration * 0.5, 1, 1));

        // this._openAnimOut = new cc.Sequence(cc.orbitCamera(duration * .5, 1, 0, this._kOutAngleZ, this._kOutDeltaZ, 0, 0),
        //     new cc.Hide(), new cc.DelayTime(duration*0.5));

        this._openAnimOut = new cc.Sequence(cc.scaleTo(duration * 0.5, 0, 1),
            new cc.Hide());

    },

    setInCardRes:function (res) {
        this.getChildByTag(1).setTexture(res);
    },

    setOutCardRes:function (res) {
        this.getChildByTag(0).setTexture(res);
    },

    openCard:function () {
        var backCard = this.getChildByTag(1);
        var faceCard = this.getChildByTag(0);

        backCard.runAction(this._openAnimIn);
        faceCard.runAction(this._openAnimOut);
    },
});