/**
 * Created by junji on 2016/11/22.
 */
var ToastUtil = {
    showToast:function (msg, dt) {
        var size = cc.director.getVisibleSize();
        var origin = cc.director.getVisibleOrigin();
        var bg = new cc.Scale9Sprite("res/numBg.png");
        bg.setPosition(origin.x+size.width/2,origin.y+size.height * 0.15);
        bg.setScale9Enabled(true);
        var lable = new cc.LabelTTF(msg, "Arial", 25);
        bg.setContentSize(lable.getContentSize().width+20,lable.getContentSize().height+15);
        bg.addChild(lable, 1);
        cc.director.getRunningScene().addChild(bg,100);
        lable.setPosition(bg.getContentSize().width/2,bg.getContentSize().height/2);
        lable.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5)));
        bg.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5),
            cc.callFunc(this.removeToast, bg)));
    },

    showToastInMiddle:function (msg, dt) {
        var size = cc.director.getVisibleSize();
        var origin = cc.director.getVisibleOrigin();
        var bg = new cc.Scale9Sprite("res/numBg.png");
        bg.setPosition(origin.x+size.width/2,origin.y+size.height/2);
        bg.setScale9Enabled(true);
        var lable = new cc.LabelTTF(msg, "Arial", 38);
        lable.boundingWidth = 550;
        lable.boundingHeight = 0;
        lable.setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT);
        lable.setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP);
        bg.setContentSize(lable.getContentSize().width+30,lable.getContentSize().height+25);
        bg.addChild(lable, 1);
        cc.director.getRunningScene().addChild(bg,100);
        lable.setPosition(bg.getContentSize().width/2,bg.getContentSize().height/2);
        lable.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5)));
        bg.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5),
            cc.callFunc(this.removeToast, bg)));
    },

    systemToastInMiddle:function (msg, dt) {
        var size = cc.director.getVisibleSize();
        var origin = cc.director.getVisibleOrigin();
        var bg = new cc.Scale9Sprite("res/numBg.png");
        bg.setPosition(origin.x+size.width/2,origin.y+size.height/2);
        bg.setScale9Enabled(true);
        var lable = new cc.LabelTTF(msg, "Arial", 38);
        bg.setContentSize(lable.getContentSize().width+30,lable.getContentSize().height+25);
        bg.addChild(lable, 1);
        cc.director.getRunningScene().addChild(bg,100);
        lable.setPosition(bg.getContentSize().width/2,bg.getContentSize().height/2);
        lable.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5)));
        bg.runAction(new cc.Sequence(new cc.FadeIn(dt/5),
            new cc.DelayTime(dt/5*3),new cc.FadeOut(dt/5),
            cc.callFunc(this.removeToast, bg)));
    },

    removeToast:function (node) {
        node.removeFromParent(true);
    }
}